package appserver.frontend;

import java.util.*;
import sessionj.runtime.*;
import sessionj.runtime.net.*;
import util.*;
import appserver.server.Server;

public class Portal
{
    final public static SJProtocol
      p_sc =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
       "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
       "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
       "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
       "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
       "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQAYw0VbxhkpeCGWOFDHUMjAUVBUDN" +
       "MmgOCshJTE71yM9JSS2KT17++FSN\nq3dnBzgQWfISc4FRI+STlViWqJ+TmJ" +
       "euH1xSlJmXDnRHCYMASFQPJKoHEQXZwQcAEpCbs1cCAAA="));
    final public static SJProtocol
      p_p =
      new SJProtocol(
      ("H4sIAAAAAAAAAH1Sz2sTQRidJIZ2W4WopAiNeJBoRNnFikXowTaS0tYthqx6" +
       "EUwnk2F308nMdmda\ntyKe9Z/wKkrBk3hTpDdv9SJ48aAHL/4FenB+pNs2Db" +
       "uwszN8733vzdtv5w8o8hhc5pjzkNGeLbYj\nzG11NDtvxatjP6T35amNgHly" +
       "eQCSGFzKYB0iVUvo7bXazlNDqmVJmdKwVs4FRRSEpCtAzd2nO5rk\npHTnCH" +
       "1OKl0cUlIr6/QwEkrLiOy9e8Ws6t/3xls5YmTbJ0wMGAazUP3wwP396YLBTI" +
       "/A3NNd2+jf\nbOX814VfVkFZHo8YD4XUF+Ccu09yNkVInOagMpdEUcKzM2lh" +
       "hMMtPCr/mxm0VbmHPr7D+v1NGiIo\n0lzf1Hdz7uTHHzrXyb7BqZIA5QOfJl" +
       "MT5QZ4DvLaaDXz59HucZeKO6G5VzK4y7QTQ4qCUbfMms36\nIdajq7es5rf1" +
       "x4N5gRInwFm3B7egSX0J8mAVRul9ImnqtCrbqmwPysWx7593p9b2CiC/CCYI" +
       "g91F\niASLl4ElghjzgJFuEt2e1xZPPhmXa0m+BdmsnDrVDb0VF3YwOTLHBQ" +
       "I7ApwxrgikvuOJOKS+nAQB\nxrxG62GjdYMrg5YMTX1PGaOVobFrEojwkvSC" +
       "4zZ6/fPLs8bdly+0xAkK+1gxp1TPkr6gUrKNkqpU\ndOdyqjhzTFGjRkGvZ0" +
       "CTg+1/dLiax1gEAAA="));
    final public static SJProtocol
      p_ps =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBvTi1uDgzPy9Lr6SyILVYD8SFsIK9nJ1S0zPz" +
       "QoC8+GQGCGBkYmCo\nKGJQw6MLSZOqQPIqHY01VRBNGng0BUOk0O1i9GFgTc" +
       "7IzEkpYdDwgWnXB2vSh2vXR9FuDbRJGc0m\nEJmflJWaXAKyC2LJxfXz8jlV" +
       "f2+FuE20ID+nMj0nvwSqA6LGUXV7qM+L/fIQNdJY1PiDTY1P/mMm\nI3vJ8Q" +
       "knM8jJHAX5xZklQPtLGCR8YJr0S0syc/QDoDLWFQUFFcDgV8UbJnkp2ALfFI" +
       "8eXyA7MT3V\nOT83tzQvMzmxBB6oK50OM/pw77sPDlTuXIg6kFQJgyjCkZAA" +
       "hYRjIUMdA1NBRUEx/qgLSk1OzSxL\nxXQpSD8X0JcgmhNijgxaEAbkJCaneu" +
       "TnpKQWxScvf3yqxtW7swPsQpa8xFyg04R8shLLEvVzEvPS\n9YNLijLz0oEh" +
       "V8IgABLVA4nqQURBdggBAGwOoAjTAgAA"));
    
    public Portal() {
        super();
    }
    
    public void
      run(
      boolean debug,
      String setups,
      String transports,
      int port_p,
      String host_s1,
      int port_s1,
      String host_s2,
      int port_s2,
      String host_s3,
      int port_s3)
          throws Exception {
        SJSessionParameters params =
          TransportUtils.
            createSJSessionParameters(
            setups,
            transports);
        SJServerSocket ss_p =
          null;
        final SJService c_ps1 =
          SJService.
            create(
            p_ps,
            host_s1,
            port_s1);
        final SJService c_ps2 =
          SJService.
            create(
            p_ps,
            host_s2,
            port_s2);
        final SJService c_ps3 =
          SJService.
            create(
            p_ps,
            host_s3,
            port_s3);
        try {
            ss_p =
              SJServerSocketImpl.
                create(
                p_p,
                port_p,
                params);
            while (true) {
                SJSocket s_pc =
                  null;
                try {
                    s_pc =
                      ss_p.
                        accept();
                    System.
                      out.
                      println(
                      "Accepted connection from: " +
                      s_pc.
                        getHostName() +
                      ":" +
                      s_pc.
                        getPort());
                    System.
                      out.
                      println(
                      "Received: " +
                      (String)
                        SJRuntime.
                          receive(
                          s_pc));
                    SJRuntime.
                      pass(
                      s_pc,
                      "Hello from Portal!");
                    {
                        String _sjbranch_0 =
                          SJRuntime.
                            inlabel(
                            s_pc);
                        if (_sjbranch_0.
                              equals(
                              "SERVER1")) {
                            {
                                SJSocket s_ps1 =
                                  null;
                                try {
                                    s_ps1 =
                                      c_ps1.
                                        request(
                                        params);
                                    {
                                        SJSocket _sjtmp_s_pc =
                                          null;
                                        _sjtmp_s_pc =
                                          s_pc;
                                        s_pc =
                                          null;
                                        SJRuntime.
                                          pass(
                                          s_ps1,
                                          _sjtmp_s_pc,
                                          ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
                                           "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
                                           "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
                                           "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
                                           "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
                                           "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQAYw0VbxhkpeCGWOFDHUMjAUVBUDN" +
                                           "MmgOCshJTE71yM9JSS2KT17++FSN\nq3dnBzgQWfISc4FRI+STlViWqJ+TmJ" +
                                           "euH1xSlJmXDnRHCYMASFQPJKoHEQXZwQcAEpCbs1cCAAA="));
                                    }
                                }
                                finally {
                                    SJRuntime.
                                      close(
                                      s_ps1);
                                }
                            }
                        } else
                                  if (_sjbranch_0.
                                        equals(
                                        "SERVER2")) {
                                      {
                                          SJSocket s_ps2 =
                                            null;
                                          try {
                                              s_ps2 =
                                                c_ps2.
                                                  request(
                                                  params);
                                              {
                                                  SJSocket _sjtmp_s_pc =
                                                    null;
                                                  _sjtmp_s_pc =
                                                    s_pc;
                                                  s_pc =
                                                    null;
                                                  SJRuntime.
                                                    pass(
                                                    s_ps2,
                                                    _sjtmp_s_pc,
                                                    ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
                                                     "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
                                                     "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
                                                     "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
                                                     "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
                                                     "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQAYw0VbxhkpeCGWOFDHUMjAUVBUDN" +
                                                     "MmgOCshJTE71yM9JSS2KT17++FSN\nq3dnBzgQWfISc4FRI+STlViWqJ+TmJ" +
                                                     "euH1xSlJmXDnRHCYMASFQPJKoHEQXZwQcAEpCbs1cCAAA="));
                                              }
                                          }
                                          finally {
                                              SJRuntime.
                                                close(
                                                s_ps2);
                                          }
                                      }
                                  } else
                                            if (_sjbranch_0.
                                                  equals(
                                                  "SERVER3")) {
                                                {
                                                    SJSocket s_ps3 =
                                                      null;
                                                    try {
                                                        s_ps3 =
                                                          c_ps3.
                                                            request(
                                                            params);
                                                        {
                                                            SJSocket _sjtmp_s_pc =
                                                              null;
                                                            _sjtmp_s_pc =
                                                              s_pc;
                                                            s_pc =
                                                              null;
                                                            SJRuntime.
                                                              pass(
                                                              s_ps3,
                                                              _sjtmp_s_pc,
                                                              ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
                                                               "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
                                                               "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
                                                               "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
                                                               "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
                                                               "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQAYw0VbxhkpeCGWOFDHUMjAUVBUDN" +
                                                               "MmgOCshJTE71yM9JSS2KT17++FSN\nq3dnBzgQWfISc4FRI+STlViWqJ+TmJ" +
                                                               "euH1xSlJmXDnRHCYMASFQPJKoHEQXZwQcAEpCbs1cCAAA="));
                                                        }
                                                    }
                                                    finally {
                                                        SJRuntime.
                                                          close(
                                                          s_ps3);
                                                    }
                                                }
                                            }
                    }
                }
                catch (Exception x) {
                    x.
                      printStackTrace();
                }
                finally {
                    SJRuntime.
                      close(
                      s_pc);
                }
            }
        }
        finally {
            if (ss_p !=
                  null)
                ss_p.
                  close();
        }
    }
    
    public static void
      main(
      String[] args)
          throws Exception {
        boolean debug =
          Boolean.
            parseBoolean(
            args[0]);
        String setups =
          args[1];
        String transports =
          args[2];
        int port_p =
          Integer.
            parseInt(
            args[3]);
        String host_s1 =
          args[4];
        int port_s1 =
          Integer.
            parseInt(
            args[5]);
        String host_s2 =
          args[6];
        int port_s2 =
          Integer.
            parseInt(
            args[7]);
        String host_s3 =
          args[8];
        int port_s3 =
          Integer.
            parseInt(
            args[9]);
        new Portal(
          ).
          run(
          debug,
          setups,
          transports,
          port_p,
          host_s1,
          port_s1,
          host_s2,
          port_s2,
          host_s3,
          port_s3);
    }
    
    final public static String
      jlc$CompilerVersion$jl =
      "2.3.0";
    final public static long
      jlc$SourceLastModified$jl =
      1238677026930L;
    final public static String
      jlc$ClassType$jl =
      ("H4sIAAAAAAAAAKVYfWwcRxWfu7Pv/HEQ23FMGidxk9iJrSZn0hLUYiB1LFu2" +
       "e25cnxsaN8We253z\nrbO3u+zMnTdRaVIqNaGVEChNvwTtP5FQo0hAorZ/gA" +
       "IoLd8INUhJhdTyRxFUgiL6D0RQEG9mdvf2\nds+XICztem7mvTdv3vu9j9kL" +
       "H6BmaqMMJZRqprGSYccsQsXbzK8QhdFMbnoW25SoYzqmdB4WFpWl\n/2iHvt" +
       "f5lck4ii2gLsMc1TVM54u2WV4uzhc16tjodsvUjy3rJnMlRmR8ZsdHq786Nd" +
       "2bQOsW0DrN\nyDHMNGXMNBhx2AJKl0gpT2w6qqpEXUCdBiFqjtga1rXjQGga" +
       "sDHVlg3Myjahc4SaeoUTdtGyRWyx\npzeZRWnFNCizywozbcpQR3YFV/BwmW" +
       "n6cFajbCSLkgWN6Cr9EnoMxbOouaDjZSDsyXqnGBYShyf4\nPJC3aaCmXcAK" +
       "8ViajmqGylBfmMM/cf99QACsqRJhRdPfqsnAMIG6pEo6NpaHc8zWjGUgbTbL" +
       "sAtD\nm9YUCkQtFlaO4mWyyNDGMN2sXAKqVmEWzsLQhjCZkAQ+2xTyWcBbB5" +
       "Ppfz81+4/bweOgs0oUneuf\nBKatIaY5UiA2MRQiGW+UM89MHS5vjiMExBtC" +
       "xJJmdOD1B7Pv/7BP0vTWoTkosLiofPTpzVuujv6h\nNcHVaLFMqnEo1JxceH" +
       "XWXRlxLEB3jy+RL2a8xR/N/eTwyfPkz3HUMoWSiqmXS8YUaiWGOuaOUzDO\n" +
       "agaRswcLBUrYFGrSxVTSFL/BHAVNJ9wczTC2MCuKsWMhhFLwxOA5g+TfOv5i" +
       "qHXWtBnWM3SFoZ2M\nUEaPUFs5gi2LErtC7CMFm8eBoR7xCR0u9OOrsRicZ3" +
       "M4tnQA4qSpq8ReVL793i8eHb/vq6elpzi6\nXHUYus3fIONtkJEboFhMSF7P" +
       "USitNGrb+BiPDufxq1te+Cn+Ftgczk6140QcLbbaxN/AdGfD5DFW\nDb0pGG" +
       "FAxqLSffL9TS/+9pU34yhRN4Fk/ckJ0y5hnWPAi5gud7vwCkCnPwzgenv/9a" +
       "mZS9d++c5g\nFcoM9UciLMrJI2R72PK2qRAVMlBV/HP/nPzbmeZ7Xo2jJgg7" +
       "SDwMA1wgireG96iJlBEv6/CzJLKo\nvRA5eBsDA60GDszfaTHmuGqBByII9b" +
       "tY28ZffLGTv7okgMBd3aEziJx244nkJ6//oP1NYRQv/a0L\n5MkcYTKYOqsQ" +
       "mbcJgfl3np89c/aDUw8nIHwtS8KCoaRVzuua4gDLJ2rjj59A5cj6y8WRjq/t" +
       "oa8J\nFLRqpVKZ4bxOIF9jXTdXibrIRMLqDCRHkZPAWOk85DZIk4s6CJLmsG" +
       "IVQHCd7JHZ2P3Ms0PfvM7z\niyXs1cNtIzRFjpgYiPH3UGSR/97CQd5dPTZk" +
       "hKPyAOmh3CPTS6e3i5MHxe1xfzi+wISYSYCkTzUM\nlwlehwBWzISEVEXV0t" +
       "NvPzDz0BeGZYrc21DE/RDzqpBT5T87Zey/vOGaEedAStIVPy9kUZwyhgaz\n" +
       "nkgXnPynHOWmc3LJKxO7b36A6sbao39//OJvzqZh4wWU0uiEZmCde5veLwO8" +
       "TgkJiTh++cGXbvya\nvSuwWY0orv5mJ5oND+FAsN99rdKZ/O7LpThKLaAO0Q" +
       "Zggx3CepkjdwEKOR1zJ7PoYzXrtUVZVqAR\nP2NsDkdzYNtwLDcFrN3Eqfm4" +
       "RYav5cRiFh/dI6j7xHu7BFOCgRxuLz7XDyFFRY/kMCgzi1QRpOsZ\n6vX9YZ" +
       "cNppUIb9lcBImgjwlwfx6wNxhyne9lYJkjCtEqbtl2c0hM4m1fA7YZGEOPMW" +
       "ZC+BqaInoz\nKeOVA1di2fbLvxd+ay9Junn/+I21CWAuqA3PTkpR01Uu4y6Q" +
       "saMhGCX7W995yWwd+NercTeg2y2e\nlQYa7m6oUUNw3gOWm0LA8B0iJ3B4ZG" +
       "TPxucnxepe36/TdfzKx58VTuWvz4FDE9aioN4fcNgMKLmr\nkZIHyLIWsRD3" +
       "184GXAGmgQ7l/O7BC8e9s41ZMl+Nuv8nhJ2GGgibMvI2IL5YT4lGqh8IcD18" +
       "x92t\ns9ePftF1LgY6htYHSs8kpsUZbI14OoaqkLvcnPrdj6/0LL2VQPEJ1K" +
       "abWJ3AonyjVqibhBahP3Ks\n/fcKFdOrvFp2uBl5g6+pEJibzuI80WtAl9Bx" +
       "3u+jUrnxuUPjc3eFjSU8OFkFwWGf9M5bJ93bgNQJ\ncVVRVrgllEHakOANwk" +
       "y7CczG1oAZ5z0YUPNmem+ThRZVC61XJUGBLWtdPcS16dRDH6afxG88IoHV\n" +
       "VdtOjBvl0r6X3yZD96aVOk1vKzOtPTqpEN2vxXGxbxy23dMwe8yIm1q1mCRy" +
       "+4d27W7/E7R2a3St\nne7kHIFrqeHnOtHO4v+5ne0LGSWsT2el94FEUftZXB" +
       "QZWZciF9BappHaatRm1yoqHNVb01Keg2en\n6/ed9VrKgG9DTVSbsHMbjVb4" +
       "WVsrwR3Mqzbf2Hruj5fem+uW7pM36R2Ry2yQR96mA9l8W6MdBPUb\nd2y78N" +
       "jcu3kPu9CSp/KmqRNshMLqyy6IT0Jehou+v/pEvVH9/tG7HbmVYn21Uow7Cr" +
       "F4kRRKHIMt\noGqHt22qmJoqRD4diJQ2PjxRVXZNncLa/Z/sFR8Q/NkFzwkX" +
       "ECfq3jEiqSgeyEINzRX9BiGuoRIl\nFxP9H8a/39MvblZNeSgUbnDVfryJfp" +
       "up+eQidGzzT3QbPH03OdFkXbfu46/nnRgSie7FNU4tEzDk\n3qROjGX5bUAY" +
       "+Dknko+iYBnTTYPwO5G3Jq8hmpnxv4XBolNXv1Wpn9hr7Ri95VvQOWhGFa5O" +
       "ne5H\nNsdOQ9/yn6eFpK8DvkvQwgt4R0AeCxinZobbUH6t4A3Axsj3RfkVTN" +
       "l+dWnwitX5c4kS70tVKota\nCmVdD3bigXHSsklBE9qlvL6c/7sEl4DoRxMG" +
       "styhUPOiJH4Nio1PzCdeF8g478T+C9tgJaxmFQAA\n");
}
