package appserver.server;

import java.util.*;
import sessionj.runtime.*;
import sessionj.runtime.net.*;
import util.*;

public class Server
{
    final public static SJProtocol
      p_sc =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
       "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
       "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
       "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
       "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
       "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQAYw0VbxhkpeCGWOFDHUMjAUVBUDN" +
       "MmgOCshJTE71yM9JSS2KT17++FSN\nq3dnBzgQWfISc4FRI+STlViWqJ+TmJ" +
       "euH1xSlJmXDnRHCYMASFQPJKoHEQXZwQcAEpCbs1cCAAA="));
    final public SJProtocol
      p_s =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBvTi1uDgzPy9Lr6SyILVYD8SFsIK9gp1S0zPz" +
       "QoC8+GQGCGBkYmCo\nKGJQw6MLSZOqQPIqHY01VRBNGvisgkih28Xow8CanJ" +
       "GZk1LCoOED064P1qQP166Pot0aaJMymk0g\nMj8pKzW5BGQXxJKL6+flc6r+" +
       "3gpxm2hBfk5lek5+CVQHRI2j6vZQnxf75SFqpLGo8QebGp/8x0xG\n9pLjE0" +
       "5mkJM5CvKLM0uA9pcwSPjANOmXlmTm6AdAZawrCgoqivGHSVBqcmpmWSq28D" +
       "fFo80XyE5M\nT3XOz80tzctMTiyBh+tKp8OMPtz77oPDlTsXog4kVcIginAn" +
       "JEwhQVnIUMfAVFBRUAxicIJdrIo3\nFvNSMJ0L0ssFMqSIQQYtCANyEpNTPf" +
       "JzUlKL4pOXPz5V4+rd2QF2HkteYi7QXUI+WYllifo5iXnp\n+sElRZl56cCQ" +
       "K2EQAInqgUT1IKIgO4QA1fd1N9MCAAA="));
    
    public Server() {
        super();
    }
    
    public void
      run(
      boolean debug,
      String setups,
      String transports,
      int port_s,
      String name)
          throws Exception {
        SJSessionParameters params =
          TransportUtils.
            createSJSessionParameters(
            setups,
            transports);
        SJServerSocket ss_s =
          null;
        try {
            ss_s =
              SJServerSocketImpl.
                create(
                p_s,
                port_s,
                params);
            while (true) {
                SJSocket s_sp =
                  null;
                SJSocket s_sc =
                  null;
                try {
                    s_sp =
                      ss_s.
                        accept();
                    System.
                      out.
                      println(
                      "Accepted connection from Portal: " +
                      s_sp.
                        getHostName() +
                      ":" +
                      s_sp.
                        getPort());
                    s_sc =
                      (SJSocket)
                        SJRuntime.
                          receive(
                          s_sp,
                          ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
                           "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
                           "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
                           "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
                           "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
                           "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQAYw0VbxhkpeCGWOFDHUMjAUVBUDN" +
                           "MmgOCshJTE71yM9JSS2KT17++FSN\nq3dnBzgQWfISc4FRI+STlViWqJ+TmJ" +
                           "euH1xSlJmXDnRHCYMASFQPJKoHEQXZwQcAEpCbs1cCAAA="),
                          params);
                    System.
                      out.
                      println(
                      "Accepted connection from Client: " +
                      s_sc.
                        getHostName() +
                      ":" +
                      s_sc.
                        getPort());
                    System.
                      out.
                      println(
                      "Received: " +
                      (String)
                        SJRuntime.
                          receive(
                          s_sc));
                    SJRuntime.
                      pass(
                      s_sc,
                      "Hello from Server: " +
                      name +
                      "!");
                }
                catch (Exception x) {
                    x.
                      printStackTrace();
                }
                finally {
                    SJRuntime.
                      close(
                      new SJSocket[] { s_sp,
                      s_sc });
                }
            }
        }
        finally {
            if (ss_s !=
                  null)
                ss_s.
                  close();
        }
    }
    
    public static void
      main(
      String[] args)
          throws Exception {
        boolean debug =
          Boolean.
            parseBoolean(
            args[0]);
        String setups =
          args[1];
        String transports =
          args[2];
        int port_s =
          Integer.
            parseInt(
            args[3]);
        String name =
          args[4];
        new Server(
          ).
          run(
          debug,
          setups,
          transports,
          port_s,
          name);
    }
    
    final public static String
      jlc$CompilerVersion$jl =
      "2.3.0";
    final public static long
      jlc$SourceLastModified$jl =
      1238677026925L;
    final public static String
      jlc$ClassType$jl =
      ("H4sIAAAAAAAAAJVYb2wcxRWfvTuf7fhofI4TTOzEJLEbWyRnaElV6rbpxYpl" +
       "m3NifCaACXX2dufO\n4+ztbnfmzpsopdBKhD8SVQUptKXwpVIFitQ2iPZDq7" +
       "QS0BZohUilwBfoBypAakHwhUYtrfpmZndv\nb/dyoZZuPDfz5s17837vN2/u" +
       "7PuogzooRzGlxDLXcuyEjalordIa1hjNFecWVIdifcpQKV2CiRXt\n2H/JkV" +
       "9kvz2TQMoy6jOtvEFUurTqWLXK6tIqoa6DrrUt40TFsJinMabjS7s+Wf/T6b" +
       "nBJNq4jDYS\ns8hURrQpy2TYZcsoU8XVEnZoXtexvoyyJsZ6ETtENchJELRM" +
       "2JiSiqmymoPpIqaWUeeCfbRmY0fs\n6Q8WUEazTMqcmsYshzLUW1hT6+pEjR" +
       "FjokAomyygdJlgQ6ffQHejRAF1lA21AoJbCr4XE0LjxDQf\nB/ENBMx0yqqG" +
       "/SWp48TUGRqOrgg8HrkZBGBpZxWzVSvYKmWqMID6pEmGalYmiswhZgVEO6wa" +
       "7MLQ\n1ssqBaEuW9WOqxW8wtBAVG5BToFUtzgWvoShzVExoQlitjUSs1C0Dq" +
       "cz/3lw4Z/XQsTBZh1rBrc/\nDYu2RxYt4jJ2sKlhufBSLffo7B21oQRCILw5" +
       "Iixl8qO/urXw3m+HpcxgC5nDAosr2idfGNp2If+3\n7iQ3o8u2KOFQaPJcRH" +
       "XBm5l0bUD3lkAjn8z5k79b/P0d9zyD/55AXbMorVlGrWrOom5s6lNevxP6\n" +
       "BWJiOXq4XKaYzaKUIYbSlvgOx1EmBubH0QF9W2Wrou/aCKFO+CjwOYTk31W8" +
       "YagbkFzHTo6uMTTC\nMGX0KHW0o6ptUzFx1PsXiLlc5WfWFQW8GYpmlgEwnL" +
       "EMHTsr2k/ffvnUwZsfuF/GiWPLM4ahqwP1\nOe+fVI8URejdxBEoTyjvOOoJ" +
       "nhnuvRe2/eAP6o/hvMFvSk5i4ZaynuItLPpcW+KYaqTdLPRUQMWK\n1n/Pe1" +
       "t/+JenX0ygZEvyKASD05ZTVQ0efz9b+rztojMAm5EoeFvt/cGD889efOXNsQ" +
       "aMIQCx7Iqv\n5NmxM3rujqVhHdinof6xf818+EjHTc8lUApSDkiHqQAVyODt" +
       "0T2asmTSZxzuS7KAesoxxzcwOKD1\nkMO8zYj+RghFF3wge9AWD2ebeMMns7" +
       "zpk/CBcPVHfBB8duk76etf/03Pi+JQfOrbGOLIImYykbIN\niCw5GMP4m48v" +
       "PHLm/dN3JiF1bVvCgqG0XSsZRHNhydXNucc90Dmy/nFusvfhvfSXAgXdpFqt" +
       "MbVk\nYOBq1TCsdayvMEFW2RAxCj6Cw8qUgNeAIlcMUCSPw1bqgOAWzJEb6H" +
       "/0++NPvM65xRbnJc5IWIpc\nMTCq8HY8Nsm/b+Mg72+4DWxwXDqQGS/eNXfs" +
       "/p3C87C6vd4XN1CYECMJ0HRj23SZ5ncQwIpZQEYN\nVB176I1b5m+/bULS4w" +
       "1tVRyCjNeFnsb6M7Pm/vObL5oJDqQ0XQtYoQA2MYbGCr5KD5z8q+wV54py\n" +
       "yr8i9lzZgcbG5NTH95579UwGNl5GnYROE1M1eLTpIZngLa6PiIqT52998tKf" +
       "2VsCm42M4uYPuXEu\nPKKGkv2LF+vZ9M+fqiZQ5zLqFSWAarIjqlHjyF2GS5" +
       "xOeYMFdFXTfPOFLG+fyYAxhqLZHNo2msup\n0GmnuDTvd8n0tV1FsXnvJiE9" +
       "LNqdEkxJBnr4efGxEUgpKuojl8EVs0I1IbqJocEgHk7NZKSKebnm\nIUgkvS" +
       "LA/VXA3lgkdEGUYcki1jCpe1e2xyGKxNu+NsvmoQ/1xZQF6WsSTdRlUsfTB5" +
       "5XCj3n/yri\n1lOVckuB++2tCWEubA1nJ22VGDrX8XnQsastGOXy1372pNU9" +
       "+u/nEl5C99iclUbb7m7q8YPgaw/Y\nHoXAwfcKTuDwyMl6jY/PiNkbgrjOxe" +
       "Oa4P0vi6BCLJMQS97fH4rVPNi3u519B3CFxA6Hh+qzbVaF\nFo32as/sGTt7" +
       "0ndrypZUlffdy3sD0zAg3BKNkN0hGRM1GNOnO7B62+XqR1H7nr79o8x96gt3" +
       "SVv7\nmu+Fg2atuu+pN/D41zJai9qlm1n2XgPXsdGCVPe2hcG8KLcbrJAs7h" +
       "/fvafnXbijL1N+ZL3BRQxv\nCzMArahL1P+7LhmOHErUnmx98JbkKvljQrCF" +
       "JJjYK6J50WQzrWxwmg0VgRpsqg2W4TPggWWgVW0Q\nim3kNuwQ58wfiVGqXn" +
       "BIFQppnza+t/0n7zz79mK/DJ98Du2KvUjCa+STKJSWO9rtIKRfuG7H2bsX\n" +
       "3yr52L2Noc6SZRlYNRtIFbaXPBADlyfhtSYh3NJDv5r1MntTI7MPuhq2OamJ" +
       "vb4OmoBlo9pTdYvo\nQqUdSogO3tUbNvFmNWTEp5O6M4gi/+yGT96LYr5lhd" +
       "eabkZ485X2zsdff+IRIEN7LjnyUeLXW0ZE\nXZsqqdTPiOZnc/xV3PTYFTZu" +
       "CDy6Bj7DV/BopmWQ9vHmm66CBDt960okmzawWZGvMtGcildm8dBP\nGZaJeU" +
       "Xqz8kikFi54FcImHRb2ndU2if2unxifeoa9AEoBTRuTou7R5YmbtvY8q9Voa" +
       "kGaK1CASXA\nGoOsEjqcphF+hvKtyB8BA7FfduTvD9rOC8fGnrezL0mU+L8R" +
       "dMJDvVwzjHAdFOqnbQeXibCu06+K\n+L/Hwc3og5VXQaIjTHxMCv4IbodAkA" +
       "88IVDxXVf5H+fR6prcEgAA");
}
