package onedimjacobi.noaliaz;

import java.util.*;
import sessionj.runtime.*;
import sessionj.runtime.net.*;

public class WorkerS {
    final private SJProtocol matrix_size =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
       "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
       "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
       "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
       "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
       "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQUQCMNTk0QwOKMnOBKmBxNVFuybPN" +
       "j4NEwEHBkp2ZBwwJZfQARtGj4g1U\nZF1RyFDHwFZQAbRBEZ8NYNVHtBXX1A" +
       "XdS4J4UwiuHuRiPde80lzT+TdSNR14kiGuyEvMBUazkE9W\nYlmifk5iXrp+" +
       "cElRZl460E8lDMyZeSUAnhhJLJECAAA="));
    final private SJProtocol ghost_points =
      new SJProtocol(
      ("H4sIAAAAAAAAAH1VTWhcRRyf/cjGfJRu2qQGkybGJtgi3fXSYlkEY2hp7CvG" +
       "bFswHpbZ92Z3J86+\n95w3b/MSpCAe1IsgrV+g7UUQoaC0VA+W9qCiCB7swX" +
       "qxHiriwYLegnrw/5/Zzcu+hOzh7cz8P+f3\n+83MlfukJ5DkYMCCgHvuckGt" +
       "+iwo4NSMys8sMpvxFjsD04pNzC+VJiSS5MgOYadhTOtszms2Q5fb\nVIGfyf" +
       "HJ01+lrIGbv6ZJyiIDTeOHJkVGLN8Tq3XhqaLOU8TlUrRzg2VjSjYIyXvsBh" +
       "eOIgetTng7\n7UZ4sSscKx1IVMKvV11mtsJapsiPn17y+mb+vW5QGOn03I4w" +
       "PrMzX5y1/rg1aXzGtvF5Vmet2P8d\nHd9/e/a3vgy2/IDvBRyxUmQ0BiNUXB" +
       "QX2pZS5PsRkDazIyaus5Wxl8h5kvIjH4IfSjQ0KyVdNRFX\nM9N/p7/cN50m" +
       "WYtkqzRgGJe2SK7GmXACRfLWMm1R05XFA1WySD93FZM1arMAvXdZpLfJVMNz" +
       "zBQg\nmEhUXGQ1Jplrt5W1HhYuzj8fjnf6zOk9JoMWJG8CCB05vjXx0e/X7i" +
       "0Oa7azL3IXyD6Q1FBXzPQp\ncCptqjC1UwXt/fVjU1fOL96tGib3bPjj9gvH" +
       "3bB55PLP7NBTg7bpwqWwcbLHQCSoWy+WleRuHWhT\nJOd4YVUwqLsX7SaHxh" +
       "5xjF65vf/9b+mHoIR5kg34Got85G4li99t4DiBhMy7gaKAY8Veu3n20voP\n" +
       "6q5upM8GEVHuMqnIRBKTLvBR9uOJzOeojPM+8VNrKPfZ5Waa9C6RPORFgzpH" +
       "RcjKTC0B+cFce9Ei\nu7rs3UgYyYNcsg6zhSLjyb42lQWvnpqgddDbvqTbCV" +
       "wvtcFGLkdgjCatVM1urx+liI+jhwG44SRw\nmGD91dzjd24MfGPuinat3Zu0" +
       "DZsr6dMyFJN1RjLc9C/vLVx4+/5rL2RAFL6vCUorSMJdCvvK+cAy\ntyMYCe" +
       "bWVUOfgjwIDv/3KpKB44LD3WZlFMNNkmArFwsCjtVJTzhMVuyP733/8vFTb7" +
       "wei03vH8Vl\nJIVAF+aE5zKKSkPrYUWGtY17hTKTnAq+hsa4eCyxyUTx0/oU" +
       "x1oYao09l2nw79Iks0HjZJKf7qAE\nUf2SqVDqC9fQJckjWw6hZzMnlCyu++" +
       "4/J/+60HPsur6VYm1jhrEOeziZhDel5skmFVigcxn1q4b0\nVuKVjkQ0B3pp" +
       "Sn+nDZUpHD+K18OD3ccdMzh4VP+8Wsq/eTj4HGBYIn0cHjmFiFpkkArhrTCn" +
       "ovSL\nNrRJ/XOCBqjawSq14a6qVwQkMu34qRZcCds8EoXR4YvvHPrgDl4+/g" +
       "ZdRHdJDH/HdLdPbjHi/Cho\n0kYtdHSQjzViDqOB4H/LDSmpCAgAAA=="));
    final private SJProtocol stopping_condition =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBtTi1uDgzPy9Lr6SyILVYD8SFsIK9glPzUkKA" +
       "7PhkBghgZGJgqChi\nMMWjxxfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow/3vv" +
       "tMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8En2w\nOfogYWugTRp4XQeWQncg0HDW" +
       "5IzMnJQSBg0fmHaosXDt+ijaQTYpo9kEIvOTslKTS0B2QSy5uH5e\nPqfq76" +
       "2QUBCFuRmqA6LGUXV7qM+L/fIQNdJY1PiDTY1P/mMmI3vJ8QknM8jJHAX5xZ" +
       "mgsCphkEAE\nRmlJZo5+AFTGuqKgoKK4kKGOgaGgogAYdTJohgfkJCaneuTn" +
       "pKQWxScvf3yqxtW7swMcICx5ibnA\nYBbyyUosS9TPScxL1w8uKcrMSweaWc" +
       "IgABLVA4nqueSXJuWkguzgBQD4aGJcIAIAAA=="));
    final private SJProtocol result =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVVTWwbRRQe/8QhfzQJ7g9tmlCSQCqojZBSFZlDQ2jV0K0I" +
       "cVuJcLDGu2N7wnh3\nmR07ToQqIQ7ABQm1/EnQXpAQUiVQUeEAKgdAICQO9E" +
       "C5UA5FiAOV4BYBB96bsb3xOgo+PM/M+533\nfW/28m3SE0gyHbAg4J67klFr" +
       "PgsyuDWr/BN55jqnYV2wifnF4oQ0JJndxucUrGmZzXvVas3lNlVg\nZ2J88N" +
       "iXMWvg2i9xErPIQNXYoUqRnZbvibWy8FRWx8nicQ4yzWxbnVZFC4TgPXaFC0" +
       "eRGavl3gzb\nds92uGOmyUgmlF5xhdkKc5kkP3x40eub/ueq6cLOVs1ND2Mz" +
       "N/3pGev3LyaMzb4tbJ7UUQv2v4fH\n9l+f+7UvgSXf4XsBx14psidsRk1xkV" +
       "1sanIN32/4ANneSNA5KemayX4lMfVX/LNdU3GStEiySAP2\nHDlH4hZJlTgT" +
       "TqDIsLVC69REtnigchbp565iskRtFqD1gEV6q0xVPMds4RrjkYxLrMQkc21m" +
       "sm7U\nMhcWnq6N4Z3RJeU3tGs//Hc7L0pehQvVm86vjb/328e3ltIaueSz3A" +
       "XgJqN86PCZOglGuXYmSQ5s\nl0Fbf/XAgcvnlm4WDSqjbXtsQ+aYW6vOXvqJ" +
       "HTw6aJsqXAoNIKOmVYK65WxeSe6WAQJFUo5XKwoG\nee9CvYmhMcB+Nl64vv" +
       "/tb+i7gOoCSQZ8nTV8JOZqEuUW7TiOwCy4gaLQz4K9fu3MxY3v1U1dSJ8N\n" +
       "hKDcZVKR8WhPOkBACo9FIp+lMox75Mf6SOqjS9U46V0mwxAXFeosFTWWZ2oZ" +
       "SBDMNw8tMtSh7+yE\noS/QJukwWygyFq1rU1qw6ikJWgbe7YqaHcfzXLPZiG" +
       "Ua1qjSjNXo9vqNGPFxNQGNS0cbhwE2Xkw9\ndOPzga/N3Ddz7djEcbhcTk/N" +
       "SAjWacnw0j+/tXj+9dsvPZMAUvi+BiiuIAh3Kdwr5QPK3G7ASjC3\nrCqa0j" +
       "ua1B5VJAFjg8s7zcludDdBgm4sFgWM1wlPOEwW7Pdvfff8sZOvvBySTd8fyW" +
       "UohY3OzAvP\nZRSZhtoHFUlrHfcyeSY5FXwdlWHykGITkeSn9DSHXBip73sq" +
       "UeHfxkmiDeNEFJ9OpwhQ/ZKpmtSP\np4FLknu7htCzmVOTLMz75t8n/jzf88" +
       "hV/TqF3MYIe1vo4WYcvg8lT1apwAStR6lfVaS3Gp60KKIx\n0Ef3aDlpoIzh" +
       "+j58HnZ3jjtGcHBU/7iSG371UPAJtGGZ9HH4YCnsqEUGqRDeKnMKSn+dRjax" +
       "f17Q\nAFk7WKQ2vFXlgoBAphw/VocnYYsHP7MnfeGNg+/cwMfHb8NFdJXE4H" +
       "dEV/tolxL3s8BJG7nQ4sFw\nyBEzjN0cwP3d7el5vLs7cVxPmxahvB/FDIqh" +
       "Ljrj9hCK7NaJHjYYDKE4vO11/veuCyiOophr/Ade\nC6xOoQgAAA=="));
    final private SJProtocol p_wm =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVVS2wbRRgeP+LiJAgnTdKqdROlTdpEpXYOhJcFapq0iulW" +
       "pHFbiXCwxrtje8J6\nd5kdO06EKiEOwAUJtUCRoJVQJQSKBGrVcgCVAyAeEg" +
       "d6oAiJcihCHKgEtwg4MP+M7bXXluvDeF7/\nY77v+//dvIt6XIYOuMR1qW2t" +
       "Jvi6Q9wELNUs81TmCClQ65RYZXWkfoEgQlWG9nexajKajOkfPji1\nuaGMpr" +
       "qFUkf+WAEN9ehFahocTWl186Q0SjbMky3mKRFpny8SjHZulegcYqkgP3x00Y" +
       "5O/ntN5Tbs\n2OZ6wbR5zULdmZv85LT2x+dj6s7uDneell6z+n8Px/fcnPst" +
       "GoKU73Nsl3IRn6OdWt0oWebUTC7V\nTlJVx6m63TFZJjqhFdIJ/9kuZifEHB" +
       "fIvF0qlS2qY97A9YMjXwS0vhu/Slz7SuoeHHE07OWpMFVQ\nPo/OouA9E01b" +
       "a4KjjolOdjHTbNtRNqGFb9+7MP3zdZlYOGcb6xA41BS+m58MsYz22GDb61Qd" +
       "YbzL\nR9wcY3hdWVwJTfwd/HRkIojCEBm7BOz6NBTJU2IaLkcxbRVXsGJPoy" +
       "5PaaiXWpywPNaJC7e3a2hb\nifCibailePaoL+IyyRNGLL2G0VY5cT79TDle" +
       "z7NHvBH+B+Vb/cZLjJaEaOpKeH308u9X7ywPKbCe\no5Yojn1++lpsJo6LS6" +
       "lGJIbGu0WQt788OL55dvl2TrE42LgPMCSOWuXS7KWfyPThfl1lYWEBABpU\n" +
       "UJnYKiQznFGrIGTOUcSwyzmTiLjb4Vz5kBwAntUXb+55+2v8rqicNAq7dINU" +
       "HeBwLQxjBziOATFp\ny+VY4JnVN26cvrj1Pb8tE4nqougwtQjjaNSPSQsJ0C" +
       "biPs9nMPP8PvpjZSDy8aVSEG1bQTHhFw74\nGWyWSYbwFSECd762qaH7W85b" +
       "kVAtQsgmbBDd5Cjuz6sprLjVkzdxQehuxH/tGOynamADl3ExhyOp\nWMluxK" +
       "kGkAOzAwK4IT9w4GDrpcjMrc/6vlK9tRbrgSaNi8elZNUMeGSdYgQe/cuFpX" +
       "Nv3H352ZAQ\nheNIgoJcOKEWFu+KOIJlqlfFzCRWgRelpHfUpL2Lo5AoG5iO" +
       "qJ0xMFdO3HYulkxRXou2aRCW1d+/\n890LR4+/+oonNvl+EJeSFACdmDdti2" +
       "BQGpw+xNGQPKN2IkMYxSbdgEMvuCexMV/wE7KaPS0MVHaf\nDBXpN0EUatA4" +
       "5uen1chHVC8jvMxkH1Z0MbS3rQhtnRhlRry4b/2z+Ne5nseuye7kaRs87K2z" +
       "B4v9\nop3nbVbCJgSoN6VeXmT2mrdTl4jkQG5NyfGgojIA8wS0hx2t5Q4eDC" +
       "jVP6+kYq8dckWbDq2gKBXf\nFw6Iaqgfm6a9Rowslx+TgSb1z5vYBdX257Au" +
       "elUhawpHKh0nUBEtocNHNbFz6Pyb0+/cgubjNOhC\nMkuk+Dsss11oO4T1E0" +
       "KTOmihroOYpxFVjO0agPV4o3q0dnSCMD+kIIIxCcMMDMNtcoblLAyPdA70\n" +
       "uOJgGIYnuz7nnm89CcMiDGl1OVqrt1j7v9MBjwXZmmF/RcqiMcz8D7SZPIEg" +
       "CgAA"));
    
    public void run(int port_worker) {
        SJServerSocket ss = null;
        try {
            ss = SJServerSocketImpl.create(p_wm, port_worker);
            while (true) {
                SJSocket wm = null;
                try {
                    wm = ss.accept();
                    int size = SJRuntime.receiveInt(wm);
                    int rows = size / 3 + size % 3;
                    double[][] u = new double[rows + 2][size + 2];
                    double[][] newu = new double[rows + 2][size + 2];
                    this.init(u, newu, rows, size);
                    double[] ghost_m = new double[size];
                    double[] prev;
                    double diff;
                    double valmx;
                    while (SJRuntime.insync(wm)) {
                        diff = 0.0;
                        valmx = 0.0;
                        for (int i = 1; i < rows + 1; i++) {
                            for (int j = 1; j < size + 1; j++) {
                                newu[i][j] = (u[i - 1][j] + u[i + 1][j] +
                                                u[i][j - 1] + u[i][j + 1]) /
                                               4.0;
                                if (i == 1) { ghost_m[j - 1] = newu[i][j]; }
                                diff = Math.max(diff,
                                                Math.abs(newu[i][j] - u[i][j]));
                                valmx = Math.max(valmx, Math.abs(newu[i][j]));
                            }
                        }
                        {
                            double[] _sjtmp_ghost_m = null;
                            _sjtmp_ghost_m = ghost_m;
                            ghost_m = null;
                            prev = _sjtmp_ghost_m;
                        }
                        ghost_m = (double[]) SJRuntime.receive(wm);
                        {
                            double[] _sjtmp_prev = null;
                            _sjtmp_prev = prev;
                            prev = null;
                            SJRuntime.pass(wm, _sjtmp_prev);
                        }
                        Master.noaliasArrayCopy(ghost_m, newu[0], 1);
                        SJRuntime.pass(wm, new Double(diff));
                        SJRuntime.pass(wm, new Double(valmx));
                        double[][] tmp = u;
                        u = newu;
                        newu = tmp;
                    }
                    SJRuntime.send(wm, u);
                }
                finally {
                    SJRuntime.close(wm);
                }
            }
        }
        catch (SJIncompatibleSessionException ise) {
            System.err.println("[WorkerS] Non-dual behavior: " + ise);
        }
        catch (SJIOException sioe) {
            System.err.println("[WorkerS] Communication error: " + sioe);
        }
        catch (ClassNotFoundException cnfe) {
            System.err.println("[WorkerS] Class error: " + cnfe);
        }
        finally {
            if (ss != null) ss.close();
        }
    }
    
    public static void main(String[] args) {
        int port_s = Integer.parseInt(args[0]);
        WorkerS worker = new WorkerS();
        worker.run(port_s);
    }
    
    private void init(double[][] u, double[][] newu, int rows, int size) {
        for (int i = 0; i < rows + 2; i++) {
            for (int j = 0; j < size + 2; j++) {
                u[i][j] = 0.0;
                newu[i][j] = 0.0;
            }
        }
        double sized = (double) size;
        for (int i = 0; i < rows + 2; i++) {
            double d = (double) i + 2 * (size / 3);
            u[i][0] = Math.sin(Math.PI * d / (sized + 1.0));
            newu[i][0] = Math.sin(Math.PI * d / (sized + 1.0));
            u[i][size + 1] = Math.sin(Math.PI * d / (sized + 1.0)) *
                               Math.exp(-1.0 * Math.PI);
            newu[i][size + 1] = Math.sin(Math.PI * d / (sized + 1.0)) *
                                  Math.exp(-1.0 * Math.PI);
        }
        for (int j = 0; j < size + 2; j++) {
            u[rows + 1][j] = 0.0;
            newu[rows + 1][j] = 0.0;
        }
    }
    
    private void printMatrix(double[][] u) {
        for (int i = 0; i < u.length; i++) {
            System.out.println(Arrays.toString(u[i]));
        }
    }
    
    public WorkerS() { super(); }
    
    final public static String jlc$CompilerVersion$jl = "2.3.0";
    final public static long jlc$SourceLastModified$jl = 1238755595851L;
    final public static String jlc$ClassType$jl =
      ("H4sIAAAAAAAAAK1YfWwcRxWf+/D56yC264QQO0kTO8QWyblULSoYaB03H07P" +
       "jeNz08a4nNe7c+dx\n9naW3Tn7YllRSyUSWgkJtYEGtYkUIVBLJMBR2z+oAl" +
       "Kb0kIRapDSCmiLVASVoIj+AxEUxJuZ3b29\n3fNeI7C047nZNzNv3vu933uz" +
       "F95DTbaFMja2bUKNhQw7bmJbtHRuAavMzuQOTiiWjbVRXbHtKXiR\nV2f/Q4" +
       "78qPMrB+IoNo26DDqiE8WemrdouTg/NU/sioVuNKl+vKhT5qwYWuOzfR8svX" +
       "ryYE8CrZtG\n64iRYwoj6ig1GK6waZQu4dIctuwRTcPaNOo0MNZy2CKKTpZB" +
       "kBqwsU2KhsLKFrYnsU31RS7YZZdN\nbIk93cEsSqvUsJlVVhm1bIY6sgvKoj" +
       "JUZkQfyhKbDWdRqkCwrtlfRidQPIuaCrpSBMENWfcUQ2LF\noX18HMTbCKhp" +
       "FRQVu1OSx4ihMbQ1OMM7cf9dIABTm0uYzVNvq6ShwADqkirpilEcyjGLGEUQ" +
       "baJl\n2IWhTWsuCkItpqIeU4o4z9DGoNyEfAVSrcIsfApD64NiYiXw2aaAz3" +
       "zeOpRK//vhiX/cCB4HnTWs\n6lz/FEzaEpg0iQvYwoaK5cRr5cxjY0fLvXGE" +
       "QHh9QFjKjOx47p7suz/ZKmV66sgcEljMqx98unfz\nlZE/tCa4Gi0mtQmHQs" +
       "3JhVcnnDfDFRPQvcFbkb/MuC9/OvnS0Qeexn+Oo5YxlFKpXi4ZY6gVG9qo\n" +
       "02+GfpYYWI4eKhRszMZQUhdDKSp+gzkKRMfcHE3QNxU2L/oVEyHUDE8MnleR" +
       "/GvnDUNt91LrGLZy\nGXuBoUGGbWbP2JY6Qw2skdKCotI5MmNQwLqyPFOVrf" +
       "CFP7oUi8GZeoPxpQMYD1Bdw1Ze/d47P1/Z\ne9fXTklvcYQ5KjHU698j4+yR" +
       "cfZAsZhY/AYORmmsEctSjvMgqTx4ZfOZnylPgunBBDZZxuKEsaUk\nb2HSzZ" +
       "EcMlqNwDHoKQCQvNr9wLubvv3rpy7HUaIuj2S9wX3UKik6h4IbOF3OdsE3gK" +
       "D+II7r7f3X\nh8cvXv3FmwNVRDPUHwq08EweKNuDxreoijUgoury3/rngb89" +
       "2vSZZ+IoCdEH/MMUQA0E85bgHjUB\nM+ySDz9LIovaC6GDtzEw0JLvwLxN86" +
       "ZDAgR80R1QUPDWtYdSN73+fPtlcWKX4tb5uDCHmQyYzqr/\npyyMYfzNxyce" +
       "Pf3eyS8mIERNU/qcoZRZntOJWoEpH6uNMa6exmHzl9Xhjq/vtp8VLm4lpVKZ" +
       "KXM6\nBk5WdJ0uYS3PBCl1+ghQ8A5YIj0H/AVUmNdhIXlWM7YI8KzDEJmN3Y" +
       "99c/CJ1zmHmMIwG3isCU1R\nRQz0x3g7EHrJf2/mCO6uHhui/pg8QHowd//B" +
       "2VPbxcn9y+1yflS8BZvECM+nt0TGwj6eawAzjALp\nVCEz+8gbh8fvu3dI0u" +
       "CnIpe4G2JaE+tU558eM26/tP6qEecoSdkLXtxnUdxmDA1k3SUd5PGfspc7\n" +
       "mJOv3FSwq/EBqhuTlb8/uPqr02nYeBo1E3sfMRSde9u+W0ZvnTQRWGL50j1n" +
       "r/2SvSWwWQ0Xrn5v\nJcx2RxRfJN92dbEz9cNzpThqnkYdItUrBjui6GWO3G" +
       "lI1vaoM5hFH6l5X5t4ZZYZ9uigNxiqvm2D\ngZr0WTvJpXm/RcamWYnFTN67" +
       "TUhvEe02CaY4g3W4vRhqNi2yqPDyB7WXFCgCKnlOs0L6BoZ6PJdY\nZYOREu" +
       "aVmQMiEfcxge/PA/wGAt7zHA1TJrGKyaKTnZ20FJOQuzVi2jj0oZQYpRDBBl" +
       "FFCSbXeGrP\nC7Fs+6W3hevaS1JuyrNAtDY+2Pm14QSlzhNd42vcDGv0ReJR" +
       "Tn/tB2dp645/PRN3YrrdFGQWRN6E\nRUqQ/10TfGPLd/548Z3JbpkHZBXXFy" +
       "qk/HNkJeduATtsi9pBSL/4yW0XTky+NSft3FXLlXuNcunW\nc2/gwTvSap2M" +
       "nYBaU2DgJg9H2To44v1h3nwO8JMuzlOb5U3qzv2CDyGHxMgdQvUdkb4xtDBM" +
       "+NwR\nadlgvShqBTljNdH/fvzHG/pF+kvOKbZEQ7DQDtfRNeWx2KzNlAy71/" +
       "l/APKORiHxYI943SKE/74F\nrISElY5GWakPrJTSsVGU5dp+3kxVqTwuxd3Y" +
       "kwURJwkoiqGCUtzd4Z3MGoRmvOsJvKyEdLPQ1oC5\nxsVJqzzWudhzODFPXo" +
       "4LPpEUFLpP1E4ariWeNgvDdciYqqGfHlP8mwpbIyYNEZkcG2ZO4NAmldvE\n" +
       "tUdH1VaSUH3bVyFMG0G4y2bUNHn2B8bWRMEeBLIlZh92cHHYdBJ/rQ53Cqjw" +
       "8XJAhaVGKqTgZlnW\nWXDb5drtcn77ro3GE9Fo5O2Mh8SVEBL5zy/xZjYMLf" +
       "5blVqs8Kbwv3n0Id6IlFKqBEx2qpHJkmZ+\nqRQ02CMA/p1RRLMHF0koB3Cm" +
       "/ETELN+kHR3q07sGLiy7/LTHgYTkuKj8M2YsQZqpmw2jqDFLqSnn\nJO585f" +
       "zjg795VhL3HNWOy5TlV4NDRTjHUyqA2xqpstdMec3+is+vqOo6twaFU25e6/" +
       "IuEtDJ+95P\nf1V58X7XQmMMtUJ87dbxItY9FCTFcklYbXdkvg0yVyJ3++DO" +
       "Xe1/ArZf4x7X6QxO1hKUuOAp13nB\nE3AX/XWgbQs82+DZ7HhP/OcvO3nTJa" +
       "9Ea0dFrMqE+xuHxjlIx1B9BfNRcpESTUz7rs8t/kXDI2e9\nE/BnJzxnnBOc" +
       "qXeCNQKvD1jKFl/O6ivvp4ict+PH4dkasWMdGpUfpepzHG8uujz33PXw3Or1" +
       "85zc\nTEz+P3Dd8z6uayz9fXB1CS4mwtP1/b0a8vdq0N+t8OyF57xj/fMfzt" +
       "8xybF1lXQCV5CM1+z/kKB+\nCU5FDMLqnypi0YYCtWfmGL/snPnyWlH6cqMo" +
       "XWl8oNfgAgV3KYONi1tUhLdWQt5aqUAWa3a+h/Ei\nd2PoQ7b83KpuvzI78I" +
       "LZ+Yoscd1Pos1Z1FIo67r/Oujrp0wLF6RKze7lkP/7HdSR9b7MgS5OTyj6\n" +
       "Wyn9NlT4fmk+9ntTojj2X1KrlmDTFwAA");
}
