package schat.client.net;

import java.util.*;
import sessionj.runtime.*;
import sessionj.runtime.net.*;
import schat.common.*;
import schat.common.events.*;
import schat.client.*;

public class AcceptorInThread
extends SJThread
{
    private ChatProtocols
      dummy;
    final private SJProtocol
      p_private_event_out_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBszi1uDgzPy9Lr6SyILVYD8SFsIK9/EtLyjMy" +
       "c1JDgPz4ZAYIYGRi\nYKgoYlDFo88nP78AoofZ5eSiGZq3tjExMPowsCTlp1" +
       "SWMGj4wLTqgzXow7XqB3sFQ6RAuq2Btmjg\nsQVJKbLjgBaxJgNdnVLIUMfA" +
       "BDRDGc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLV\nAVHjqL" +
       "o91OfFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pS" +
       "WZOfoBUBnr\nioKCioJi/IEanJqXgi0iTPHo8QWyE9NTnfNzc0vzMpMTS+Dh" +
       "tdLpMKMP97774PDizoWoA0mVMIgi\nXAmJFUhkgIKTGeJMGTS/B+QkJqd65O" +
       "ekpBbFJy9/fKrG1buzAxLleYm5QCOFfLISyxL1cxLz0vWD\nS4oy89KBXi5h" +
       "kC1Ozkgs0UsGOi8/Ty+1LDUPGCXOQCFXEBMAlpCSuaECAAA="));
    final private SJProtocol
      p_private_event_in_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9PPPKMzJz" +
       "UkOA3PhkBghgZGJg\nqChiUMWjzSc/vwCih9nl5KIZmre2MTEw+jCwJOWnVJ" +
       "YwaPjAtOqDNejDteoHewVDpEC6rSvwOw5J\nKbLjgBaxJgNdnVLIUMfABDRD" +
       "Gc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLVAVHj\nqLo91O" +
       "fFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pSWZOf" +
       "oBUBnrioKC\nigICcRGUmpyaWYY1LkzxaPMFshPTU53zc3NL8zKTE0vgQbbS" +
       "6TCjD/e+++Ag486FqANJlTCIIhwK\niRhIfIBClBniUhk07wfkJCaneuTnpK" +
       "QWxScvf3yqxtW7swMS63mJuUAjhXyyEssS9XMS89L1g0uK\nMvPSgb4uYZAt" +
       "Ts5ILNFLBjovP08vtSw1DxgrzkAhVxATAAgOt3WjAgAA"));
    private ChatClient
      client;
    private AcceptorOutThread
      aot =
      null;
    private boolean
      run =
      true;
    
    public AcceptorInThread(ChatClient client,
                            AcceptorOutThread aot) {
        super();
        this.
          client =
          client;
        this.
          aot =
          aot;
    }
    
    public void
      srun(
      final SJService c_ar_private_in) {
        ChatClient.
          debugPrintln(
          "[AcceptorInThread] Acceptor in thread started.");
        SJSocket s_ar_private_in =
          null;
        try {
            s_ar_private_in =
              c_ar_private_in.
                request(
                client.
                  getSessionParameters());
            client.
              openPrivateConversation(
              aot.
                getRequestorId(),
              aot);
            while (SJRuntime.
                     insync(
                     s_ar_private_in)) {
                ChatEvent e =
                  (ChatEvent)
                    SJRuntime.
                      receive(
                      s_ar_private_in);
                ChatClient.
                  debugPrintln(
                  "[AcceptorInThread] Handling event: " +
                  e);
                if (e instanceof MessageEvent) {
                    client.
                      handleEvent(
                      e);
                } else
                          if (e instanceof UserLeftEvent) {
                              
                          } else
                                    if (e instanceof QuitEvent) {
                                        
                                    } else {
                                        System.
                                          err.
                                          println(
                                          "[AcceptorInThread] Shouldn\'t get in here: " +
                                          e);
                                    }
            }
        }
        catch (SJIncompatibleSessionException ise) {
            System.
              err.
              println(
              "[AcceptorInThread] Shouldn\'t get in here: " +
              ise);
        }
        catch (SJIOException ioe) {
            ChatClient.
              debugPrintln(
              "[AcceptorInThread] I/O error: " +
              ioe);
        }
        catch (ClassNotFoundException cnfe) {
            System.
              err.
              println(
              "[AcceptorInThread] Shouldn\'t get in here: " +
              cnfe);
        }
        finally {
            if (aot !=
                  null) {
                aot.
                  disconnect();
            }
            client.
              closePrivateConversation(
              aot.
                getRequestorId());
            ChatClient.
              debugPrintln(
              "[AcceptorInThread] Acceptor in thread stopped.");
            SJRuntime.
              close(
              s_ar_private_in);
        }
    }
    
    public void
      disconnect(
      ) {
        if (run) {
            ChatClient.
              debugPrintln(
              "[AcceptorInThread] Told to disconnect...");
            this.
              run =
              false;
        }
    }
    
    public SJThread
      spawn(
      final SJService c_ar_private_in) {
        new Thread(
          ) {
            
            public void
              run(
              ) {
                AcceptorInThread.this.
                  srun(
                  c_ar_private_in);
            }
        }.
          start();
        return this;
    }
    
    final public static String
      jlc$CompilerVersion$jl =
      "2.3.0";
    final public static long
      jlc$SourceLastModified$jl =
      1238676054846L;
    final public static String
      jlc$ClassType$jl =
      ("H4sIAAAAAAAAAJVYfWwcRxWfu7Pv/HE0PsdJE3/EsRO3thqfCSIIakRxjoQ4" +
       "ucSOzwmJcXrZ253z\njbO3u92ZPZ9DFVJAJASBBG3SUkEqAVJpiSi0avkHBa" +
       "S2QPkQIkhphdTyRxFUgiL4h0ZQCm9mdu/2\n9s5netLuzs6+9+bNe7/3MXft" +
       "TdRKbZSkmFJiGstJtmphKu5mbhmrjCYzB2cVm2ItpSuUzsOHrHr6\nHXL8B4" +
       "nPHAij0ALqNswpnSh0vmCbzlJhvkBo2UbbLVNfXdJN5kqsk3H3jrdXfnXhYF" +
       "8EbVhAG4iR\nYQojaso0GC6zBRQv4mIO23RK07C2gBIGxloG20TRyVkgNA1Y" +
       "mJIlQ2GOjekcpqZe4oTd1LGwLdb0\nJtMorpoGZbajMtOmDHWll5WSMuEwok" +
       "+kCWWTaRTNE6xr9D50DoXTqDWvK0tAuDnt7WJCSJzYz+eB\nvIOAmnZeUbHH" +
       "0nKGGBpDg0GOyo53HgICYI0VMSuYlaVaDAUmULdUSVeMpYkMs4mxBKStpgOr" +
       "MNS7\nplAgarMU9YyyhLMMbQnSzcpPQNUuzMJZGNoUJBOSwGe9AZ/5vDUTjf" +
       "/n0uxb28HjoLOGVZ3rHwWm\nbQGmOZzHNjZULBlvOcmHpk86/WGEgHhTgFjS" +
       "TI388Fj6jR8PSpq+BjQzAotZ9e0P9A/cmPpje4Sr\n0WaZlHAo1OxceHXW/T" +
       "JZtgDdmysS+cek9/Encz89ef5J/JcwaptGUdXUnaIxjdqxoaXccQzGaWJg\n" +
       "OTuTz1PMplGLLqaipngHc+SJjrk5WmFsKawgxmULIRSDKwTXfUj+buM3hjZO" +
       "qSq2AIzTBkQNVrQk\nXWYoyTBldJHa6iJVCwpbVHWCDbZoYLbYgKHMl7ltJR" +
       "SCHfYHo00HaB4wdQ3bWfXx139x/75DX7go\nfcfx5irI0JBYKCkXSsJCyeBC" +
       "KBQSK2zk+JT2m7JtZZXHTfmBGwNf+5nyDfAGWIWSs1hsOrTSwu/A\n9L6maS" +
       "VVDcppGCmAmazac/6N3kd/98SLYRRpmFrSlcn9pl1UdI4OL5a63eWCXwBUO4" +
       "PQbrT23y4d\nfubmL18drYKcoZ11sVfPyWNnOOgB21SxBrmpKv7hfx34+4Ot" +
       "H3o2jFogICElMQWABPG9LbhGTQxN\nevmI7yWSRp35uo13MDDQim/D/B4X4w" +
       "3gija4ILbQDheFg0hA8hxK8Fu3BBK4qyewB5Htbn02+t6X\nf9T5ojCKlxg3" +
       "+DJoBjMZZokqROZtjGH+1UdmH7z85oVPRiCwLUvCgqGo5eR0opaB5fbayOQ7" +
       "0Diy\n/vr0ZNeXx+lzAgXtpFh0mJLTMWRyRdfNFaxlmUhlCV/aFNkKjBXPQd" +
       "aDBJrVQZA0hxUqAYIb5JXk\nlp6Hrox9/WWeeSxhr83cVkLTsHjfyNDtNUGS" +
       "gnFKDL3vw2sG0YzDZBSVBe1IiN/HKusgsQ4S9h/g\n8dJTtSCknTPSFvGxzK" +
       "mDpy8OCyNKzTjDXfw2LgXvrpsuVxaJim9RkL6raTTu5wWwClZy/z8fePo3\n" +
       "l+NhFF5AMUL3E0PRuS/oERl+DVJ/QMTZ68eu3vo1e00gp4p3rlh/uT5nHVd8" +
       "ofjBm6VE9PuPFcMo\ntoC6RPlWDHZc0R2OqwUowDTlTqbRe2q+1xZTWTkmK/" +
       "HcH4w137LBSKvmShhzaj5uCwRXO1wDcHW5\nwdUVCK5QyOKDuwXDoLgPV0Ih" +
       "ZtmkpPCOB7VqTrG46mGq18WUWSyahsAcJBRmQpESFFBHxHNPjRp9\ncG111d" +
       "jaWI29/PZhiEGJ1gpiGgu8wxWKvGe9wH2uwIhiCmnja0vrdy2FvGe9tAOeNN" +
       "sxaD3AZm1S\nhNJdcnuLr2z79p+eeX2uR+Zr2YDtqOuB/DyyCRMe7LR4Ahpq" +
       "toKgfuGuoWvn5l7LyeakuzZh7TOc\n4p7HXsFjH42rDcprLGeaOlYMaRMe4e" +
       "9fPwY9R1eD4fQXXzl6+MQnJqQKu5uKOALra4FAvDxt3HN9\n000jzGtFlC77" +
       "YB2mjKHRtCfStRl/laPMwYz8JHtE4VTL89axekyHAch5nir43EcA1r1W1sV4" +
       "FpcA\ncVnoabNQQLFS9LDeV9kQeJ2RIuZHDtcIwnIhkTdPgvnGAnuvKAoskG" +
       "xXCtCJSWy4OAtJm4004Uub\npiV5Ih976ZuPjP3+OenJnKmt8nXngX+0Cb/P" +
       "QP5lebVUQR/Nk7Gjqd8k+2+fumq2j/z72bBbFQCk\nvLI2Uz8DnWmjLe9pwn" +
       "MYxnAuSEF2cQyiivOUlPHE3udD6c7rfxD6dxYl3XxN6rvXcksluG6gJk0J\n" +
       "B1ORrfaVvAI5V4FLvgFc+PiEh5WtQawQw4UKp1jwYYHQ5j6ZNtaAAmc+JY3a" +
       "jH8Oq7iSZoL8OeDn\nT028DcnSjqqlfbdb1mGNgbVOVCK1XDjxj/jnlRdOeY" +
       "JnGGpnpjWuw+71SgGPCHERkDbeFEGHxbmy\nGvWRzD1jd+7q/DO0m2t00gl3" +
       "cg7DIdqoeFm02Mq7brEHA3sN6pMo9R2NFMjPw6K0ympcd1yuZZqs\nrcEddq" +
       "2iwmh9NW3uvFu1kPcMtrk+lwW6Me/Y4kJ7W11W4p0djze7RFS8fke3wuBMxO" +
       "sYfzlkSYYj\nMFkyiSb4zvvg0qg4uF7gWd098vDMGjhgv3X0yvLQo+e/Kv6L" +
       "8Ro1cMfEesICcr716bZLW7rLD4vI\nD9tMtmn83mGJx6dC5YC+dzaJoNRevE" +
       "TqkiJPTHc04fIxjXSpT+4avXbWC457XQsue+lHr4SheGU1\nOODtT8Fdt/Du" +
       "cOD5cF0Hf4mhDo1QaD4NCEHh0Dq3onL9i6vpf+XvHX7xj/yFP6F/hcRsQfqy" +
       "t38c\nQ8MM+VCz/k/0Cketr/oVKNPUUlYMD+1bG9RgeXQRUq7WeJ6PP9cYFH" +
       "x8cW1PQZLvCv7DwHPxlrp/\nC+V/WurwjdOjz1uJl8SZufK/UyyN2vKOrvv7" +
       "c984atk4T4R+MdmtS2W/A6sHz2rQa8JdqPm4pPou\ng+7eR1Vplv1E3+MG5E" +
       "T85Smxu6tl9D+adwqoThUAAA==");
}
