package schat.client.net;

import java.util.*;
import sessionj.runtime.*;
import sessionj.runtime.net.*;
import schat.common.*;
import schat.common.events.*;
import schat.client.*;

public class ClientInThread
extends SJThread
{
    private ChatProtocols
      dummy;
    private ChatClient
      client;
    private ChatClientCommunicator
      comm;
    private boolean
      run =
      true;
    
    public ClientInThread(ChatClient client,
                          ChatClientCommunicator comm) {
        super();
        this.
          client =
          client;
        this.
          comm =
          comm;
    }
    
    public void
      srun(
      final SJService c_cs_in) {
        SJSocket s_cs_in =
          null;
        try {
            ChatClient.
              debugPrintln(
              "[ClientInThread] Client in thread started.");
            s_cs_in =
              c_cs_in.
                request(
                client.
                  getSessionParameters());
            ChatClient.
              debugPrintln(
              "[ClientInThread] Connected to Server out thread: " +
              s_cs_in.
                getPort());
            while (SJRuntime.
                     insync(
                     s_cs_in)) {
                {
                    String _sjbranch_0 =
                      SJRuntime.
                        inlabel(
                        s_cs_in);
                    if (_sjbranch_0.
                          equals(
                          "USER_JOINED")) {
                        {
                            client.
                              handleEvent(
                              (UserJoinedEvent)
                                SJRuntime.
                                  receive(
                                  s_cs_in));
                        }
                    } else
                              if (_sjbranch_0.
                                    equals(
                                    "MESSAGE")) {
                                  {
                                      client.
                                        handleEvent(
                                        (MessageEvent)
                                          SJRuntime.
                                            receive(
                                            s_cs_in));
                                  }
                              } else
                                        if (_sjbranch_0.
                                              equals(
                                              "PRIVATE_CONVERSATION")) {
                                            {
                                                PrivateConversationEvent pce =
                                                  (PrivateConversationEvent)
                                                    SJRuntime.
                                                      receive(
                                                      s_cs_in);
                                                if (client.
                                                      handleEvent(
                                                      pce)) {
                                                    {
                                                        SJRuntime.
                                                          outlabel(
                                                          s_cs_in,
                                                          "ACCEPT");
                                                        final SJService c_ar_private =
                                                          (SJService)
                                                            SJRuntime.
                                                              receiveChannel(
                                                              s_cs_in,
                                                              ("H4sIAAAAAAAAAFvzloG1uIhBvTi1uDgzPy9Lr6SyILVYD8SFsIK9nJ1S0zPz" +
                                                               "QoC8+GQGCGBkYmCo\nKGJQw6MLSZOqQPIqHY01VRBNGng0BUOk0O1i9GFgTc" +
                                                               "7IzEkpYdDwgWnXB2vSh2vXR9FuDbRJGc0m\nEJmflJWaXAKyC2LJxfXz8jlV" +
                                                               "f2+FuE20ID+nMj0nvwSqA6LGUXV7qM+L/fIQNdJY1PiDTY1P/mMm\nI3vJ8Q" +
                                                               "knM8jJHAX5xZklQPtLGCR8YJr0S0syc/QDoDLWFQUFFcX4wyQoNTk1sywVW/" +
                                                               "ib4tHmC2Qn\npqc65+fmluZlJieWwMN1pdNhRh/ufffB4cqdC1EHkiphEEW4" +
                                                               "ExKmkKAsZKhjYAI7VBOPjf6lJeXA\nSMLqUlU8+nzy8wsgephdTi6aoXlrG9" +
                                                               "hlLEn5KZUgm5lh9hcU4zcoODUvBdNykGYuiGYZtKgLyElM\nTvXIz0lJLYpP" +
                                                               "Xv74VI2rd2cHxPK8xFxgeAj5ZCWWJernJOal6weXFGXmpQNjrIRBtjg5I7FE" +
                                                               "LxkY\ntvl5eqllqXnAFOUMFHIFM0E2MhCMV888HKEF0s4HcjCIwQlkgGgRAA" +
                                                               "xgbaepAwAA"));
                                                        new AcceptorOutThread(
                                                          client,
                                                          pce.
                                                            getRequestorId(),
                                                          pce.
                                                            getTargetId()).
                                                          spawn(
                                                          c_ar_private);
                                                    }
                                                } else {
                                                    {
                                                        SJRuntime.
                                                          outlabel(
                                                          s_cs_in,
                                                          "REJECT");
                                                    }
                                                }
                                            }
                                        } else
                                                  if (_sjbranch_0.
                                                        equals(
                                                        "USER_LEFT")) {
                                                      {
                                                          client.
                                                            handleEvent(
                                                            (UserLeftEvent)
                                                              SJRuntime.
                                                                receive(
                                                                s_cs_in));
                                                      }
                                                  } else
                                                            if (_sjbranch_0.
                                                                  equals(
                                                                  "QUIT")) {
                                                                {
                                                                    client.
                                                                      handleEvent(
                                                                      (QuitEvent)
                                                                        SJRuntime.
                                                                          receive(
                                                                          s_cs_in));
                                                                }
                                                            }
                }
            }
        }
        catch (Exception x) {
            client.
              reportError(
              "Session terminated.",
              "Error communicating with the server.");
            ChatClient.
              debugPrintln(
              "[ClientInThread] Exception: " +
              x);
        }
        finally {
            if (run) {
                client.
                  disconnect();
            }
            ChatClient.
              debugPrintln(
              "[ClientInThread] Client in thread stopped.");
            SJRuntime.
              close(
              s_cs_in);
        }
    }
    
    protected void
      disconnect(
      ) {
        if (run) {
            ChatClient.
              debugPrintln(
              "[ClientInThread] Told to disconnect...");
            run =
              false;
        }
    }
    
    public SJThread
      spawn(
      final SJService c_cs_in) {
        new Thread(
          ) {
            
            public void
              run(
              ) {
                ClientInThread.this.
                  srun(
                  c_cs_in);
            }
        }.
          start();
        return this;
    }
    
    final public static String
      jlc$CompilerVersion$jl =
      "2.3.0";
    final public static long
      jlc$SourceLastModified$jl =
      1238676054860L;
    final public static String
      jlc$ClassType$jl =
      ("H4sIAAAAAAAAAJUYa2wcR3nuzvb5RWI7dhLiR+IkJjZJbIoIKjVS61zP9TmX" +
       "2LlzrNZxceZ253zr\n7O0uu3Pnc4jSBBBpg0Bqm6YvSBEFQaNIQKuGPyiA0g" +
       "LlIdQgNVVR0x9FUAmK4A+NoBS+mdndu91b\nn+GknZud+V7zvWcvv4vqLRMN" +
       "W8SyFF1bGqYrBrH4qGeWiESt4fTkNDYtIsdUbFkzsLEgHftAmf1B\n++cnwi" +
       "g0hzo0fUxVsDWTM/XCYm4mp1glE20zdHVlUdWpTbGKxh073l/+9dnJ7ghaP4" +
       "fWK1qaYqpI\nMV2jpETnUGue5DPEtMZkmchzqF0jRE4TU8GqcgIAdQ0YW8qi" +
       "hmnBJFaKWLpaZIAdVsEgJufpLCZR\nq6RrFjULEtVNi6K25BIu4pECVdSRpG" +
       "LR0SRqyCpEla3PolMonET1WRUvAuDGpHOKEU5xZJytA3iz\nAmKaWSwRB6Xu" +
       "uKLJFG31Y7gn3nkAAAA1mic0p7us6jQMC6hDiKRibXEkTU1FWwTQer0AXCja" +
       "sipR\nAGo0sHQcL5IFijb74abFFkA1cbUwFIq6/GCcEthsi89mFdaaamj997" +
       "np97aBxUFmmUgqk78BkPp8\nSCmSJSbRJCIQbxWGzyfuK/SEEQLgLh+wgBkb" +
       "+OGR5Ds/3ipgugNgprgvLkjvf7Kn9/rYH5oiTIxG\nQ7cU5gqek3OrTts7oy" +
       "UDvHujS5FtDjubP0n97L7Tl8ifw6gxgRokXS3ktQRqIpocs+dRmCcVjYjV\n" +
       "qWzWIjSB6lS+1KDzd1BHVlEJU0c9zA1Mc3xeMhBCUXhC8BSR+K1jA0XtMVUh" +
       "Gk1oEDMEy8PWEkV7\nKLGoNW+Z0rwl5TCdlzjMvEbofBV4ibFYtxwKwel6/J" +
       "GmgltO6KpMzAXpO2//8mT8wEMPCrsxX7OF\nA1flbIYFm2FgM+xlg0IhTn8D" +
       "80yhuTHTxCssYkpnrvc++XP8dbAD6MNSThB+3NByHRsB6eM1E0qs\nHI4JmG" +
       "HwlgWp8/Q7W5763XMvh1EkMKkk3cVx3cxjlfmFE0UdNjv/DrjTTr9TB/H+67" +
       "mDL7z2qzcH\ny+5N0c6qqKvGZFGz3a9/U5eIDFmpTP7xf0787dH6T70YRnUQ" +
       "ipCMKAYXgsju8/PwRM+ok4nYWSJJ\n1JKtOngzBQUtVxyYja18vh5M0QgPRB" +
       "Xqtv1vExvYZjsbOoQbgbk6fWfgee7WFxo+duNHLS9zpTgp\ncX1F7kwTKgKs" +
       "vewiMyYhsP7mE9OPPvbu2aMRCGnDEG5BUYNRyKiKVAKUTd6YZCeQmWf95fnR" +
       "tq/u\nta5wL2hS8vkCxRmVQA7HqqovE3mB8iTWXpEweZ4CZbVmIN9B6lxQgZ" +
       "BQhxEqggcHZJThzZ3nLwx9\n7QbLOQbX10amKy5pmL9voGiTJ0RiMBch4uzv" +
       "qg4hFyamg+yaImFwlxJHGAixcchlhjgzxI3Qy4Km\ns6xGyDrHhUJah9L3Tx" +
       "57cDvXpBCPIexmw15B+Laq5ZLLpI7v1QH1PTVDcpzVv7LHKif/ceb53z7W\n" +
       "GkbhORRVrHFFwyoziHVIxGBA5veROHH1yMVbv6E3ufuUnZ4J1lOqTluzuCIe" +
       "b3+t2N7w/WfyYRSd\nQ228emONzmK1wJxrDuqvFbMXk+hDnn1vLRWFY9QN6h" +
       "5/wFWw9YdbOV3CnEGzeaMvwprg6YWnzY6w\nNl+EhUIGm9zBEbbycbsbD1HD" +
       "VIqYNTyoXi7k8yuOY22xHQt8SNe4U0FWoTrUKA4BZYT/7/OIwYK8\nwxajI1" +
       "iM/Wz4NASicFnXY4IJDsCzwSa4IZhg3CZYx0Tlvrc6uR54umxyXcHkJmxyEb" +
       "OgWdUeNm0q\neSjdRbu3eLjvW3984e1Up8jaogHbUdUDVeKIJoybsMVgaai/" +
       "FgcO/dLu/sunUjczojnp8KatuFbI\n73vmdTJ0V6sUUGKjGV1XCdaETkKcb7" +
       "/IBaicC26z8wCI07taB8ZFOXvv31u/hF+6P2wnjSmKmqhu\n7FVJkahuxEc4" +
       "uQhQ21sz4g/yPrQcc5H0nUO79rT8CYrUKvW33V5MEWi6tRknInhhxv93Yd7q" +
       "O6tf\nnvZi9+FITvlFmMeiCN+q9tqLNOoN2mbTKyhXWrenOKbg6bN9si+oOF" +
       "aYzJe+nWbHDtk+V9ngu1TJ\nE14P0pNwaSkqElm7BBylLE2D37OXA4ZAOASL" +
       "RV2ROZ5c4S6sXnzCZ1/bCsDUTtI8a/sa8vcOX1jq\nf+r0I/zu5mR2MMfIWs" +
       "R8dJ59oPHc5o7S49ztwyYVeZ2NzQb/WwiVfPLu8rFgr2IGLeF+sqhogrRt\n" +
       "j5AIuY/UwKpAGmiTLu0ZvHxCIA3WQEqLLT8v1uRIOUWFJDKYdNBtN3PRRzzo" +
       "rP3bUTPIBJNXv3dR\nbxr414tO4IrcU0vGhLYMopAgfQzUQEvquiFwIne/8s" +
       "0nht64IrJSRpdXGGOds9cM3rUN1eSfMSGi\nckEC1DLj/gqso7tvb5q+cfwz" +
       "tmoxwFG0oaJ/nMBW7iA2RiuFqmgl7e366Bs/vbbx2KsRFB5HzaqO\n5XHMe3" +
       "BIfnBRsXJw1SkZd97FRWxdbrSLMPus0eVKygmCfnCGqB6TR1SccfN153QqMT" +
       "s2E1+ITR2a\njafSYzOJqUNrWCpFJOJWJK+i9tVAOwhzuJqXu0TXI5/bfy2U" +
       "bLn6FhevJS/gvDlM4/7z0Rrkpwp0\nNQMyAkXDbnpXqvQmmt/PQY8wFovFp2" +
       "f46ykHXrXz0ikuQS0PAglWcWGGbwlr1/LlNFy5g5EfcKSB\ntNvr6ZSgEEJ3" +
       "zhumeNFp1B2ZTQeNnYb9f8U9aio+GY/N2HBAdU8Q1WnRrEHjWSSmxS1WZgJU" +
       "ogfj\n6fTYPXGvxoDatiBqtgN4KLQcScdTC5NTiUPxu6uo7AiicsQi5qQOfb" +
       "XsIdTECSXj4zNVZPpXI5Mk\nWeohUnf4SKIaP1DhhwuKwLVvHve6RbbFbvzy" +
       "thHzQUU2sDluMqDlhTRK5Nq1c83CeomiZlmx4Jag\nATleSKvKKSpVv9iH+I" +
       "/4fcAetsle2D9cNCB6DXBxc9s9BG424Buy8T92DbxAri36FbgYWAZe1hzt\n" +
       "f7iqy4Aawz/XcCpXPRWXzXPBxTgwLgqrZ4V6tnzSDX32f6ZGDmHLX1w9c7D/" +
       "h5yNL3uicfVgZcMj\n4jTn2XDBs/0kG572LF1kwzc8S8+y4duepe+WSnD9Wu" +
       "f99sVy0+aqL9jiO6u0/fqxwWtG+yv8a477\nLTSaRI3ZgqpWXhor5g2GSbIK" +
       "lz4qrpDiKK9T1Ob/igD3Hxi5lDcE1O8pXDkroNwbXCXQTeYsDIi9\nvMUPd7" +
       "WE/gtdWy5Y4hcAAA==");
}
