package schat.client.net;

import java.util.*;
import sessionj.runtime.*;
import sessionj.runtime.net.*;
import schat.common.*;
import schat.common.events.*;
import schat.client.*;

public class ClientOutThread
extends SJThread
{
    final public static SJProtocol
      p_private_event_out_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBszi1uDgzPy9Lr6SyILVYD8SFsIK9/EtLyjMy" +
       "c1JDgPz4ZAYIYGRi\nYKgoYlDFo88nP78AoofZ5eSiGZq3tjExMPowsCTlp1" +
       "SWMGj4wLTqgzXow7XqB3sFQ6RAuq2Btmjg\nsQVJKbLjgBaxJgNdnVLIUMfA" +
       "BDRDGc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLV\nAVHjqL" +
       "o91OfFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pS" +
       "WZOfoBUBnr\nioKCioJi/IEanJqXgi0iTPHo8QWyE9NTnfNzc0vzMpMTS+Dh" +
       "tdLpMKMP97774PDizoWoA0mVMIgi\nXAmJFUhkgIKTGeJMGTS/B+QkJqd65O" +
       "ekpBbFJy9/fKrG1buzAxLleYm5QCOFfLISyxL1cxLz0vWD\nS4oy89KBXi5h" +
       "kC1Ozkgs0UsGOi8/Ty+1LDUPGCXOQCFXEBMAlpCSuaECAAA="));
    final public static SJProtocol
      p_private_event_in_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9PPPKMzJz" +
       "UkOA3PhkBghgZGJg\nqChiUMWjzSc/vwCih9nl5KIZmre2MTEw+jCwJOWnVJ" +
       "YwaPjAtOqDNejDteoHewVDpEC6rSvwOw5J\nKbLjgBaxJgNdnVLIUMfABDRD" +
       "Gc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLVAVHj\nqLo91O" +
       "fFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pSWZOf" +
       "oBUBnrioKC\nigICcRGUmpyaWYY1LkzxaPMFshPTU53zc3NL8zKTE0vgQbbS" +
       "6TCjD/e+++Ag486FqANJlTCIIhwK\niRhIfIBClBniUhk07wfkJCaneuTnpK" +
       "QWxScvf3yqxtW7swMS63mJuUAjhXyyEssS9XMS89L1g0uK\nMvPSgb4uYZAt" +
       "Ts5ILNFLBjovP08vtSw1DxgrzkAhVxATAAgOt3WjAgAA"));
    final public static SJProtocol
      p_ar_private_main =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
       "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
       "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
       "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
       "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
       "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQAYw0TTxh4l9aUg70O9ZYU8Wjzyc/" +
       "vwCih9nl5KIZmre2gQOSJSk/pbKQ\noY6BpQJEMhdUFBTjNyg4NS8F03KQZk" +
       "aIZhm0EAnISUxO9cjPSUktik9e/vhUjat3ZwfE8rzEXGDa\nEPLJSixL1M9J" +
       "zEvXDy4pysxLBwZECYNscXJGYoleMjCd5efppZal5gEjyhko5ApmFjGo43Gl" +
       "s1Nq\neiZGygEFkhoeXUiaVAWSV+lorKmCeY4ZHDP4UqtnHo6IAWnnBoUNiM" +
       "EAZIBoQQBxLnPaoQMAAA=="));
    final public static SJProtocol
      p_ar_private =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBvTi1uDgzPy9Lr6SyILVYD8SFsIK9nJ1S0zPz" +
       "QoC8+GQGCGBkYmCo\nKGJQw6MLSZOqQPIqHY01VRBNGng0BUOk0O1i9GFgTc" +
       "7IzEkpYdDwgWnXB2vSh2vXR9FuDbRJGc0m\nEJmflJWaXAKyC2LJxfXz8jlV" +
       "f2+FuE20ID+nMj0nvwSqA6LGUXV7qM+L/fIQNdJY1PiDTY1P/mMm\nI3vJ8Q" +
       "knM8jJHAX5xZklQPtLGCR8YJr0S0syc/QDoDLWFQUFFcX4wyQoNTk1sywVW/" +
       "ib4tHmC2Qn\npqc65+fmluZlJieWwMN1pdNhRh/ufffB4cqdC1EHkiphEEW4" +
       "ExKmkKAsZKhjYAI7VBOPjf6lJeXA\nSMLqUlU8+nzy8wsgephdTi6aoXlrG9" +
       "hlLEn5KZUgm5lh9hcU4zcoODUvBdNykGYuiGYZtKgLyElM\nTvXIz0lJLYpP" +
       "Xv74VI2rd2cHxPK8xFxgeAj5ZCWWJernJOal6weXFGXmpQNjrIRBtjg5I7FE" +
       "LxkY\ntvl5eqllqXnAFOUMFHIFM0E2MhCMV888HKEF0s4HcjCIwQlkgGgRAA" +
       "xgbaepAwAA"));
    final public static SJProtocol
      p_event_out_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVUQU8TQRidtiAUNFYBYyJEDFZBSXvSmHDQsiyydaGl23Ix" +
       "sU63Y7u4nVl3p6UY\n41n/gScPXoyGxJN60xhOesOLCRcPevDCL9CDMzvblt" +
       "JladLdmf2+9+bN972ZrT3Q79hgxkGOYxC8\nnqCbFnISfCpGWjpTpxtVw0R5" +
       "Ni/qQPxCYQCaNogH4FRCLIGJLHx99WJm90MYhFTQVyLlTQqm1RY0\n6QKSbW" +
       "hSS2sixNFzbJXpgFX2pe4Xxxbq15nq8iPwFIQZx9QBDv4kpXWkU84i4DvvXp" +
       "Jo/O97sbcx\ni5ibFZNQDyFyUvGPBfXP5/Mi55xPTsZlLer/ro9PfE/9jka4" +
       "mEGLOAZl61NwVm2BknVqmMmsF5lr\nWlbTYs24EtyMkg2xXvXrxuUA4Pw+1N" +
       "2rN6LZHw/veWWCLI+CEXUdNqCQtASd6jK05pq8ehGh6hQP\nJ3g44YX7B3a/" +
       "bJ+5vxMB4UUwZBJYXoQ6JbYCorRqI6dKzHLTunnLlXh8Y5A9Y+zP/TbWVuoS" +
       "MrPA\nEjK72hcxYYmC00KVCXElqVHbwBVWJgpGszllLZWXi1JmZU3Oaam8kl" +
       "lxgv2oIVz2q9q1AMwyG8MK\nkkitVseGDmnbam/mt0Pq8KefrtbhmsjjIQrG" +
       "Og0WhhY+9mp5xGlT8GH95fgh3gs+ONFT1rD7/SQF\nx1KSJGfz7nRE9C7IGN" +
       "I8qhg954cX5lKQnTqgeEx/Ozu99bilUewx6MzmkI6Mhs+FwuGjDM7foLVV\n" +
       "bw/jB45a1oQ6WmIWQ3ZRf/3r2xP5zvNn4obBsIY4MsatMuHoVUgTOmshwQnU" +
       "QJideIl9kt0hz5s4\nUrGCD7kCOTzUUjrJBvwdb7ciJ6dlKe/t6CIFs35isr" +
       "bRgJSZDDeQ7bge62hjLAPLsqalbsudanhs\nk35snmW7GIYLmpwrpjPKirzQ" +
       "wzLlx1JwkJ0mBkblLqK+1YKS72HwLfFq3aBd2KgrQpUXewkuHCZB\nRQ8ESf" +
       "M/RCrTk6kGAAA="));
    private ChatClient
      client;
    private ChatClientCommunicator
      comm;
    private boolean
      run =
      true;
    private List
      events =
      new LinkedList(
      );
    
    public ClientOutThread(ChatClient client,
                           ChatClientCommunicator comm) {
        super();
        this.
          client =
          client;
        this.
          comm =
          comm;
    }
    
    public void
      srun(
      SJSocket s_cs_out) {
        try {
            ChatClient.
              debugPrintln(
              "[ClientOutThread] Client out thread started.");
            while (SJRuntime.
                     outsync(
                     s_cs_out,
                     run)) {
                ChatEvent e =
                  this.
                    nextEvent();
                ChatClient.
                  debugPrintln(
                  "[ClientOutThread] Sending: " +
                  e);
                if (e instanceof UserJoinedEvent) {
                    {
                        SJRuntime.
                          outlabel(
                          s_cs_out,
                          "USER_JOINED");
                        SJRuntime.
                          send(
                          s_cs_out,
                          (UserJoinedEvent)
                            e);
                    }
                } else
                          if (e instanceof MessageEvent) {
                              {
                                  SJRuntime.
                                    outlabel(
                                    s_cs_out,
                                    "MESSAGE");
                                  SJRuntime.
                                    send(
                                    s_cs_out,
                                    (MessageEvent)
                                      e);
                              }
                          } else
                                    if (e instanceof PrivateConversationEvent) {
                                        {
                                            SJRuntime.
                                              outlabel(
                                              s_cs_out,
                                              "PRIVATE_CONVERSATION");
                                            PrivateConversationEvent pce =
                                              (PrivateConversationEvent)
                                                e;
                                            SJRuntime.
                                              send(
                                              s_cs_out,
                                              pce);
                                            {
                                                String _sjbranch_0 =
                                                  SJRuntime.
                                                    inlabel(
                                                    s_cs_out);
                                                if (_sjbranch_0.
                                                      equals(
                                                      "ACCEPT")) {
                                                    {
                                                        SJPort port_r_private =
                                                          SJRuntime.
                                                            reserveFreeSJPort(
                                                            client.
                                                              getSessionParameters());
                                                        final SJService c_ar_private =
                                                          SJService.
                                                            create(
                                                            p_ar_private,
                                                            s_cs_out.
                                                              getLocalHostName(),
                                                            port_r_private);
                                                        new RequestorInThread(
                                                          client,
                                                          pce.
                                                            getRequestorId(),
                                                          pce.
                                                            getTargetId(),
                                                          port_r_private).
                                                          start();
                                                        SJRuntime.
                                                          copy(
                                                          s_cs_out,
                                                          c_ar_private,
                                                          ("H4sIAAAAAAAAAFvzloG1uIhBvTi1uDgzPy9Lr6SyILVYD8SFsIK9nJ1S0zPz" +
                                                           "QoC8+GQGCGBkYmCo\nKGJQw6MLSZOqQPIqHY01VRBNGng0BUOk0O1i9GFgTc" +
                                                           "7IzEkpYdDwgWnXB2vSh2vXR9FuDbRJGc0m\nEJmflJWaXAKyC2LJxfXz8jlV" +
                                                           "f2+FuE20ID+nMj0nvwSqA6LGUXV7qM+L/fIQNdJY1PiDTY1P/mMm\nI3vJ8Q" +
                                                           "knM8jJHAX5xZklQPtLGCR8YJr0S0syc/QDoDLWFQUFFcX4wyQoNTk1sywVW/" +
                                                           "ib4tHmC2Qn\npqc65+fmluZlJieWwMN1pdNhRh/ufffB4cqdC1EHkiphEEW4" +
                                                           "ExKmkKAsZKhjYAI7VBOPjf6lJeXA\nSMLqUlU8+nzy8wsgephdTi6aoXlrG9" +
                                                           "hlLEn5KZUgm5lh9hcU4zcoODUvBdNykGYuiGYZtKgLyElM\nTvXIz0lJLYpP" +
                                                           "Xv74VI2rd2cHxPK8xFxgeAj5ZCWWJernJOal6weXFGXmpQNjrIRBtjg5I7FE" +
                                                           "LxkY\ntvl5eqllqXnAFOUMFHIFM0E2MhCMV888HKEF0s4HcjCIwQlkgGgRAA" +
                                                           "xgbaepAwAA"));
                                                    }
                                                } else
                                                          if (_sjbranch_0.
                                                                equals(
                                                                "REJECT")) {
                                                              {
                                                                  client.
                                                                    reportError(
                                                                    "Private conversation request rejected.",
                                                                    "Request rejected by: " +
                                                                    pce.
                                                                      getTargetId());
                                                              }
                                                          }
                                            }
                                        }
                                    } else
                                              if (e instanceof UserLeftEvent) {
                                                  {
                                                      SJRuntime.
                                                        outlabel(
                                                        s_cs_out,
                                                        "USER_LEFT");
                                                      SJRuntime.
                                                        send(
                                                        s_cs_out,
                                                        (UserLeftEvent)
                                                          e);
                                                  }
                                              } else {
                                                  {
                                                      SJRuntime.
                                                        outlabel(
                                                        s_cs_out,
                                                        "QUIT");
                                                      SJRuntime.
                                                        send(
                                                        s_cs_out,
                                                        (QuitEvent)
                                                          e);
                                                  }
                                              }
            }
        }
        catch (Exception x) {
            ChatClient.
              debugPrintln(
              "[ClientOutThread] Exception: " +
              x);
        }
        finally {
            if (run) {
                client.
                  disconnect();
            }
            ChatClient.
              debugPrintln(
              "[ClientOutThread] Client out thread stopped.");
            SJRuntime.
              close(
              s_cs_out);
        }
    }
    
    private ChatEvent
      nextEvent(
      )
          throws SJIOException {
        synchronized (events)  {
            while (events.
                     isEmpty()) {
                try {
                    events.
                      wait();
                }
                catch (InterruptedException ie) {
                    throw new SJIOException(
                      ie);
                }
                if (!run) {
                    ChatClient.
                      debugPrintln(
                      "[ClientOutThread] Creating quit event...");
                    if (events.
                          isEmpty()) {
                        return new QuitEvent(
                          client.
                            getUserId());
                    } else {
                        return (UserLeftEvent)
                                 events.
                                   get(
                                   events.
                                     size() -
                                     1);
                    }
                }
            }
            return (ChatEvent)
                     events.
                       remove(
                       0);
        }
    }
    
    public void
      queueEvent(
      ChatEvent e) {
        synchronized (events)  {
            events.
              add(
              e);
            events.
              notify();
        }
    }
    
    protected void
      disconnect(
      ) {
        if (run) {
            ChatClient.
              debugPrintln(
              "[ClientOutThread] Told to disconnect...");
            this.
              run =
              false;
            synchronized (events)  {
                events.
                  notify();
            }
        }
    }
    
    public SJThread
      spawn(
      final SJSocket s_cs_out) {
        new Thread(
          ) {
            
            public void
              run(
              ) {
                ClientOutThread.this.
                  srun(
                  s_cs_out);
            }
        }.
          start();
        return this;
    }
    
    final public static String
      jlc$CompilerVersion$jl =
      "2.3.0";
    final public static long
      jlc$SourceLastModified$jl =
      1238676054830L;
    final public static String
      jlc$ClassType$jl =
      ("H4sIAAAAAAAAAO1ZfWwcxRWfu7PPPttNbMcJIXG+Y2KT+JyUpgWMSJzjTM6c" +
       "Y+fOThMn4bK3N7bX\n3ttddufOlxSl0EoEQtWKD0OKWpAoahUatZQotEhVSg" +
       "k0pU3VkkoJQoL+QUWRWqryT4kopX0zs7u3\nu7c+h4o/a2nnZmffe/M+fu/N" +
       "h0+9j2oNHUUNbBiSqkxFyWENG6xVs1NYJEY0PTAs6AbOxWTBMEbg\nQ0Y89I" +
       "m05yctX9sZRIEx1KqofbIkGCOTulqYmByZlIySjlZrqnx4QlaJKbFCxs3rPp" +
       "65cGxgeQgt\nHEMLJSVNBCKJMVUhuETGUFMe57NYN/pyOZwbQy0Kxrk01iVB" +
       "lo4AoarAxIY0oQikoGMjhQ1VLlLC\nVqOgYZ3NaQ0mUZOoKgbRCyJRdYOg5u" +
       "SUUBR6CkSSe5KSQXqTKDwuYTln3IWOomAS1Y7LwgQQLkla\nVvQwiT39dBzI" +
       "GyRQUx8XRGyx1ExLSo6gVV4O2+L1dwABsNblMZlU7alqFAEGUCtXSRaUiZ40" +
       "0SVl\nAkhr1QLMQtCyOYUCUb0miNPCBM4QtNRLN8w/AVWEuYWyELTYS8YkQc" +
       "yWeWLmiNZQuOnfx4c/XA0R\nB51zWJSp/mFgWulhSuFxrGNFxJzxSiH6aGJf" +
       "oT2IEBAv9hBzmr6On44m3/vFKk6z3IdmiGExI378\nxfYVF/v+HAlRNeo11Z" +
       "AoFFyWs6gOm196Sxqge4ktkX6MWh9fSv1q3z3P4r8GUX0ChUVVLuSVBIpg\n" +
       "JRcz+3XQT0oK5qND4+MGJglUI7OhsMrewR3jkoypO2qhrwlkkvVLGkKoDp4A" +
       "PBcR/1tAG4h2TJaw\nQoYKBJIGC7moMUVQN8EGMQ4YunjAECcFckBkRAcUTA" +
       "5U0pfoJAtmAgGwr92bazIAc6cq57CeEX/w\nzm/ujt/xwP08chRtpnoErWbz" +
       "RPk8UZgn6pkHBQJsgkUUnNx5fbouHKZJU7r34opvnxe+C6EAlxjS\nEcwsDs" +
       "zU0BaYPl+1psTKGZmAngCAyYht97y37Ik/nnw1iEK+dSVpD/arel6QKTSsRG" +
       "o1p/N+AUSt\n9+Lab+6/Hx88fem3b3WWEU7Q+orEq+SkibPWGwBdFXEOClNZ" +
       "/OMf7fzHI7U3nQmiGshGqEdEABRB\ncq/0zuFKoF6rGFFbQknUOF5heAMBB8" +
       "04DKZtE+svhFDUwwOJhXpNCH6JNvRjC21aOY4gXG0eG1ip\nu/L18ObLP298" +
       "lTnFqooLHeUzjQnPsZYyREZ0jGH8rRPDj8y+f2x/CLJa0zgsCAprhawsiSVg" +
       "ucad\nltSCHEXW357vbf5mt/ECQ0FEyucLRMjKGMq4IMvqDM5lCKtjLY6ayU" +
       "oVOKspCyUPqmdGBkHcHVqg\nCAj2KSrRpW2PPtb1ncu07GjMX0uor5imQfa+" +
       "iKBrXDkSgz7PEev7hsocsmliKuiuSKIAcCkxho4A\nbbvsyRCbDLEgrKBJ01" +
       "Z2IxSeae6Qpq70wYFD969lnuTqUYaNtOnmgrdUDJfsSSLsWwSkb6qakv10\n" +
       "CSwjVrr7n/c+//vZpiAKjqE6yeiXFEGmATF28Rz0Kf4eEUfOjj555XfkbQaf" +
       "MuipYu2lyrq1R3Dk\n442Xii3h557KB1HdGGpmC7igkD2CXKDgGoMl2IiZg0" +
       "n0Odd393LK145eO6nbvQnnmNabbuV6CX1K\nTfv1ngyLwLMcns1mhm32ZFgg" +
       "oNHOzYxhFWvX2vlQp+lSUaB7HliCGGrsGMJiwYi3umbqgGeLOdMW\n/5m20+" +
       "YWgmpEACBDw9zi2uG5wRR3g7+4mCkupBcUozLmw7qUh/W0aC74D6185t3T76" +
       "TaeB3lu6J1\nFRsTJw/fGTGnNmq0MKypNgOjfmXjmlNHU29n+Y6h1V1I4koh" +
       "v/WpN3DX9ibRZ9Wry6qqjAWF+yTg\n45NOeLaaPtnq75NB0ydhXKTFwKoGC5" +
       "zpywsQdbuOvjB/5sGiQVTYhZRT4NCDb+we3PvlHm7llqoi\ndoGJOU/6zSaU" +
       "bWcXX1KCdJkIG1MOMAcNQlBn0hJphoW+8l56IM0/8b0h85FmGT9aieQQgcSh" +
       "BYKO\nrQe/GGw7D6hepmVMiGeYrzKwqc3AIoqFvOW15bZlgDAi5TE9c5jeYC" +
       "4MsLI5Bn7s8jjB1hhYYNsy\nMwlbMY5DM34B7ryOKnxJVdU4T+i2154+0fXm" +
       "Cxw1WTV3mM47AvydVfgdnnJOS1dMEfTJWTLWVQ0g\nZ3/9x0+qkY5/nQmaiw" +
       "IkBF1dq6mfhq2pn8lbq/AMQh8OBuUFytb/5I5zgWTj2T8x/RvznG7EVfky\n" +
       "mrlcQuhWmMsfCFKVKE8GtgLGi9YimbJxM+GDG9rfy0BDm30AmGu9gJEUEy+U" +
       "Yr8DEFNG9cAklDnw\nQJnv5J6txp/CIrbrmpdfBH76iz1GqldlZIuWEXTbzj" +
       "wsi17jdCYhr/F1/KDl86w9rQ57j7l1j+3A\nE1IFJikurqvC5WDqaBaf3dR5" +
       "6ohlb8bUZNrSJD+HA75yVQ5ocjrAa/tRxlw0Z6ziAyfZvIrdd1WK\ntWoVdc" +
       "qr3gNldXR0ffWKlNWhFk/6xaFa9HY4uPZvvDEyfHn6TrOiCEBH0CLHHnynYE" +
       "wOClpvOTld\n23Hzc23dm788t+TQ6yEU7EcNsirk+gV2jkEROEBgYxLOiyVt" +
       "23amYtMMPTY0w0NvhxbbmjKBUDGF\nLJZdlS4kC1l7hW0bTiX29I3EM7GhXX" +
       "viqXTfSGJolxW5eYp4QpnLY5T/G1aMv1WhKN+xPwRLT18s\nFh8esZHyGWKJ" +
       "Sk/FB+KxEZMOKuAmvwo4zHENG9Qi1g1WXssFEaTUDcbT6b7b424lF5WP5C5p" +
       "ZrV2\nSWgcTcdTmYGhxK74bRVS1vlJGTWwPqDC/jvnElSzezQxUiHBt67vLk" +
       "jExRthSiTj/ZUC1sylQhKP\ncyElFtE1/FzEtlhdjqMMokBZMdeFFNsEHtv7" +
       "QdN9wisHLXAMgEJE1bplmE22Tz+1TByFcXfV9XeQ\nXcuVN0+h9LauDZsa/w" +
       "IH9jnuIlrMwRQmBV2x10h2SSF86kuKVR5bvfq0FJfvDk1Kvw6ycwk/ylTc\n" +
       "NrqZet0HmAbdrShz2nLXRcFN8NxqJt2tfhcFjpB5jrLWxY8NIO+ejp6NYbei" +
       "itOYzH8aPgfINOiB\ng770m+mWgMGiKuUY3wUHWgI+W2wzCHRvbN4Z0f2p53" +
       "ryw92PTa154p6H2U22dciFaPTMJ8wj53tf\nrT++tLX0OCuGQZ3t/NuZIQ0a" +
       "+zmPSi59XUXowbnLWi0dftgunvR3tkoRpMMnPuPSR5unuRXP0Ob7\nLu6TtP" +
       "mha+hHtHnONXSaNmdcQz8zryhecp29VsIzayJwdi4E3lIVPlcDz5U+R47EUL" +
       "wkYo0WazbV\nu1BPFDiYs2rFPBEou2uLczLXS9keGpX18Lxo2vPi/5RRbM75" +
       "E+YDghruKuACttW9UJkmDlmVI2XF\nGxG/GHjZVPxlP8V9rzMiGpzboKLiXH" +
       "WN5zXnIzAnJxmiqiggzt+cKt7/D//7hD70I32hv/TuXc1r\ncCrQV9+OFazD" +
       "Kp3TPkUkzs+reiAMZ2FDE2YUC2zX+oCNX7BTKYEFFYXhD2bNCPy/ZlTUDNii" +
       "L/T8\nm4JueJdW/L+R/1dMXHvxUOc5reU1dvFu/+eqLonqxwuy7Lzfc/TDmo" +
       "7HJaZ+Hb/tY7YENhDU7L3w\nJSgELVUzcB2nuh6ON04q+2rPSdRNUUKJ6EtU" +
       "Y0Aoof8CYD/WE5AdAAA=");
}
