package schat.client.net;

import java.util.*;
import sessionj.runtime.*;
import sessionj.runtime.net.*;
import schat.common.*;
import schat.common.events.*;
import schat.client.*;

public class RequestorInThread
extends Thread
{
    final private SJProtocol
      p_private_event_out_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBszi1uDgzPy9Lr6SyILVYD8SFsIK9/EtLyjMy" +
       "c1JDgPz4ZAYIYGRi\nYKgoYlDFo88nP78AoofZ5eSiGZq3tjExMPowsCTlp1" +
       "SWMGj4wLTqgzXow7XqB3sFQ6RAuq2Btmjg\nsQVJKbLjgBaxJgNdnVLIUMfA" +
       "BDRDGc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLV\nAVHjqL" +
       "o91OfFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pS" +
       "WZOfoBUBnr\nioKCioJi/IEanJqXgi0iTPHo8QWyE9NTnfNzc0vzMpMTS+Dh" +
       "tdLpMKMP97774PDizoWoA0mVMIgi\nXAmJFUhkgIKTGeJMGTS/B+QkJqd65O" +
       "ekpBbFJy9/fKrG1buzAxLleYm5QCOFfLISyxL1cxLz0vWD\nS4oy89KBXi5h" +
       "kC1Ozkgs0UsGOi8/Ty+1LDUPGCXOQCFXEBMAlpCSuaECAAA="));
    final private SJProtocol
      p_private_event_in_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9PPPKMzJz" +
       "UkOA3PhkBghgZGJg\nqChiUMWjzSc/vwCih9nl5KIZmre2MTEw+jCwJOWnVJ" +
       "YwaPjAtOqDNejDteoHewVDpEC6rSvwOw5J\nKbLjgBaxJgNdnVLIUMfABDRD" +
       "Gc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLVAVHj\nqLo91O" +
       "fFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pSWZOf" +
       "oBUBnrioKC\nigICcRGUmpyaWYY1LkzxaPMFshPTU53zc3NL8zKTE0vgQbbS" +
       "6TCjD/e+++Ag486FqANJlTCIIhwK\niRhIfIBClBniUhk07wfkJCaneuTnpK" +
       "QWxScvf3yqxtW7swMS63mJuUAjhXyyEssS9XMS89L1g0uK\nMvPSgb4uYZAt" +
       "Ts5ILNFLBjovP08vtSw1DxgrzkAhVxATAAgOt3WjAgAA"));
    final private SJProtocol
      p_ar_private_main =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
       "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
       "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
       "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
       "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
       "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQAYw0TTxh4l9aUg70O9ZYU8Wjzyc/" +
       "vwCih9nl5KIZmre2gQOSJSk/pbKQ\noY6BpQJEMhdUFBTjNyg4NS8F03KQZk" +
       "aIZhm0EAnISUxO9cjPSUktik9e/vhUjat3ZwfE8rzEXGDa\nEPLJSixL1M9J" +
       "zEvXDy4pysxLBwZECYNscXJGYoleMjCd5efppZal5gEjyhko5ApmFjGo43Gl" +
       "s1Nq\neiZGygEFkhoeXUiaVAWSV+lorKmCeY4ZHDP4UqtnHo6IAWnnBoUNiM" +
       "EAZIBoQQBxLnPaoQMAAA=="));
    final private SJProtocol
      p_ra_private =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBvTi1uDgzPy9Lr6SyILVYD8SFsIK9gp1S0zPz" +
       "QoC8+GQGCGBkYmCo\nKGJQw6MLSZOqQPIqHY01VRBNGvisgkih28Xow8CanJ" +
       "GZk1LCoOED064P1qQP166Pot0aaJMymk0g\nMj8pKzW5BGQXxJKL6+flc6r+" +
       "3gpxm2hBfk5lek5+CVQHRI2j6vZQnxf75SFqpLGo8QebGp/8x0xG\n9pLjE0" +
       "5mkJM5CvKLM0uA9pcwSPjANOmXlmTm6AdAZawrCgoqgMGvijdM8lKwBb4pHj" +
       "2+QHZieqpz\nfm5uaV5mcmIJPFBXOh1m9OHedx8cqNy5EHUgqRIGUYQjIQEK" +
       "CcdChjoGJrAr8cWcZ145MIJSsTkU\nn+d88vMLIHqYXU4umqF5axvYYSxJ+S" +
       "mVIIuZYdYXELA/KDU5NbMMi/0g/VwQ/TJoMReQk5ic6pGf\nk5JaFJ+8/PGp" +
       "Glfvzg6I/XmJucAQEfLJSixL1M9JzEvXDy4pysxLB0ZYCYNscXJGYoleMjB0" +
       "8/P0\nUstS84AJyhko5Apm4s9NzjhyE8idjMBgBtG8IPeCGAJABogWAQDz/m" +
       "UnpwMAAA=="));
    private ChatClient
      client;
    private Integer
      requestorId;
    private Integer
      targetId;
    private SJPort
      port_r_private;
    private RequestorOutThread
      rot =
      null;
    private boolean
      run =
      true;
    
    public RequestorInThread(ChatClient client,
                             Integer requestorId,
                             Integer targetId,
                             SJPort port_r_private) {
        super();
        this.
          client =
          client;
        this.
          requestorId =
          requestorId;
        this.
          targetId =
          targetId;
        this.
          port_r_private =
          port_r_private;
    }
    
    public void
      run(
      ) {
        ChatClient.
          debugPrintln(
          "[RequestorInThread] Requestor in thread started.");
        SJServerSocket ss_r_private =
          null;
        try {
            ss_r_private =
              SJServerSocketImpl.
                create(
                p_ra_private,
                port_r_private);
            ChatClient.
              debugPrintln(
              "[RequestorInThread] Waiting for Client to connect...");
            SJSocket s_ra_private =
              null;
            try {
                s_ra_private =
                  ss_r_private.
                    accept();
                ChatClient.
                  debugPrintln(
                  "[RequestorInThread] Client connected.");
                ss_r_private.
                  getCloser().
                  close();
                SJPort port_r_private_out =
                  SJRuntime.
                    reserveFreeSJPort(
                    client.
                      getSessionParameters());
                final SJProtocol p_ar_private_in =
                  new SJProtocol(
                  ("H4sIAAAAAAAAAFvzloG1uIhBvTi1uDgzPy9Lr6SyILVYD8SFsIK9nJ1S0zPz" +
                   "QoC8+GQGCGBkYmCo\nKGJQw6MLSZOqQPIqHY01VRBNGng0BUOk0O1i9GFgTc" +
                   "7IzEkpYdDwgWnXB2vSh2vXR9FuDbRJGc0m\nEJmflJWaXAKyC2LJxfXz8jlV" +
                   "f2+FuE20ID+nMj0nvwSqA6LGUXV7qM+L/fIQNdJY1PiDTY1P/mMm\nI3vJ8Q" +
                   "knM8jJHAX5xZklQPtLGCR8YJr0S0syc/QDoDLWFQUFFcX4w8Qzrxzo9VRs4a" +
                   "+KR5tPfn4B\nRA+zy8lFMzRvbQOHI0tSfkplIUMdA3MFiGQqqCggYH9QanJq" +
                   "ZhlW+03xaPMFshPTU53zc3NL8zKT\nE0vg8brS6TCjD/e++2D3cOdC1IGkSh" +
                   "hEEeEEiVNIVCK5VAYt9ANyEpNTPfJzUlKL4pOXPz5V4+rd\n2QHxaV5iLtBI" +
                   "IZ+sxLJE/ZzEvHT94JKizLx0YKCXMMgWJ2ckluglA52Xn6eXWpaaB0wUzkAh" +
                   "VxAT\nAO3e7JQWAwAA"));
                final SJService c_ar_private_in =
                  SJService.
                    create(
                    p_ar_private_in,
                    s_ra_private.
                      getLocalHostName(),
                    port_r_private_out);
                rot =
                  new RequestorOutThread(
                    client,
                    this,
                    port_r_private_out);
                rot.
                  start();
                SJRuntime.
                  copy(
                  s_ra_private,
                  c_ar_private_in,
                  ("H4sIAAAAAAAAAFvzloG1uIhBvTi1uDgzPy9Lr6SyILVYD8SFsIK9nJ1S0zPz" +
                   "QoC8+GQGCGBkYmCo\nKGJQw6MLSZOqQPIqHY01VRBNGng0BUOk0O1i9GFgTc" +
                   "7IzEkpYdDwgWnXB2vSh2vXR9FuDbRJGc0m\nEJmflJWaXAKyC2LJxfXz8jlV" +
                   "f2+FuE20ID+nMj0nvwSqA6LGUXV7qM+L/fIQNdJY1PiDTY1P/mMm\nI3vJ8Q" +
                   "knM8jJHAX5xZklQPtLGCR8YJr0S0syc/QDoDLWFQUFFcX4w8Qzrxzo9VRs4a" +
                   "+KR5tPfn4B\nRA+zy8lFMzRvbQOHI0tSfkplIUMdA3MFiGQqqCggYH9QanJq" +
                   "ZhlW+03xaPMFshPTU53zc3NL8zKT\nE0vg8brS6TCjD/e++2D3cOdC1IGkSh" +
                   "hEEeEEiVNIVCK5VAYt9ANyEpNTPfJzUlKL4pOXPz5V4+rd\n2QHxaV5iLtBI" +
                   "IZ+sxLJE/ZzEvHT94JKizLx0YKCXMMgWJ2ckluglA52Xn6eXWpaaB0wUzkAh" +
                   "VxAT\nAO3e7JQWAwAA"));
                while (SJRuntime.
                         insync(
                         s_ra_private)) {
                    ChatEvent e =
                      (ChatEvent)
                        SJRuntime.
                          receive(
                          s_ra_private);
                    ChatClient.
                      debugPrintln(
                      "[RequestorInThread] Handling event: " +
                      e);
                    if (e instanceof MessageEvent) {
                        client.
                          handleEvent(
                          e);
                    } else
                              if (e instanceof UserLeftEvent) {
                                  
                              } else
                                        if (e instanceof QuitEvent) {
                                            
                                        } else {
                                            System.
                                              err.
                                              println(
                                              "[RequestorInThread] Shouldn\'t get in here: " +
                                              e);
                                        }
                }
            }
            finally {
                if (rot !=
                      null) {
                    rot.
                      disconnect();
                }
                client.
                  closePrivateConversation(
                  this.
                    getTargetId());
                ChatClient.
                  debugPrintln(
                  "[RequestorInThread] Requestor in thread stopped.");
                SJRuntime.
                  close(
                  s_ra_private);
            }
        }
        catch (SJIncompatibleSessionException ise) {
            System.
              err.
              println(
              "[RequestorInThread] Shouldn\'t get in here: " +
              ise);
        }
        catch (SJIOException ioe) {
            ChatClient.
              debugPrintln(
              "[RequestorInThread] I/O error: " +
              ioe);
        }
        catch (ClassNotFoundException cnfe) {
            System.
              err.
              println(
              "[RequestorInThread] Shouldn\'t get in here: " +
              cnfe);
        }
        finally {
            if (ss_r_private !=
                  null)
                ss_r_private.
                  close();
        }
    }
    
    public void
      disconnect(
      ) {
        if (run) {
            ChatClient.
              debugPrintln(
              "[RequestorInThread] Told to disconnect...");
            this.
              run =
              false;
        }
    }
    
    protected Integer
      getRequestorId(
      ) {
        return requestorId;
    }
    
    protected Integer
      getTargetId(
      ) {
        return targetId;
    }
    
    final public static String
      jlc$CompilerVersion$jl =
      "2.3.0";
    final public static long
      jlc$SourceLastModified$jl =
      1238676054836L;
    final public static String
      jlc$ClassType$jl =
      ("H4sIAAAAAAAAALUYa2wcR3nubJ9fR+JznTT1O340tpqceZWXEa1jEsXJpXHv" +
       "3LQ1js7r3bnzOHu7\nm53Z8zkqUVsEKaVCQk3SFyQSIKFWEY9WLfxAAZG2kA" +
       "JCBCmtkFp+FEElKII/EEFBfDOzu7e397Ai\nhKUZz8187/lesxffRS3URkmK" +
       "KSWmsZZkGxamYjZX1rDKaDJzcF6xKdZmdYXSBTjIqsv/IUe/l3j4\nQBRFFl" +
       "G3Yc7oRKELq7bp5FcXVgkt2WjYMvWNvG4yl2IVjU+Mvrf+i9MH+5rQ1kW0lR" +
       "gZpjCizpoG\nwyW2iOIFXFjBNp3RNKwtooSBsZbBNlF0chIATQMYU5I3FObY" +
       "mKYxNfUiB+ymjoVtwdPbTKG4ahqU\n2Y7KTJsy1JVaU4rKlMOIPpUilE2nUC" +
       "xHsK7RE+gUiqZQS05X8gC4PeVpMSUoTu3n+wDeQUBMO6eo\n2ENpPk4MjaGh" +
       "MIav8dghAADU1gJmq6bPqtlQYAN1S5F0xchPZZhNjDyAtpgOcGGoty5RAGqz" +
       "FPW4\nksdZhnaE4eblEUC1C7NwFIa2hcEEJbiz3tCdBW7rSCz+70fn/zEMNw" +
       "4ya1jVufwxQBoMIaVxDtvY\nULFEvO4kz8zd7/RHEQLgbSFgCTMz/v17Uu/8" +
       "aEjC9NWAOSJ8Mau+95H+gaszv29v4mK0WSYl3BUq\nNBe3Ou+eTJcs8O7tPk" +
       "V+mPQOf5x+9f4Hn8N/iqK2ORRTTd0pGHOoHRvarLtuhXWKGFjuHsnlKGZz\n" +
       "qFkXWzFT/AZz5IiOuTlaYG0pbFWsSxZCqBVGBMYFJP+28ImhnjQ+4WAK3jhn" +
       "QNhgRUvSNYamGOzR\nJWqrS1RdVdiSqhNssCUDs6VaGCXOaMt6JAI69ofjTQ" +
       "fnPGDqGraz6rfefu2BfYe++Ii8Pe5xrogM\njQhOSckpCZySVZxQJCJY3MRd" +
       "VJpwxraVDR46pYeuDjz1U+VrcCFgGEpOYqF3ZL2Zz4D0wYaZZbYc\nl3OwUs" +
       "BtsmrPg+/0Pv2bZ1+Joqaa2SXlb+437YKicwfxwqnbZRc+Ab8aC3t3Ld5/ef" +
       "TwC9d+/uZE\n2c8ZGqsKv2pMHj4j4SuwTRVrkJ7K5J/454G/Pt7y8RejqBli" +
       "ErISU8CXIMQHwzwqwmjaS0lcl6YU\n6sxVKd7BwEDrAYX5HBfrrXAVbTAgvN" +
       "Bu1xFv5RM/TPCpW3oSXFdPSAeR8K5/Lvb+13/Y+Yowipcb\ntwaSaAYzGWmJ" +
       "soss2BjD/ptPzj9+9t3Tn2mC2LYs6RYMxSxnRSdqCVBurgxOroHGPevPz093" +
       "fXkP\nfUl4QTspFBymrOgYkrmi6+Y61rJMZLNEIHOKhAXGiq9A4oMcmtWBkD" +
       "SHFSmCB9dILckdPWfOTX71\ndZ58LGGv7SBjs5C0Wfy+iaGbK6JkFtazYumd" +
       "S725DMk5qAx5bPODPd5xnx8EtmMwUsAi0KCwmjYr\nCaDxCJ8nff5I8EfiXg" +
       "Z4HPWULQsZ6bi0UXwyc+zg8iMjwrhSYo5wm2DuT1OSxYcaAJR8xh0CqgM4\n" +
       "7m4Yuft5vSw7Nnng7w89/6uz8SiKLqJWQvcTQ9H5vdG7ZKjWqBQhEicv3XP+" +
       "+i/ZW8LLyrHBBesv\nVSe4o0ogbD92rZiIffdCIYpaF1GXqPaKwY4qusN9cB" +
       "HqNZ11N1PofRXnlbVXFpppP/b7w3EZYBuO\nynJihTWH5uu2UCC2w+hzB/L+" +
       "BwIxErH44pMCYUjMI37YtFo2KSq8QYJ6JRzQv02oLAL4oxWcBtyB\nvP/VnP" +
       "by6VMMddp+3td8z6hNtRfGoEt1sDbVfS7VNqbYeSiam5EcgjHskhyuTfKAS3" +
       "KLBVGTtbOu\nLYQD1ye8C8aIS3ikNuFDLuEm2/QDerR+WTziMFkX6zPthzHm" +
       "Mh2rzXTeZ+oYtDo25m1SgCal6HZR\nXxn85h9eeDvdI8uSbDVHq7q9II5sN4" +
       "XzdVo8z+5sxEFAv3zbzoun0m+tyDasuzIv7zOcwu0X3sCT\nd8bVGm1E64pp" +
       "6lgxpE14wvrw5ukDCiQzoe8qx/Hyl964+/B9905JET7QkMRdwF8L5ZCzc8Yd" +
       "l7Zd\nM6K8JMboWiAio5QxNJHySLo24z/lKnMwI49kNywu1fJu61h1OEYZRD" +
       "/PcnzvTojIXstzySwugtdk\noXvPQp+AlUL9OgA1wDWCsFxElAEFzDcZ0t0X" +
       "FFDAA9dXoeeUvuH6WUTabLwBXso0LYnT9OkrX39y\n8rcvyZtcMbUNzncJ8C" +
       "ca4AcMFGTLmwIV5NE8GqMN702i//o758328X+9GHWLHDgpbyAaiZ+BHryW\n" +
       "yrc3wDkMa3gBzZrQPxhEFS9HSePZvZcjqc5LvxPydxYk3EJF1s5ZbkcAVzfg" +
       "JgQgZBpJccFUNAL7\nil4fsOi7i1HDXfh62fOVW8K+QgzXVTjESsAXTtDGdz" +
       "Jn1HEFjoylURvhp7GK/TQTxl8DfP5fD+lX\n3Ey/hJVV/AydLUAhD+u1IZCZ" +
       "JTsPzbM08TnaaFcDsWf34jyp8kTuDbc2wAogjXepz+2euHjSUzXn\nSmJ7kr" +
       "A6uj+8me5xK2srweoUVPvzm+iVqaMXxz3likgai/rZuseCyk7Zb4qSNBloDB" +
       "EvEgP1vgCI\nAnH6vr/Fv6C8fMwT6F6G2plp7dHBh/Wq1tmG/rdRHjgsvoOU" +
       "c3dT5o7JXbs7/whvozrPvoS7mcbM\nsQ0/VsV7ULnh9+BQSNewPIli391Nq+" +
       "RnUdHbyXaw6vNOJdJ0ZRPYYVcKKozWV/Em64aRdC86WetN\nFriyOk+ETd8P" +
       "T7hdBl9nXOc4ylBz0SSa4He+0g2qfpypEPkWGI+5Ij/2fxL5Gwx1aIRCo26A" +
       "twgZ\nIzcmaSeMURjnXEnP1ZK0ZpPdbkFFBq5YayznpkpchF4Vet90qK8WGH" +
       "tuSJFhGM+4ijxTz+Tf/t+k\n/QE8AUDahWC/vpmoPNNXfS7iFWdH1ddf+Y1S" +
       "Hbm6PHHZSlwRH0D874itKdSWc3Q9+IAKrGOWjXNE\nSNkqn1OW+HeZoa5wnw" +
       "6+DrOQ8icS6lVIyUEo/+0UBLoC3ZwA4j9e86t+V/ldL5Urof8Cg2IDwjIX\n" +
       "AAA=");
}
