package schat.common;

import sessionj.runtime.*;
import sessionj.runtime.net.*;
import schat.common.events.*;

public class ChatProtocols {
    final public static SJProtocol p_private_event_out_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBszi1uDgzPy9Lr6SyILVYD8SFsIK9/EtLyjMy" +
       "c1JDgPz4ZAYIYGRi\nYKgoYlDFo88nP78AoofZ5eSiGZq3tjExMPowsCTlp1" +
       "SWMGj4wLTqgzXow7XqB3sFQ6RAuq2Btmjg\nsQVJKbLjgBaxJgNdnVLIUMfA" +
       "BDRDGc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLV\nAVHjqL" +
       "o91OfFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pS" +
       "WZOfoBUBnr\nioKCioJi/IEanJqXgi0iTPHo8QWyE9NTnfNzc0vzMpMTS+Dh" +
       "tdLpMKMP97774PDizoWoA0mVMIgi\nXAmJFUhkgIKTGeJMGTS/B+QkJqd65O" +
       "ekpBbFJy9/fKrG1buzAxLleYm5QCOFfLISyxL1cxLz0vWD\nS4oy89KBXi5h" +
       "kC1Ozkgs0UsGOi8/Ty+1LDUPGCXOQCFXEBMAlpCSuaECAAA="));
    final public static SJProtocol p_private_event_in_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9PPPKMzJz" +
       "UkOA3PhkBghgZGJg\nqChiUMWjzSc/vwCih9nl5KIZmre2MTEw+jCwJOWnVJ" +
       "YwaPjAtOqDNejDteoHewVDpEC6rSvwOw5J\nKbLjgBaxJgNdnVLIUMfABDRD" +
       "Gc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLVAVHj\nqLo91O" +
       "fFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pSWZOf" +
       "oBUBnrioKC\nigICcRGUmpyaWYY1LkzxaPMFshPTU53zc3NL8zKTE0vgQbbS" +
       "6TCjD/e+++Ag486FqANJlTCIIhwK\niRhIfIBClBniUhk07wfkJCaneuTnpK" +
       "QWxScvf3yqxtW7swMS63mJuUAjhXyyEssS9XMS89L1g0uK\nMvPSgb4uYZAt" +
       "Ts5ILNFLBjovP08vtSw1DxgrzkAhVxATAAgOt3WjAgAA"));
    final public static SJProtocol p_ar_private_main =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
       "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
       "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
       "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
       "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
       "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQAYw0TTxh4l9aUg70O9ZYU8Wjzyc/" +
       "vwCih9nl5KIZmre2gQOSJSk/pbKQ\noY6BpQJEMhdUFBTjNyg4NS8F03KQZk" +
       "aIZhm0EAnISUxO9cjPSUktik9e/vhUjat3ZwfE8rzEXGDa\nEPLJSixL1M9J" +
       "zEvXDy4pysxLBwZECYNscXJGYoleMjCd5efppZal5gEjyhko5ApmFjGo43Gl" +
       "s1Nq\neiZGygEFkhoeXUiaVAWSV+lorKmCeY4ZHDP4UqtnHo6IAWnnBoUNiM" +
       "EAZIBoQQBxLnPaoQMAAA=="));
    final public static SJProtocol p_event_out_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVUQU8TQRidtiAUNFYBYyJEDFZBSXvSmHDQsiyydaGl23Ix" +
       "sU63Y7u4nVl3p6UY\n41n/gScPXoyGxJN60xhOesOLCRcPevDCL9CDMzvblt" +
       "JladLdmf2+9+bN972ZrT3Q79hgxkGOYxC8\nnqCbFnISfCpGWjpTpxtVw0R5" +
       "Ni/qQPxCYQCaNogH4FRCLIGJLHx99WJm90MYhFTQVyLlTQqm1RY0\n6QKSbW" +
       "hSS2sixNFzbJXpgFX2pe4Xxxbq15nq8iPwFIQZx9QBDv4kpXWkU84i4DvvXp" +
       "Jo/O97sbcx\ni5ibFZNQDyFyUvGPBfXP5/Mi55xPTsZlLer/ro9PfE/9jka4" +
       "mEGLOAZl61NwVm2BknVqmMmsF5lr\nWlbTYs24EtyMkg2xXvXrxuUA4Pw+1N" +
       "2rN6LZHw/veWWCLI+CEXUdNqCQtASd6jK05pq8ehGh6hQP\nJ3g44YX7B3a/" +
       "bJ+5vxMB4UUwZBJYXoQ6JbYCorRqI6dKzHLTunnLlXh8Y5A9Y+zP/TbWVuoS" +
       "MrPA\nEjK72hcxYYmC00KVCXElqVHbwBVWJgpGszllLZWXi1JmZU3Oaam8kl" +
       "lxgv2oIVz2q9q1AMwyG8MK\nkkitVseGDmnbam/mt0Pq8KefrtbhmsjjIQrG" +
       "Og0WhhY+9mp5xGlT8GH95fgh3gs+ONFT1rD7/SQF\nx1KSJGfz7nRE9C7IGN" +
       "I8qhg954cX5lKQnTqgeEx/Ozu99bilUewx6MzmkI6Mhs+FwuGjDM7foLVV\n" +
       "bw/jB45a1oQ6WmIWQ3ZRf/3r2xP5zvNn4obBsIY4MsatMuHoVUgTOmshwQnU" +
       "QJideIl9kt0hz5s4\nUrGCD7kCOTzUUjrJBvwdb7ciJ6dlKe/t6CIFs35isr" +
       "bRgJSZDDeQ7bge62hjLAPLsqalbsudanhs\nk35snmW7GIYLmpwrpjPKirzQ" +
       "wzLlx1JwkJ0mBkblLqK+1YKS72HwLfFq3aBd2KgrQpUXewkuHCZB\nRQ8ESf" +
       "M/RCrTk6kGAAA="));
    final public static SJProtocol p_event_in_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVUMW/TQBi9JC1tWhCFtgiJVoCqlBSqZAIhdYDUdWmC26Rx" +
       "0gWJcLkciYPjM/Yl\ndRFihn/AxMCCQJWYgA2EOsFWFqQuDDCw8Atg4M7nJE" +
       "3jupFin33fe/fue8+3/QcM2haI29i2NWLU\nE3TLxHaCP4qRmkkbmzVNxwX2" +
       "WEJA/EJhABwLxAJgCiGmwESWvrx8Prf3PgxCChgok8oWBXGlDU26\ngGQHml" +
       "Qzqpji6AUnWNy+0v3i2EKDiKmuPARPQJhxzBzg4FdSrmNEOYuA7759QaKxv+" +
       "/E3iZNom9V\ndUI9hKhJxT4Uld+fzouacz41WZe1hP5dm5r+lvoVjXAxwyax" +
       "NcrWp+Cs0gYlm1TTkzlvZsExTcdk\nXswFelG2oIFqfmZcCsAt7kPduXI9mv" +
       "v+4K7XJcjqKBhX6rAFhaIVaNdWobng8OZFhKhTfDrBpxPe\n9ODQ3uedM/d2" +
       "IyC8DEZ0AivLEFFipUGU1ixs14heccwbN12JxzeH2XWM/XnaJjtKXUKWFVjG" +
       "eo97\nER2WKTgtVOnQqCZVamlGlXWJgolcPr2RKsglKbu2IefVVCGdXTsixX" +
       "mMsNbyTfHVANgqG8Mqlkij\n0TQ0BGknbK8Xd0LK6McfrtzRhqjjUxRMdi0W" +
       "kRZJ9trJhF4OWDHbpId5zAlGuB98cKKvtWH3/UkK\njqUkSc4V3Mdx4V9QOK" +
       "RFXNX6PiHemdmgSHVBsTH0Zj6+/aitkW/SW/uIPLPNHnK4cHxIaA86ZVRs\n" +
       "VPzBEwI8deATzekQ4RWWTWyV0KufXx/Lt589FSeTARuYI8d4xqZtVIM0gZjx" +
       "xEjgFjbYSSGxV7I7\n5HXT3jZB2xLea36f7RiRlzOyVPDqYhTM+7HmLK0FKc" +
       "uY0cKW7UasuwhjGVqVVTV1S+766bFd8GPz\nEtvDMFpU5Xwpk02vyUt9LDN+" +
       "LEUbWxmiGbjSQxR1iRR5udBHc/EwGgXfpz0kA+vFdD/et+HrTU1g\nnf+6Aw" +
       "9iqQYAAA=="));
    final public static SJProtocol p_cs_main =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVVzU8TQRQfKB9W1KCCmqgoQQTEtMYENWKipSxSWGhtCxcT" +
       "63Q7tovb3XV3Wosx\nnvXozZMmxsRoSDwY9aYxeNGbXjQe9IAxXvwL9OC8mW" +
       "3LtsvapDPTN+/93q/va1Z+o3bbQoM2sW3V\n0JdCdNkkdgh+ilNqJkX0XJqd" +
       "MwoSn5ZWhCoWGvOxmWNnnCdRo1gs6aqCKdMTGE8mVlvkrtffW1GL\njLqKQg" +
       "+uKOqVTUNbzmsGDXOcMIjHmadhX3b8qpEgA29XCqqWo2hYrpo7sDXzsMscPA" +
       "00eILVyC4R\nhYIv4eTjs/tGcPDPCxGF3ipnx0LoRAZfLci/3hwQOns9dOIc" +
       "NaP8PbFv/6fIj2AAKG8yDVuFWFG0\npx6MElW1cMK5Ga+YZsX2j0mSKEQtk+" +
       "akXUO3UAszh30zhxnxgYmX6HUWQg8c/4KRDcMUNoHJ9w/v\njXx9yfPRljVy" +
       "y+C5jfMImBWTETjiTyBrYV0peDEY8jGcWGd1cfRUMPH56iWnJjDTo2invITL" +
       "WER2\nGtuFOWyOr2e1Ha5DcB1yrts7v75d3XX5YwC1TqHNmoFzU1ihhhVDQV" +
       "qwiF0wtFzFPHuOU9xyfRNb\nu9kXmqu3xpQDsgDhLNFctRrQcJaiHYKVhvV8" +
       "OEUtVc+zbFPUk0jGFiNpKRONzy9KyVQkHYvP8xyi\n/+Ywpm8UQbDfDv8WDj" +
       "1NxFu5fBdFHZFoVEqkq/4gOn6hj06QvNrUjpCww34JqxsNditPjw6v3Khy\n" +
       "DKyrV9i3Vjk7ZPY1NFdCwwqZZtkgVkZ5vPbhpjR757YoQB0XCVjuhqjut5UC" +
       "piGFjShDD5Ey0VmP\nR5lI4kfQ6/9vp8X0DToEzLdVmTLqJuzDtZgmpRkpmn" +
       "b+0RBFR73IJCy1jCkbonqZWDafoXVuDKVz\nTkqlIuelejQctINeaM5IdiF0" +
       "LaSkZGYmHpuXJptQBrxQFmxizRiqTnIuoLYLC7F0E4JniC+UVOqy\nDXISsj" +
       "TVDNC/EQWZXBEglVqiYB+t2u7duLDbQbzHVVLdPm0A4r5aFl3ePCuynucmUr" +
       "UygCVk8ho5\nBstx1/UYLCddotOwRFyiSVjOuERnoVr7GtvBUovs4ai+Bnf7" +
       "Hv18vpbsEQ1xVdXZAznQ+O66bA7N\nMiUxHDt4P/T7eeDa70b7V24lv2VF3+" +
       "+o6fPxJ+ml4tiDL2Tk3BbFoy0DqlMZLP3dfArDOAyJcfgP\nZjKQLq4IAAA="));
    final public static SJProtocol p_sc_main =
      new SJProtocol(
      ("H4sIAAAAAAAAAH1Vz2sTQRSeNq01rUrVVgW1Gmq0VUlEqIoVNE23mrpt0iT1" +
       "IhgnmzHZutlddycx\nFfGsR2+eFEQQpeBB1Jsi9aI3vSge9KCIF/8CPThvZp" +
       "N0k80GMjM789733nzvx6z8Qb22hcZsYtuq\noS9F6LJJ7Ah8ilVmNk0UolZJ" +
       "ln3mFCR+Xd0I1Sw04aM2x9a4SOJGuVzRVQVTJicwnkytdskDr793\noy4ZDZ" +
       "SFHBxRNCybhrZc1Awa5ThR2J6s+TuYEUetDjLwXqWkagWKxuS6ugPbUI+61M" +
       "HSaIslGI38\nElEo2BJGPj67bwTDf18IFobrPjsaQiYWfrUo/36zR8js9JBJ" +
       "ctSc8u/Yrt2fYj+DAXB5vWnYKnBF\n0Y4mGRWqatGUczJZM80aC1rYlxO90B" +
       "6xa+gW6mK6MPdzDD9eE/p1Rp9n4P1My4ZhCp3A9PuH98a/\nvuSx6MkbhWUw" +
       "3MPdCJg1k9kf97Wft7CulLwcOOCjN7VG6+KhE8HU56uXnHTATI6irfISrmJB" +
       "6jls\nl+awObnWqc1wHIHjiHPc2/f17eq2yx8DqHsG9WsGLsxghRpWAgVpyS" +
       "J2ydAKNfP0Ge7ihuvr2TjI\n/lBaww1POSDjB+eJ5krTgIbzFG0RXmlYL0Yz" +
       "1FL1Igs0RUOpdOJCLCvl4sn5C1I6E8smkvM8gohH\n8KAPE8kK7UQhAGyG68" +
       "JiqM3zbr6/jaJ1sXhcSmXrBoEeP+7jU6SotpUiRGy/X8SaSuFB5enhsZUb\n" +
       "dR8DTrqKy/qlC7tsh3wF/U31u/aLS+xqKciUhhVyjoWRWDnl8Y8PN6Xzd26L" +
       "xNVxmYDmdgjHblsp\nYRpRWFsz9AipEp31hTjbkvgS5EKOyxvrJoE3mMcbpK" +
       "alWSmedeTGKDrshZqy1CqmrIPqVWLZvIE2\njTCUvjkpk4mdlZqxcdD2eqE5" +
       "/diFMLCYkdK52WRiXppuQxn1Qlm0iTVrqDopuICCHEiWZrJtMKFO\nMDK5Ql" +
       "0gPQuLiXZ9T8IXKqrQrXkzPtg5s3the0cjp2De6VMHsD3idiq0JiVhDq9NrW" +
       "acO6cBDBGT\np+URGI66jidgOO7aOgnDKdfWaRhirq1pqJCR1ry21DJ7Nerv" +
       "992RR7+e/0gPicy+qursdRxtfXRd\nOvvOMyHRHtfxGgz5WeDS7w6FVm6lv+" +
       "VF4W9pyPMGKOmV8sSDL2T8zAbFo74CqpMQLPSDvA9DQ4yI\nhvgfl7ofZq4I" +
       "AAA="));
    final public static SJProtocol p_cs_chat =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVVy08TQRgfKBUKmPD0xUMJoiCkjTEQEmKklEULCy1t4WJi" +
       "nW7HdmG7u+5OSzGG\nsx69edLEmBgNiQej3jQGL3rDi4aDHjDGi3+BHpxHt7" +
       "DtsjTp7Ox83+/7fvO9dvMP8JoGOG8i05Q1\ndcWP13Vk+ukr38VnQ1MoI6sJ" +
       "8paUAP/V1AJQNMA5F9Q+0ECL9GJkcPMOBw26gOJcVOmrRgReKSsr\naQwGRQ" +
       "seYKBAGR6wwSeIp/4KT3TVUitIwtQXd7L98pHmG/j7mnPr1DVlPaNouITgOs" +
       "GBt0vi7/en\nuU6Xg06EWU1K/8a6e74Ef/o8lHKDrpkyJv4xOCFaoEAey0og" +
       "WpJMFHW9SMI/4BoTNe0U/FEXzDzZ\nwwwKablcXpUliMtBfT61VSM2vfvBgt" +
       "qU43pUhEHnHkkeUB7H22AD1DKWbpmLIQnJBVRNlMIbCZw+\njzIzQy5mInm8" +
       "RhLtYMc9SKKm6Rzjmf705OHQzht2wbqUll6nnj3WNXRC4II7gZQBVSnrxMCt" +
       "S6b2\noa4Pj/uiX1dvlCoXEj0M2sUVWIA8/9egmZ2H+sR+Vq1U7Kdif0nsrd" +
       "/5sHXs5rYH1M6ARkWD6Rko\nYc0IAx/OGsjMakq6qF+ZZBSb1xrI2kL+tJ87" +
       "y0yZQRIgmEKKraM8Ckxh0MZZKVDNBOLYkNUMqUkM\nOqKx8HIwISRDkYVlIR" +
       "YPJsKRBZZD36E5DKsHRZDiO+ht6eZ4FfFadn4SgyPBUEiIJix/XB/sKyL6\n" +
       "bLEEPh6/7oq+jCpQQtdIiJCRlJ7tfr4rzN2/x6tChTlEkafoVXtMKQuxXyK9" +
       "oql+VEAqGQ8hciSw\nreXavfzD6gFlS+GtFlNCXafPofJFY8KsEEqUbjSIwY" +
       "gTmaghFyAm3awWkGGyZt7jRqzUzwvxePCq\nYI8XsXbGyVppNtgsNC3FhVhy" +
       "NhJeEKarrPQ7WVkykTGrySpK2wzVLS6FE1UWHEO8mJexDetjJERh\nptpA30" +
       "EURHSLGynaamTEwvYeXG1eetxlK6l2l9qkx33lLB5ekXt5riJVLgO6BHRWIx" +
       "fpcskmHqPL\nuO1ogi5TtiOBLpdtR5O0Wnsr28GQc+SbY43oB71Pf73ajXXw" +
       "hliVVfJt7a/8ANgwZ+eIEp9YXtYP\nfW4emPbH4b7Njdj3FJ+ebWV9NpMENZ" +
       "8bffwNDU02Sw5t6ZFLlUHS38JGI51Rfj6j/gPUnUu1tggA\nAA=="));
    final public static SJProtocol p_sc_chat =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVVy08TQRgfKFUKmlQevlCUAPJMa4z4CEYtddHCQktbuJhY" +
       "p9uxXdjurrvTUozx\nrEdvnjQxJkZD4sGoN43Ri970ouGgB43x4l+gB+exLd" +
       "12uzTpzOzM9/u+33yvWf8DvKYBhkxkmrKm\nLgfwmo7MAP3kq8RMYgplZTVJ" +
       "vlIS4L+mZgBKBjjigqoCDfqlp+PD6zc4aNjNFD+qtdUkAq+Uk5UM\nBsNiGR" +
       "5koGAFHrTBJ4ml/hpLdNTSy0jC1BY38unZfc03+PcF59ata8paVtGwheAyoc" +
       "FXi+LvN4e4\nTI+DTJRpTUn/Thw4+Dn00+ehlFt1zZQxsY/BXrEMChawrARj" +
       "1slkSddLprtP4khCchE5+X/CBTZH\n1jCLwlo+X1BlCeKKX59MvWsS219/Z3" +
       "5tz3M5eoRB9yZP7lPuyuvgFmhmRAddg6dm6llSbBvB0nnn\nlpeNqKskzo6X" +
       "dTMtaprOMZ4LHx7eG9l4yS7XktYya9Swp3wFndgfcbWfNqAq5ZwIuNXIVBXq" +
       "8tgp\nX+zLyhUrbyGRw6BTXIZFyKN/CZq5OahPVpPaRY8D9DhgHXu3b7x9t/" +
       "vqJw9ongZtigYz01DCmhEB\nPpwzkJnTlExJP3eeUdyx2kpGP/nTau6uMGUK" +
       "iX9gGim2evIoMI1BB2elQDUbTGBDVrMkIzHoisUj\nS6GkkApH55eEeCKUjE" +
       "TnWQR9LIKjLp6IFnAjF1IFXfS6dLGnjnkz29+HwbZQOCzEkmWD+hb9Kdyg\n" +
       "P1F4k5V5nLdb5AnvBqlH8bvKtHdyPgdqmkBMgRK6RCKCjJT0+MfHm8Lsnds8" +
       "B1WYRxS5n3r2oCnl\nIA5IpCo1NYCKSCW9KEy2BLakcgMWZX/ZJHUBnccq/o" +
       "kLM0I4acmNYjDupDVmyEWISQNQi8gwWf1v\nGiFats8JiUToorDpZkvbYSdt" +
       "VjuxaWhfTAjx1Ew0Mi9cqNPS76Rl0UTGjCarKGNT5GOKRGE6Waem\nr5EaEV" +
       "3DNiUtC4uReryjwxcKMseWnD3e2ThJvXS7p5JTdO51SWm63WcnNVCVknQeqk" +
       "6tzTg3TgM6\nHNVZWh6jw3Hb8Uk6nLZtnaHDWdtWiA5h29Y0rZDe2rw25Dx5" +
       "qcrPz93eR7+e/4h38cxekVXyIvfX\nvhk2zMAsEeKdzstqsM/NApN+P9a3fi" +
       "v+Lc27bkdFnvUyQS3kJx58RSPnd0gO9eWRrYQgofezlkp7\nW4D3tv9d7q7m" +
       "7AgAAA=="));
    final public static SJProtocol p_s_out =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVUTU8TQRietiAUNEEQNBEiSsqHkvakMeGgZVmkdaGl23Ix" +
       "sU63Y7u4nVl3p2Ux\nxrP+A08evBgNiSf1pjGc9IYXEy4e9ODFX6AHZ3a2hd" +
       "Lt0qSzM/u+z/M++37Mzh/Qa1tgxka2rRO8\nGafbJrLj/Ch2alpdRBUd59mp" +
       "qAHxC4UBcCwwHYA6BIoNaW/mZ3ceCdBsUChhOhorpIBeraobZQpm\nlSY84Y" +
       "ISLXiiDb7AIk0dicRXUtpEGuWxRJC9ty9INPb3ndA2ahJju2IQ6iGETzL2oa" +
       "D8/nRB+Jz3\n8cm4rEXt37XxiW/JX9EIl9xvElunLD4F55QmKFGnupHIepYF" +
       "xzQdlv65gJxk6nSLfTvyK0AsAKcQ\nYgpMZOnLy+dz++/dRPaUSHn7IXgCIg" +
       "5fw6ZjMgGXgwWULIi1qp+CoMZZPIS6c+V6NPv9wV2vmJD5\nUTCibMIGFClZ" +
       "gXZ1FZoLh1Wd5uY4N8c9c2/f/ufdsXt7ERBeBgMGgeVlqFFipUCUVi1kV4lR" +
       "dswb\nN12JJ7f62TrE/rzFR1tKXUKWIFhCRluTRQxYomBYqDIgriRUaum4ws" +
       "pEwZlsLrWRzMtFKbO2IefU\nZD6VWbODa6AiXPbL2tUAzCrbwwqSSK1Wx7oG" +
       "aWsgXi/uhpTBjz9crYM14cdNFIweNJgYBjEDXi6P\n6bAU7lZfjj/Fa8E3Qx" +
       "1pDbvvhyk4kZQkOZt3j2OidkGNIXW5UTg85MoNuiRySEN6w2ceOPwsg/Nn\n" +
       "tKnakzN+ZGqzBtTQCusWZBW1Vz+/PpZvP3sqBgTDGuLIEV71CVurQhrXWDUI" +
       "jqMGwuzykNgr2d1y\nv8ljFadwlwnm8IGm0ktsw58zrazm5LQs5b0vmqZg3k" +
       "9M1tIbkLJ+wQ1k2W67HGhjLH2rsqomb8kH\n2fDYJv3YvO5rYxgsqHKumM6k" +
       "1uSlDpYpP5aCjaw00TEqtxH1rBdS+Q4G3xSv13Xaho26IhR5uZPg\nYjcJCr" +
       "ovSJz/iKJSI+cGAAA="));
    
    public ChatProtocols() { super(); }
    
    final public static String jlc$CompilerVersion$jl = "2.3.0";
    final public static long jlc$SourceLastModified$jl = 1238676054798L;
    final public static String jlc$ClassType$jl =
      ("H4sIAAAAAAAAAO1ZfWwcRxWfu7N9/rgS23FCSOx8OaE2Te0S0SitgeZ8Pdfn" +
       "nu3Lne02btrz3t6c\nb5293WVnzr5YIWqo1LgNoNI2UBC0EkIqLZGAVi3/oA" +
       "BKCyofQg1SEhWlgIpQJSiCfyCCgngzs3u3\nu3e+uKj/1ZE8mZt57828N7/3" +
       "m9mZc++gRmKiAYIJUXRtYYAeNzDhpZ5ZwDIlA6mxhGQSnI2oEiFT\n0JGW5/" +
       "6rzHy/43OjfuSbRZ2aHlYViUzlTb04n5/KK6Rkop2Grh6fV3VqWayycXvvu0" +
       "u/PD22LYA2\nzKINipaiElXkiK5RXKKzKFTAhQw2STibxdlZ1KFhnE1hU5FU" +
       "ZRkEdQ0GJsq8JtGiiUkSE11dZIKd\npGhgk49pN8ZRSNY1Qs2iTHWTUNQeX5" +
       "AWpcEiVdTBuELoUBw15RSsZsln0Enkj6PGnCrNg+DmuO3F\nILc4OMLaQbxV" +
       "gWmaOUnGtkrDMUXLUrTDq1H2eM/dIACqwQKmeb08VIMmQQPqFFNSJW1+MEVN" +
       "RZsH\n0Ua9CKNQtHVVoyDUbEjyMWkepyna4pVLiC6QauFhYSoUbfKKcUuwZl" +
       "s9a+ZYrcmm0H8eTfxzJ6w4\nzDmLZZXNvwmUtnuUkjiHTazJWCheKw48GTtS" +
       "7PYjBMKbPMJCJrz3B9Pxt3+0Q8hsqyEzybGYlt89\n0N1zMfzHlgCbRrOhE4" +
       "VBweU5X9WE1TNUMgDdm8sWWeeA3fnj5E+PPPg8/rMfNcdQk6yrxYIWQy1Y\n" +
       "y0asehDqcUXDonUylyOYxlCDypuadP4bwpFTVMzC0Qh1Q6J5Xi8ZCKEg/Png" +
       "bz8S/1pZAQCM5CWa\nMHWqw6hkgCxQdCPFhJKjxJSPEhl6j8p6oaBrR72SJW" +
       "b8Q0s+H/jV7c0xFQA5qqtZbKblZ9/6+Yno\n3Y+siBVjKLOmBXjiIwyIEQZc" +
       "IyCfj5veyOAowhU2Tek4S5PSqYs9X/2Z9A0IPgSBKMuY++hbamAl\nKO2vyy" +
       "KRSg7GoCYBRNJy14Nvb/3ab5571Y8CNZkkXm4c0c2CpDIw2KnTaQ3n7QEM7f" +
       "EiudbYf310\n/MVLv7jaV8E0RXuqUq1ak6XKbm/oTV3GWaCiivmv/Gv0b080" +
       "3vaSHzVA/gEDUQlwA+m83TuGK2WG\nbPphvgTiqC1X5XgrhQAtORxmZYgV7Q" +
       "IesBZdngly5rr2UNMtl3/Y9ir32Ca5DQ42TGEqUqajsv5T\nJsbQfvWpxBNn" +
       "3zl9XwCS1DDEmlPUZBQzqiKXQOXD7ixj08sy2PzlhaH2L95MXuZL3KIUCkUq" +
       "ZVQM\nrCypqr6Es2nKaanDQYGceSASoQwwGJBhWgVDwlfDtwjwrMERA1u6nv" +
       "xy/9cvMxYxeGA2s2zjM0Ul\n3rDHx8q+qk72u4chuKviNuT9MeFAqD91/9jc" +
       "ym7uudPcPutHqWywlbe0gqVP1M2FEbbb2ElXgczc\nmSuHx++9Z1AQ4cfrmp" +
       "iAjM5yOxX9szHtjvObLml+hpImslDO+jjyE0pRX9w2aSGP/RS11FhKdNmb\n" +
       "wb7rO1AZWDnxj1Mv/PpsCAaeRUGFjCiapLLVJhMie2tsFB4Ty+enn772K/om" +
       "x2YlXdj0u0vVXDcj\nOTL54KXFjqbvPVPwo+AsauebvaTRGUktMuTOwnZNIl" +
       "ZjHN3g6ndvvWKfGSrTQbc3VR3DehO1wRHt\nBibN6s0iN42Sz2ew2kEuvZ2X" +
       "uwSYAhTssHixtl5IKcJPQiXgaSNtmMqiRHEaL2KNpuE8kAY2wlKB\nG9hI0b" +
       "byKplFjSoFzI5rFq44Ffg45D8FiOz3LGh57UFlskiX8rCLif3Y2qx8AoZ76+" +
       "jFdd0QOoE7\nX/vmU/1vvCzINKNnj7Nx94N+Xx19B+acwzJ2kmE+WdtGb10w" +
       "CvXXv/u03rL33y/5rYRuMziT1Zt+\nCnb1Wi7fWkdnHOpwporA5lnUFJmfRY" +
       "WN54Yv+OJt53/H599WEHJTLiAMGxY1wdL1uHZhvsCEb8ZR\nXmVSt5RxM1YD" +
       "N6w+xEHDik8CYD7iBYyiWXhhEp92AGKc1F+YmLYKHphyWES2nn4Sy1hZXEV/" +
       "BPTZ\n/6MeJ5NrcrLDSEtm2c8CsITXuWluIWEIXj5kxzxaHtZEN9aZe2QYzy" +
       "tVmGS4+GgdLYfS3nb5+X19\n55Ztf4etmUzYM0msEoAH1hSATqOKDrwRkCqe" +
       "m+hj9RM/YwKb5Wu5Wy9Iww6t+2462JK4fOwBK3El\nkKNoo+NYMSqR/LhkDF" +
       "VywHXCsLobg2/85MLmudcDyD+CWlVdyo5I/NyFWuDAg0keTrYl445DfIqh\n" +
       "pWYo2+GPfb9uKs+UGwRikjJYdRFKQJUy5RNwVyIZmwlPRdORyYmZaDIVnopN" +
       "TtgguQ5XxrTVIsb0\ns/Yaz1dN1M/bFWD4cCQSTUyVQckrRyyQ1IGtU2wVLD" +
       "HryehYNDJlyQHR7KtFNAmRP7AtLsJXNmex\nCu+AleB4NJUK3xV1TxKs7axl" +
       "zSJFl4W26VQ0mR6bjE1E76yy0lvLyjTB5pgOu37WZajh8HRsqspC\nTfo8XF" +
       "SoS7eFTyIeHak2sGu1KcRxThgpedLz8bXy03XI96x7BQurQ6aRNS+4cCHXAR" +
       "hrrqDi/YEV\nK5YNju0TrDjp6j7FiodcTQ+z4guupsdYseJqOuMN7rfXFNwW" +
       "Iy2TmqT/nXL6Ot2tcrtO+BzBts3U\nWRpHsN+/HK4d7Gh1sKPOYK+4ms5U4m" +
       "83PVaqPe4HFXnVHyNAhwWFlk8sX9r+rT+9+FayS5xmxdVe\nb9XtmlNHXO/Z" +
       "B08YYVe9Ebj0KzftOncy+WZGbLad7s/nqFYs3PrMFdx/KCTXuMIJKBbHAZG1" +
       "852U\nfb8MiKtDT2ZdXWtmEblmZv3etYxRz/8feDCtZ1YlGKy8xIrfujHoa3" +
       "kP7M62ZQ8GfSGXR+ssv87y\n/z8WD7wHPqyFxduu8/2YWuX7kZmY9YRrnU3d" +
       "i7aO4LUgOLsmBAcBweyOwItffj7w3b7OmSzu1uW9\nK5b81NNrPRkgVoonA/" +
       "u+H/K/Z7WnUn6yO33v30MPS6/cb2f9FaATqhs3q/BhqFpmF6uNjPOXYft+\n" +
       "ecM9O/4wcuDZz1beM+zxKbrB9WjHrlO2VL23i1dheffFub4LRsdr/Bmq/HIb" +
       "jKPmXFFVnXfWjnqT\nYeKcwucetG+wGWhWKAo5P5spezdlFQ6p00LoDEWNxC" +
       "JO3+fL39uOY6q4Zi/5/geTltgqfiAAAA==");
}
