package schat.server;

import java.util.*;
import sessionj.runtime.*;
import sessionj.runtime.net.*;
import schat.common.*;
import schat.common.events.*;

public class ServerInThread
extends SJThread
{
    final private static SJProtocol
      p_cs_in =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVUTU8TQRgeWhAKmiBYNBGihpQPJe1JY8JBy7JI60JLt+Vi" +
       "Yp1Ox3brdmfdnZbF\nGM/6Dzx58GI0JJ7Um8Zw0hteTLh40IMXf4EenNnZlp" +
       "YuS5NOZ+Z9n+d55/3ozh8wYFtg1sa2rRGj\nFqfbJrbj/Ch2alpawhXNyLNT" +
       "EQHx6QsB4FhgJgDVAYqNojcLczuPBGguAKQK02GtPgUMoKqmlymY\nU1rwhA" +
       "tKtOGJLvgiU5o+pMRXUqphRLmWENl7+4JEYn/fidiiJtG3KzqhHkL4JGMfCs" +
       "rvTxeEz3kf\nn4zLWkT/rk1OfUv+ioR5yEMmsTXK9Ck4p7RAiQbV9ETWsyw6" +
       "punYwTlJGVvs6dgv/7EAmEKIKTDh\n5S8vn8/vv3fz2F8i5e2H4AkIO3wNmY" +
       "7J9OcD9UsWNFDVL4CgtlnqQN25cj2S/f7grldKyPwoGFdq\nsAlFQlahXV2D" +
       "5mJnUKe5Oc7Ncc88MLj/eXfi3l4YhFbAsE5geQUiSqwUiNCqhe0q0cuOeeOm" +
       "G+LJ\nrSG2jrIvb/BoO1KXkOUHlrDe1WJhHZYoGBNR6dCoJFRqaUaFFYmCM9" +
       "lcajOZl4tSZn1TzqnJfCqz\nfkzlchhhrelbuasBsDW2hxUskXq9YWgI0vZE" +
       "vF7a7VNGPv5wwx2pCz9uoiB60GFiGsQQeOlkgV4O\nUMw06FE15gSneD34Zr" +
       "QntSH3foyCE0lJkrN59zjR8gdM2bs4pslYBEd0OccPi4YIancVG2V/8FkB\n" +
       "njw0tlkdIrzKGgZbRfTq59fH8u1nT8WIGLCOOXKcF37KRlVI44hVgxhx3MQG" +
       "+/eQ2JXsbjufGWm9\nmyeA/862s5OT07KU9/xmKFjwY81aWhNSVnijiS3brf" +
       "uBCGMZXJNVNXlL7k4yY7vox+a1URfDSEGV\nc8V0JrUuL/ewTPuxFGxspYlm" +
       "4HIXUcQlUuSVfA/NpaNoFHyfdpH0bxRSvXjfhG80NIF1/gOZAa3D\nsQYAAA" +
       "=="));
    private ChatServer
      server;
    private ServerOutThread
      sot =
      null;
    private User
      user;
    private boolean
      run =
      true;
    
    public ServerInThread(ChatServer server) {
        super();
        this.
          server =
          server;
    }
    
    public void
      srun(
      SJSocket s_sc_main) {
        System.
          err.
          println(
          "[ServerInThread] Server in thread started.");
        try {
            String userName =
              (String)
                SJRuntime.
                  receive(
                  s_sc_main);
            ChatServer.
              debugPrintln(
              "[ServerInThread] User connected: " +
              userName);
            Integer userId =
              server.
                getFreshId();
            ChatServer.
              debugPrintln(
              "[ServerInThread] Assigning " +
              userName +
              " user ID: " +
              userId);
            SJRuntime.
              send(
              s_sc_main,
              userId.
                intValue());
            this.
              setUser(
              new User(
                userId,
                userName));
            SJPort port_s_out =
              SJRuntime.
                reserveFreeSJPort(
                server.
                  getSessionParameters());
            ChatServer.
              debugPrintln(
              "[ServerInThread] Assigning " +
              userName +
              " (" +
              userId +
              ") should connect to: " +
              port_s_out);
            final SJService c_cs_in =
              SJService.
                create(
                p_cs_in,
                s_sc_main.
                  getLocalHostName(),
                port_s_out);
            this.
              sot =
              new ServerOutThread(
                server,
                this,
                port_s_out);
            ChatServer.
              debugPrintln(
              "[ServerInThread] Starting server out thread...");
            this.
              sot.
              start();
            SJRuntime.
              copy(
              s_sc_main,
              c_cs_in,
              ("H4sIAAAAAAAAAIVUTU8TQRgeWhAKmiBYNBGihpQPJe1JY8JBy7JI60JLt+Vi" +
               "Yp1Ox3brdmfdnZbF\nGM/6Dzx58GI0JJ7Um8Zw0hteTLh40IMXf4EenNnZlp" +
               "YuS5NOZ+Z9n+d55/3ozh8wYFtg1sa2rRGj\nFqfbJrbj/Ch2alpawhXNyLNT" +
               "EQHx6QsB4FhgJgDVAYqNojcLczuPBGguAKQK02GtPgUMoKqmlymY\nU1rwhA" +
               "tKtOGJLvgiU5o+pMRXUqphRLmWENl7+4JEYn/fidiiJtG3KzqhHkL4JGMfCs" +
               "rvTxeEz3kf\nn4zLWkT/rk1OfUv+ioR5yEMmsTXK9Ck4p7RAiQbV9ETWsyw6" +
               "punYwTlJGVvs6dgv/7EAmEKIKTDh\n5S8vn8/vv3fz2F8i5e2H4AkIO3wNmY" +
               "7J9OcD9UsWNFDVL4CgtlnqQN25cj2S/f7grldKyPwoGFdq\nsAlFQlahXV2D" +
               "5mJnUKe5Oc7Ncc88MLj/eXfi3l4YhFbAsE5geQUiSqwUiNCqhe0q0cuOeeOm" +
               "G+LJ\nrSG2jrIvb/BoO1KXkOUHlrDe1WJhHZYoGBNR6dCoJFRqaUaFFYmCM9" +
               "lcajOZl4tSZn1TzqnJfCqz\nfkzlchhhrelbuasBsDW2hxUskXq9YWgI0vZE" +
               "vF7a7VNGPv5wwx2pCz9uoiB60GFiGsQQeOlkgV4O\nUMw06FE15gSneD34Zr" +
               "QntSH3foyCE0lJkrN59zjR8gdM2bs4pslYBEd0OccPi4YIancVG2V/8FkB\n" +
               "njw0tlkdIrzKGgZbRfTq59fH8u1nT8WIGLCOOXKcF37KRlVI44hVgxhx3MQG" +
               "+/eQ2JXsbjufGWm9\nmyeA/862s5OT07KU9/xmKFjwY81aWhNSVnijiS3brf" +
               "uBCGMZXJNVNXlL7k4yY7vox+a1URfDSEGV\nc8V0JrUuL/ewTPuxFGxspYlm" +
               "4HIXUcQlUuSVfA/NpaNoFHyfdpH0bxRSvXjfhG80NIF1/gOZAa3D\nsQYAAA" +
               "=="));
            this.
              sendTheOtherUsers();
            server.
              addUser(
              user,
              sot);
            server.
              propagateEvent(
              new UserJoinedEvent(
                userId,
                userName));
            while (SJRuntime.
                     insync(
                     s_sc_main)) {
                {
                    String _sjbranch_0 =
                      SJRuntime.
                        inlabel(
                        s_sc_main);
                    if (_sjbranch_0.
                          equals(
                          "USER_JOINED")) {
                        {
                            UserJoinedEvent e =
                              (UserJoinedEvent)
                                SJRuntime.
                                  receive(
                                  s_sc_main);
                        }
                    } else
                              if (_sjbranch_0.
                                    equals(
                                    "MESSAGE")) {
                                  {
                                      MessageEvent me =
                                        (MessageEvent)
                                          SJRuntime.
                                            receive(
                                            s_sc_main);
                                      ChatServer.
                                        debugPrintln(
                                        "[ServerInThread] Handling event: " +
                                        me);
                                      server.
                                        propagateEvent(
                                        me);
                                  }
                              } else
                                        if (_sjbranch_0.
                                              equals(
                                              "PRIVATE_CONVERSATION")) {
                                            {
                                                PrivateConversationEvent pce =
                                                  (PrivateConversationEvent)
                                                    SJRuntime.
                                                      receive(
                                                      s_sc_main);
                                                server.
                                                  sendEvent(
                                                  server.
                                                    findUser(
                                                    pce.
                                                      getTargetId()),
                                                  pce);
                                                if (pce.
                                                      accepted()) {
                                                    {
                                                        SJRuntime.
                                                          outlabel(
                                                          s_sc_main,
                                                          "ACCEPT");
                                                        final SJService c_ar_private_conversation =
                                                          (SJService)
                                                            SJRuntime.
                                                              receiveChannel(
                                                              s_sc_main,
                                                              ("H4sIAAAAAAAAAFvzloG1uIhBvTi1uDgzPy9Lr6SyILVYD8SFsIK9nJ1S0zPz" +
                                                               "QoC8+GQGCGBkYmCo\nKGJQw6MLSZOqQPIqHY01VRBNGng0BUOk0O1i9GFgTc" +
                                                               "7IzEkpYdDwgWnXB2vSh2vXR9FuDbRJGc0m\nEJmflJWaXAKyC2LJxfXz8jlV" +
                                                               "f2+FuE20ID+nMj0nvwSqA6LGUXV7qM+L/fIQNdJY1PiDTY1P/mMm\nI3vJ8Q" +
                                                               "knM8jJHAX5xZklQPtLGCR8YJr0S0syc/QDoDLWFQUFFcX4wyQoNTk1sywVW/" +
                                                               "ib4tHmC2Qn\npqc65+fmluZlJieWwMN1pdNhRh/ufffB4cqdC1EHkiphEEW4" +
                                                               "ExKmkKAsZKhjYAI7VBOPjf6lJeXA\nSMLqUlU8+nzy8wsgephdTi6aoXlrG9" +
                                                               "hlLEn5KZUgm5lh9hcU4zcoODUvBdNykGYuiGYZtKgLyElM\nTvXIz0lJLYpP" +
                                                               "Xv74VI2rd2cHxPK8xFxgeAj5ZCWWJernJOal6weXFGXmpQNjrIRBtjg5I7FE" +
                                                               "LxkY\ntvl5eqllqXnAFOUMFHIFM0E2MhCMV888HKEF0s4HcjCIwQlkgGgRAA" +
                                                               "xgbaepAwAA"));
                                                        SJServerIdentifier si =
                                                          c_ar_private_conversation.
                                                            getServerIdentifier();
                                                        pce.
                                                          setHostAddress(
                                                          si.
                                                            getHostName());
                                                        pce.
                                                          setPort(
                                                          si.
                                                            getPort());
                                                    }
                                                } else {
                                                    {
                                                        SJRuntime.
                                                          outlabel(
                                                          s_sc_main,
                                                          "REJECT");
                                                    }
                                                }
                                            }
                                        } else
                                                  if (_sjbranch_0.
                                                        equals(
                                                        "USER_LEFT")) {
                                                      {
                                                          UserLeftEvent ule =
                                                            (UserLeftEvent)
                                                              SJRuntime.
                                                                receive(
                                                                s_sc_main);
                                                          ChatServer.
                                                            debugPrintln(
                                                            "[ServerInThread] Handling event: " +
                                                            ule);
                                                      }
                                                  } else
                                                            if (_sjbranch_0.
                                                                  equals(
                                                                  "QUIT")) {
                                                                {
                                                                    QuitEvent qe =
                                                                      (QuitEvent)
                                                                        SJRuntime.
                                                                          receive(
                                                                          s_sc_main);
                                                                    ChatServer.
                                                                      debugPrintln(
                                                                      "[ServerInThread] Handling event: " +
                                                                      qe);
                                                                }
                                                            }
                }
            }
        }
        catch (ClassNotFoundException cnfe) {
            System.
              err.
              println(
              "[ServerInThread] Shouldn\'t get in here: " +
              cnfe);
        }
        catch (SJIOException ioe) {
            ChatServer.
              debugPrintln(
              "[ServerInThread] I/O error: " +
              ioe);
        }
        finally {
            if (sot !=
                  null) {
                sot.
                  disconnect();
            }
            User foo =
              this.
                getUser();
            if (foo !=
                  null &&
                  server.
                    findUser(
                    foo.
                      getId()) !=
                  null) {
                server.
                  removeUser(
                  this.
                    getUser());
                server.
                  propagateEvent(
                  new UserLeftEvent(
                    foo.
                      getId()));
            }
            ChatServer.
              debugPrintln(
              "[ServerInThread] Server in thread stopped.");
            SJRuntime.
              close(
              s_sc_main);
        }
    }
    
    private void
      sendTheOtherUsers(
      ) {
        Set users =
          server.
            getUsers();
        synchronized (users)  {
            for (Iterator i =
                   users.
                     iterator();
                 i.
                   hasNext();
                 ) {
                User other =
                  (User)
                    i.
                      next();
                sot.
                  queueEvent(
                  new UserJoinedEvent(
                    other.
                      getId(),
                    other.
                      getName()));
            }
        }
    }
    
    protected void
      disconnect(
      ) {
        ChatServer.
          debugPrintln(
          "[ServerInThread] Told to disconnect...");
        if (run) {
            this.
              run =
              false;
        }
    }
    
    protected User
      getUser(
      ) {
        return user;
    }
    
    protected void
      setUser(
      User user) {
        this.
          user =
          user;
    }
    
    public SJThread
      spawn(
      final SJSocket s_sc_main) {
        new Thread(
          ) {
            
            public void
              run(
              ) {
                ServerInThread.this.
                  srun(
                  s_sc_main);
            }
        }.
          start();
        return this;
    }
    
    final public static String
      jlc$CompilerVersion$jl =
      "2.3.0";
    final public static long
      jlc$SourceLastModified$jl =
      1238676054780L;
    final public static String
      jlc$ClassType$jl =
      ("H4sIAAAAAAAAAO0ZfWwb1f3ZTpzPtUmahtAkbdOP0aytsy+mrpkoqXGoU+ej" +
       "dtJBaOeez8/xJee7\n495z4hbGCkwUioS2lUKHNpjGpApUaQwE+2fqNhW6sQ" +
       "9NdKJFaFBNVFu1wbT9A9XGYL/33tm+O5+d\nlf05LN27d+9+X+/3fp/nU++g" +
       "emKiEMGEKLo2F6IHDUz4qKfmsExJKDE6KZkEp8OqRMgUvEjKBz5Q\n9v6o/Z" +
       "5dfuSbQR2aPqwqEpnKmnp+NjuVVUjBRGsNXT04q+rUolhBY/v69xd/c2S0J4" +
       "CWz6Dlipag\nElXksK5RXKAzqDWHcylskuF0GqdnULuGcTqBTUVSlUMAqGvA" +
       "mCizmkTzJiZxTHR1gQF2kLyBTc6z\nuBhDrbKuEWrmZaqbhKK22Jy0IA3mqa" +
       "IOxhRCh2IomFGwmia3o7uQP4bqM6o0C4BdseIuBjnFwRG2\nDuDNCohpZiQZ" +
       "F1Hq5hUtTdEaN0Zpxxt2AwCgNuQwzeolVnWaBAuoQ4ikStrsYIKaijYLoPV6" +
       "HrhQ\ntKoqUQBqNCR5XprFSYq63XCT4hVANXG1MBSKVrrBOCU4s1WuM7Od1k" +
       "Sw9d9HJ99bCycOMqexrDL5\ng4C02oUUxxlsYk3GAvFKPvRw9NZ8rx8hAF7p" +
       "AhYwwxt/PB27/NM1AqbHA2aC22JSfv8LvX3nhi81\nBZgYjYZOFGYKjp3zU5" +
       "203gwVDLDurhJF9jJUfPmz+NlbDz+N/+pHjVEUlHU1n9OiqAlr6bA1b4B5\n" +
       "TNGwWJ3IZAimUVSn8qWgzp9BHRlFxUwd9TA3JJrl84KBEGqAywfXZSR+y9hA" +
       "UTtY8gI2oxr4DJbS\nITJH0SaKCSX7iCnvI3JWovsIh9lXAVpg5Jct+nyws1" +
       "63l6lgkrt0NY3NpHzyrV/dGdn9wP3izJid\nWYJR1MNZhASLkJMF8vk47RXM" +
       "IoXGhk1TOsg8pXD3ub5v/0L6Lugf9ECUQ5hv07dYx0ZA+mzNQBIu\nu2EUZh" +
       "JYSVLuPHx51WO/f+olPwp4BpNYaXFEN3OSyuyh6D0dFjv3GzCjDW5j9uL9t6" +
       "Njz53/9Rub\nymZN0YYKb6vEZN6yzq17U5dxGqJRmfyj/9z192P1X3zej+rA" +
       "BSEIUQlMBzx6tZuHw2uGihGI7SUQ\nQy2Zio03U1DQom3DbGzl8+VwFI1wgT" +
       "ehNZbd9bKBvWxnQ4cwITiuTtceeHy7cm/w0xd+0vISV0ox\nFC63xcwEpsKx" +
       "2ssmMmViDOtvnJg8dvydI7cFwJUNQ5gFRUEjn1IVuQAo1zh9ke0gzSzr7WeH" +
       "2h7a\nSl7gVtCk5HJ5KqVUDLFbUlV9EaeTlAevdlug5PEJlNWagjgHITOpAi" +
       "GhDsO3ABbsEUlC3Z0PPzLw\nnQss1hhcX102A2bPKyi6xuEeYZgLFylwgI0+" +
       "Ng6UkBFHRlypfcwJOstqgegxLzbYOpDYP3rg/nVc\nM4IdQ9gsaA7aVwol0v" +
       "V8mWXoLTUda4Rlr7LdKXe+e/ezvzve6kf+GdSgkBFFk1SmVjIuPMkjbrtI\n" +
       "HDo9/fiV39I3uRGUTZcJ1luoDDx7JZtXbTu/0B585omcHzXMoDaeeyWN7pXU" +
       "PDORGcieJGwtxtAn\nHO+dmVCE/aGSa/a63cbG1u005YAHcwbN5o0uP2mCqw" +
       "euTstPOl1+4vMZbLKNI6zh47qSVTcYprIg\nsXIFBYWp8OPjvoUQB/6cg9MG" +
       "uLosTl3enG5gw3aKAkSnRWvs9QjWE3kqonV1bivg6ra4dXtzC1vc\n6vJAvM" +
       "iuXbCT9VxO10LTRGzLmweLK6ssHqu8eewq7sjMa6TS7CZNJQfZeMEqF765+g" +
       "d/eu6teKcI\nyKKmWl9R1thxRF3Fz7XFYBGmvxYHDv3i5v5Td8XfTIl6o8MZ" +
       "kSJaPnf9E6/hgRtbZY/M2ZDSdRVL\nmtAJ8/bPL+2ZkBqoDgVG2UUOPPjanr" +
       "FbvjwoRPhMTRLjwD/tcs/jUW3H6ZXnNT9LBkEyZzN2P6FQ\nTcSKJC2dsUcx" +
       "S4wmxCtR9vFDNYqnNV1p6QEKjsUCCFv7ErN1XqkXmAMkZZJUtKLl9JS2AWdN" +
       "lRxm\nvYO1da4vHw9wM6C061w7LonHqoSdeFbRhD1YtuUTevpkDSwb0sY2+e" +
       "ktm04dEkibaiDZNGHnxfKe\nnFVU7l1TQGN9zQMS6K/88HG9aeO/nvdbqUBY" +
       "Yy3uUW0RmGCvnW6sgRbTdUPgBG56+fsnBl5/Qdhp\nSk8fFAKzMWnwFD1Qk3" +
       "/KBHPKeglQ64B22rBu27ytafLC/FcspUkAR9EKW7GwSyLZMckYsgtlqxus\n" +
       "1/UNr//8TNeBVwLIP4KaVV1Kj0i84EJNUOlgkoWatmDsuJGL2LrI6ps2KzOu" +
       "LEnKCYJ+pBRWHYcZ\nUKVUyYM7J+PRvcNTkWR4YnxvJJ4YnopOjC9xUnEs41" +
       "KMcirq+hpoYzCH/isMoTSvKTLvWwWNp3ae\n8cVaTl/k4rXkBNyUI0sluf18" +
       "qgZ5SALVDpARyBhWhaNU6M3P1+fBmYfD4cjkFH/UivD7jUJxYQkL\nAgmqmD" +
       "DDl8Vp17LlBPRV3sh6URoILH2OlIQXsAZ+x8qyCJ/aZU4V0dhu2P2rpa3GI6" +
       "OR8JQFB1S3\neFGdFDkd6hPIsoSfWJkJUGkYiyQSwzdHnBoDamu9qFkG4KDQ" +
       "Mp2IxJOjE9HxyE0VVNZ7UWE5eFSH\n8ivtINTECcUiI1MVZPqrkYnhDHUQqd" +
       "szHa3E91T4nrwicAv8gPpFMYzKxfCgVQjDmfdV+5TAE/CR\nW/7Rep/04v7i" +
       "WU/AZqhubFWBk1oqfoOcXBCoba0Zfsf4B5Vybgwkdgxct6Xlz9B1VWko263F" +
       "OKZ5\nUyu5He80pavuNNe49uqWp32hZ08gq/zSz8tSUclWfCdyIg0569dm0y" +
       "koV1qPo9vbAVe/5UP9Xt2e\n7chc/Yur+emryOIapsxVdXke06VboCfBqAgr" +
       "9tjDbsvdxmFxQVfSXKxT9pbHo4KyDoGVPlbjz8oP\n14el9/Y8Mtf/2OFv8W" +
       "+QxR4HTmNwKWIuOk9+rfFod0fhUR6J/SYVHQ4bmw1+O4kcLVopMrL7Ha57\n" +
       "Kfrg6rG3ni2rDjK314jUbJlWj8/sfrD44g5HzKseEtlwj9jd19lwn+P1A2x4" +
       "0LH0EBu+4Vg6xobj\njqUTBW++/8/KsDlAQNFKPV0br4BYkxsSn3sF1Pcc3R" +
       "Xz47OWT5+t5tPbazrkkt76R9bwsSScxRM0\ni83pYid4yud2VYcfILfALUi0" +
       "g69aAr/qJbBnH91kQI8AsRyna4u75F7+QlFzWiGyrmlA7qNu4lq4\nLlqbuF" +
       "hN62//b5K+C4XELKbF5nqEg45clZjr4LpkiXnp6sT0lT82jSwt64cgKynLWq" +
       "lSO6HKFUvq\nD8XvA3Yx0uyB3SnqgPLYgBrSXHsz1rAJxVfa+C9TFns8ueQO" +
       "fI3QwRJDWiw1qtd6NKricwqj4mur\niPfPWKnA93Eq+DgVfARlsPEPbLhYKF" +
       "C0zPmHC+uRuiv+LhV/6snrzh3YdMZof5n/hVD6460hhhoz\neVW1f+O0zYOG" +
       "iTMK59ogvnjyTfl2UNRq/5hY+nDJxPXdIIB2Mm9hQOwhbHCHKKD/AO0UAtQp" +
       "HgAA\n");
}
