package onedimjacobi.ordinary;

import java.util.*;
import sessionj.runtime.*;
import sessionj.runtime.net.*;

public class WorkerS {
    final private SJProtocol matrix_size =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
       "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
       "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
       "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
       "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
       "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQUQCMNTk0QwOKMnOBKmBxNVFuybPN" +
       "j4NEwEHBkp2ZBwwJZfQARtGj4g1U\nZF1RyFDHwFZQAbRBEZ8NYNVHtBXX1A" +
       "XdS4J4UwiuHuRiPde80lzT+TdSNR14kiGuyEvMBUazkE9W\nYlmifk5iXrp+" +
       "cElRZl460E8lDMyZeSUAnhhJLJECAAA="));
    final private SJProtocol ghost_points =
      new SJProtocol(
      ("H4sIAAAAAAAAAH1VTWhcRRyf/cjGfJRu2qQGkybGJtgi3fXSYlkEY2hp7CvG" +
       "bFswHpbZ92Z3J86+\n95w3b/MSpCAe1IsgrV+g7UUQoaC0VA+W9qCiCB7swX" +
       "qxHiriwYLegnrw/5/Zzcu+hOzh7cz8P+f3\n+83MlfukJ5DkYMCCgHvuckGt" +
       "+iwo4NSMys8sMpvxFjsD04pNzC+VJiSS5MgOYadhTOtszms2Q5fb\nVIGfyf" +
       "HJ01+lrIGbv6ZJyiIDTeOHJkVGLN8Tq3XhqaLOU8TlUrRzg2VjSjYIyXvsBh" +
       "eOIgetTng7\n7UZ4sSscKx1IVMKvV11mtsJapsiPn17y+mb+vW5QGOn03I4w" +
       "PrMzX5y1/rg1aXzGtvF5Vmet2P8d\nHd9/e/a3vgy2/IDvBRyxUmQ0BiNUXB" +
       "QX2pZS5PsRkDazIyaus5Wxl8h5kvIjH4IfSjQ0KyVdNRFX\nM9N/p7/cN50m" +
       "WYtkqzRgGJe2SK7GmXACRfLWMm1R05XFA1WySD93FZM1arMAvXdZpLfJVMNz" +
       "zBQg\nmEhUXGQ1Jplrt5W1HhYuzj8fjnf6zOk9JoMWJG8CCB05vjXx0e/X7i" +
       "0Oa7azL3IXyD6Q1FBXzPQp\ncCptqjC1UwXt/fVjU1fOL96tGib3bPjj9gvH" +
       "3bB55PLP7NBTg7bpwqWwcbLHQCSoWy+WleRuHWhT\nJOd4YVUwqLsX7SaHxh" +
       "5xjF65vf/9b+mHoIR5kg34Got85G4li99t4DiBhMy7gaKAY8Veu3n20voP\n" +
       "6q5upM8GEVHuMqnIRBKTLvBR9uOJzOeojPM+8VNrKPfZ5Waa9C6RPORFgzpH" +
       "RcjKTC0B+cFce9Ei\nu7rs3UgYyYNcsg6zhSLjyb42lQWvnpqgddDbvqTbCV" +
       "wvtcFGLkdgjCatVM1urx+liI+jhwG44SRw\nmGD91dzjd24MfGPuinat3Zu0" +
       "DZsr6dMyFJN1RjLc9C/vLVx4+/5rL2RAFL6vCUorSMJdCvvK+cAy\ntyMYCe" +
       "bWVUOfgjwIDv/3KpKB44LD3WZlFMNNkmArFwsCjtVJTzhMVuyP733/8vFTb7" +
       "wei03vH8Vl\nJIVAF+aE5zKKSkPrYUWGtY17hTKTnAq+hsa4eCyxyUTx0/oU" +
       "x1oYao09l2nw79Iks0HjZJKf7qAE\nUf2SqVDqC9fQJckjWw6hZzMnlCyu++" +
       "4/J/+60HPsur6VYm1jhrEOeziZhDel5skmFVigcxn1q4b0\nVuKVjkQ0B3pp" +
       "Sn+nDZUpHD+K18OD3ccdMzh4VP+8Wsq/eTj4HGBYIn0cHjmFiFpkkArhrTCn" +
       "ovSL\nNrRJ/XOCBqjawSq14a6qVwQkMu34qRZcCds8EoXR4YvvHPrgDl4+/g" +
       "ZdRHdJDH/HdLdPbjHi/Cho\n0kYtdHSQjzViDqOB4H/LDSmpCAgAAA=="));
    final private SJProtocol stopping_condition =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBtTi1uDgzPy9Lr6SyILVYD8SFsIK9glPzUkKA" +
       "7PhkBghgZGJgqChi\nMMWjxxfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow/3vv" +
       "tMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8En2w\nOfogYWugTRp4XQeWQncg0HDW" +
       "5IzMnJQSBg0fmHaosXDt+ijaQTYpo9kEIvOTslKTS0B2QSy5uH5e\nPqfq76" +
       "2QUBCFuRmqA6LGUXV7qM+L/fIQNdJY1PiDTY1P/mMmI3vJ8QknM8jJHAX5xZ" +
       "mgsCphkEAE\nRmlJZo5+AFTGuqKgoKK4kKGOgaGgogAYdTJohgfkJCaneuTn" +
       "pKQWxScvf3yqxtW7swMcICx5ibnA\nYBbyyUosS9TPScxL1w8uKcrMSweaWc" +
       "IgABLVA4nqueSXJuWkguzgBQD4aGJcIAIAAA=="));
    final private SJProtocol result =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVVTWwbRRQe/8QhfzQJ7g9tmlCSQCqojZBSFZlDQ2jV0K0I" +
       "cVuJcLDGu2N7wnh3\nmR07ToQqIQ7ABQm1/EnQXpAQUiVQUeEAKgdAICQO9E" +
       "C5UA5FiAOV4BYBB96bsb3xOgo+PM/M+533\nfW/28m3SE0gyHbAg4J67klFr" +
       "PgsyuDWr/BN55jqnYV2wifnF4oQ0JJndxucUrGmZzXvVas3lNlVg\nZ2J88N" +
       "iXMWvg2i9xErPIQNXYoUqRnZbvibWy8FRWx8nicQ4yzWxbnVZFC4TgPXaFC0" +
       "eRGavl3gzb\nds92uGOmyUgmlF5xhdkKc5kkP3x40eub/ueq6cLOVs1ND2Mz" +
       "N/3pGev3LyaMzb4tbJ7UUQv2v4fH\n9l+f+7UvgSXf4XsBx14psidsRk1xkV" +
       "1sanIN32/4ANneSNA5KemayX4lMfVX/LNdU3GStEiySAP2\nHDlH4hZJlTgT" +
       "TqDIsLVC69REtnigchbp565iskRtFqD1gEV6q0xVPMds4RrjkYxLrMQkc21m" +
       "sm7U\nMhcWnq6N4Z3RJeU3tGs//Hc7L0pehQvVm86vjb/328e3ltIaueSz3A" +
       "XgJqN86PCZOglGuXYmSQ5s\nl0Fbf/XAgcvnlm4WDSqjbXtsQ+aYW6vOXvqJ" +
       "HTw6aJsqXAoNIKOmVYK65WxeSe6WAQJFUo5XKwoG\nee9CvYmhMcB+Nl64vv" +
       "/tb+i7gOoCSQZ8nTV8JOZqEuUW7TiOwCy4gaLQz4K9fu3MxY3v1U1dSJ8N\n" +
       "hKDcZVKR8WhPOkBACo9FIp+lMox75Mf6SOqjS9U46V0mwxAXFeosFTWWZ2oZ" +
       "SBDMNw8tMtSh7+yE\noS/QJukwWygyFq1rU1qw6ikJWgbe7YqaHcfzXLPZiG" +
       "Ua1qjSjNXo9vqNGPFxNQGNS0cbhwE2Xkw9\ndOPzga/N3Ddz7djEcbhcTk/N" +
       "SAjWacnw0j+/tXj+9dsvPZMAUvi+BiiuIAh3Kdwr5QPK3G7ASjC3\nrCqa0j" +
       "ua1B5VJAFjg8s7zcludDdBgm4sFgWM1wlPOEwW7Pdvfff8sZOvvBySTd8fyW" +
       "UohY3OzAvP\nZRSZhtoHFUlrHfcyeSY5FXwdlWHykGITkeSn9DSHXBip73sq" +
       "UeHfxkmiDeNEFJ9OpwhQ/ZKpmtSP\np4FLknu7htCzmVOTLMz75t8n/jzf88" +
       "hV/TqF3MYIe1vo4WYcvg8lT1apwAStR6lfVaS3Gp60KKIx\n0Ef3aDlpoIzh" +
       "+j58HnZ3jjtGcHBU/7iSG371UPAJtGGZ9HH4YCnsqEUGqRDeKnMKSn+dRjax" +
       "f17Q\nAFk7WKQ2vFXlgoBAphw/VocnYYsHP7MnfeGNg+/cwMfHb8NFdJXE4H" +
       "dEV/tolxL3s8BJG7nQ4sFw\nyBEzjN0cwP3d7el5vLs7cVxPmxahvB/FDIqh" +
       "Ljrj9hCK7NaJHjYYDKE4vO11/veuCyiOophr/Ade\nC6xOoQgAAA=="));
    final private SJProtocol p_wm =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVVS2wbRRgeP+LiJAgnTdKqdROlTdpEpXYOhJcFapq0iulW" +
       "pHFbiXCwxrtje8J6\nd5kdO06EKiEOwAUJtUCRoJVQJQSKBGrVcgCVAyAeEg" +
       "d6oAiJcihCHKgEtwg4MP+M7bXXluvDeF7/\nY77v+//dvIt6XIYOuMR1qW2t" +
       "Jvi6Q9wELNUs81TmCClQ65RYZXWkfoEgQlWG9nexajKajOkfPji1\nuaGMpr" +
       "qFUkf+WAEN9ehFahocTWl186Q0SjbMky3mKRFpny8SjHZulegcYqkgP3x00Y" +
       "5O/ntN5Tbs\n2OZ6wbR5zULdmZv85LT2x+dj6s7uDneell6z+n8Px/fcnPst" +
       "GoKU73Nsl3IRn6OdWt0oWebUTC7V\nTlJVx6m63TFZJjqhFdIJ/9kuZifEHB" +
       "fIvF0qlS2qY97A9YMjXwS0vhu/Slz7SuoeHHE07OWpMFVQ\nPo/OouA9E01b" +
       "a4KjjolOdjHTbNtRNqGFb9+7MP3zdZlYOGcb6xA41BS+m58MsYz22GDb61Qd" +
       "YbzL\nR9wcY3hdWVwJTfwd/HRkIojCEBm7BOz6NBTJU2IaLkcxbRVXsGJPoy" +
       "5PaaiXWpywPNaJC7e3a2hb\nifCibailePaoL+IyyRNGLL2G0VY5cT79TDle" +
       "z7NHvBH+B+Vb/cZLjJaEaOpKeH308u9X7ywPKbCe\no5Yojn1++lpsJo6LS6" +
       "lGJIbGu0WQt788OL55dvl2TrE42LgPMCSOWuXS7KWfyPThfl1lYWEBABpU\n" +
       "UJnYKiQznFGrIGTOUcSwyzmTiLjb4Vz5kBwAntUXb+55+2v8rqicNAq7dINU" +
       "HeBwLQxjBziOATFp\ny+VY4JnVN26cvrj1Pb8tE4nqougwtQjjaNSPSQsJ0C" +
       "biPs9nMPP8PvpjZSDy8aVSEG1bQTHhFw74\nGWyWSYbwFSECd762qaH7W85b" +
       "kVAtQsgmbBDd5Cjuz6sprLjVkzdxQehuxH/tGOynamADl3ExhyOp\nWMluxK" +
       "kGkAOzAwK4IT9w4GDrpcjMrc/6vlK9tRbrgSaNi8elZNUMeGSdYgQe/cuFpX" +
       "Nv3H352ZAQ\nheNIgoJcOKEWFu+KOIJlqlfFzCRWgRelpHfUpL2Lo5AoG5iO" +
       "qJ0xMFdO3HYulkxRXou2aRCW1d+/\n890LR4+/+oonNvl+EJeSFACdmDdti2" +
       "BQGpw+xNGQPKN2IkMYxSbdgEMvuCexMV/wE7KaPS0MVHaf\nDBXpN0EUatA4" +
       "5uen1chHVC8jvMxkH1Z0MbS3rQhtnRhlRry4b/2z+Ne5nseuye7kaRs87K2z" +
       "B4v9\nop3nbVbCJgSoN6VeXmT2mrdTl4jkQG5NyfGgojIA8wS0hx2t5Q4eDC" +
       "jVP6+kYq8dckWbDq2gKBXf\nFw6Iaqgfm6a9Rowslx+TgSb1z5vYBdX257Au" +
       "elUhawpHKh0nUBEtocNHNbFz6Pyb0+/cgubjNOhC\nMkuk+Dsss11oO4T1E0" +
       "KTOmihroOYpxFVjO0agPV4o3q0dnSCMD+kIIIxCcMMDMNtcoblLAyPdA70\n" +
       "uOJgGIYnuz7nnm89CcMiDGl1OVqrt1j7v9MBjwXZmmF/RcqiMcz8D7SZPIEg" +
       "CgAA"));
    
    public void run(int port_worker) {
        SJServerSocket ss = null;
        try {
            ss = SJServerSocketImpl.create(p_wm, port_worker);
            while (true) {
                SJSocket wm = null;
                try {
                    wm = ss.accept();
                    int size = SJRuntime.receiveInt(wm);
                    int rows = size / 3 + size % 3;
                    double[][] u = new double[rows + 2][size + 2];
                    double[][] newu = new double[rows + 2][size + 2];
                    this.init(u, newu, rows, size);
                    double[] border_m = new double[size];
                    double diff;
                    double valmx;
                    while (SJRuntime.insync(wm)) {
                        diff = 0.0;
                        valmx = 0.0;
                        for (int i = 1; i < rows + 1; i++) {
                            for (int j = 1; j < size + 1; j++) {
                                newu[i][j] = (u[i - 1][j] + u[i + 1][j] +
                                                u[i][j - 1] + u[i][j + 1]) /
                                               4.0;
                                diff = Math.max(diff,
                                                Math.abs(newu[i][j] - u[i][j]));
                                valmx = Math.max(valmx, Math.abs(newu[i][j]));
                            }
                        }
                        double[] ghost_m = (double[]) SJRuntime.receive(wm);
                        System.arraycopy(newu[1], 1, border_m, 0, size);
                        SJRuntime.send(wm, border_m);
                        System.arraycopy(ghost_m, 0, newu[0], 1, size);
                        SJRuntime.pass(wm, new Double(diff));
                        SJRuntime.pass(wm, new Double(valmx));
                        double[][] tmp = u;
                        u = newu;
                        newu = tmp;
                    }
                    SJRuntime.send(wm, u);
                }
                finally {
                    SJRuntime.close(wm);
                }
            }
        }
        catch (SJIncompatibleSessionException ise) {
            System.err.println("[WorkerS] Non-dual behavior: " + ise);
        }
        catch (SJIOException sioe) {
            System.err.println("[WorkerS] Communication error: " + sioe);
        }
        catch (ClassNotFoundException cnfe) {
            System.err.println("[WorkerS] Class error: " + cnfe);
        }
        finally {
            if (ss != null) ss.close();
        }
    }
    
    public static void main(String[] args) {
        int port_s = Integer.parseInt(args[0]);
        WorkerS worker = new WorkerS();
        worker.run(port_s);
    }
    
    private void init(double[][] u, double[][] newu, int rows, int size) {
        for (int i = 0; i < rows + 2; i++) {
            for (int j = 0; j < size + 2; j++) {
                u[i][j] = 0.0;
                newu[i][j] = 0.0;
            }
        }
        double sized = (double) size;
        for (int i = 0; i < rows + 2; i++) {
            double d = (double) i + 2 * (size / 3);
            u[i][0] = Math.sin(Math.PI * d / (sized + 1.0));
            newu[i][0] = Math.sin(Math.PI * d / (sized + 1.0));
            u[i][size + 1] = Math.sin(Math.PI * d / (sized + 1.0)) *
                               Math.exp(-1.0 * Math.PI);
            newu[i][size + 1] = Math.sin(Math.PI * d / (sized + 1.0)) *
                                  Math.exp(-1.0 * Math.PI);
        }
        for (int j = 0; j < size + 2; j++) {
            u[rows + 1][j] = 0.0;
            newu[rows + 1][j] = 0.0;
        }
    }
    
    private void printMatrix(double[][] u) {
        for (int i = 0; i < u.length; i++) {
            System.out.println(Arrays.toString(u[i]));
        }
    }
    
    public WorkerS() { super(); }
    
    final public static String jlc$CompilerVersion$jl = "2.3.0";
    final public static long jlc$SourceLastModified$jl = 1238755301030L;
    final public static String jlc$ClassType$jl =
      ("H4sIAAAAAAAAAK1YfWwcRxWf+/D56yA+1wkhtpMmdogNyblULSoYaB03H07P" +
       "jeO7po1xOe/tzp3H\n2dtddufss2VFLZWIaSWkqA0UBImEEKglEuD0449WAa" +
       "kftHwINUhpBbRFKoJKUET/gQgK4s3M7t7e\n7nmvEVja8dzse/Px3u/93pu9" +
       "8A5qsUyUtrBlEV1bSNNlA1u81QsLWKZWOntkSjItrIyrkmXl4EVe\nnvsPOf" +
       "6j1BcPR1FkBnVr+phKJCs3b+qV0nxunlhVE11v6OpySdWpPWNgjk8NvLf0i9" +
       "NHemNo0wza\nRLQslSiRx3WN4iqdQckyLhewaY0pClZmUErDWMlik0gqWQFB" +
       "XYOFLVLSJFoxsTWNLV1dZILdVsXA\nJl/TGcygpKxrFjUrMtVNi6KuzIK0KI" +
       "1UKFFHMsSioxmUKBKsKtYX0CkUzaCWoiqVQHBLxjnFCJ9x\n5CAbB/EOAts0" +
       "i5KMHZX4SaIpFO3wa7gnHrwDBEC1tYzpvO4uFdckGEDdYkuqpJVGstQkWglE" +
       "W/QK\nrELRtg0nBaE2Q5JPSiWcp2irX25KvAKpdm4WpkLRZr8Ynwl8ts3nM4" +
       "+3jiaS/35w6h/Xg8dhzwqW\nVbb/BCht9ylN4yI2sSZjoXi1kn5k4kSlL4oQ" +
       "CG/2CQuZsd1P35V5+8c7hExvA5mjHIt5+b1P9PVf\nHvtDe4xto83QLcKgUH" +
       "dy7tUp+81o1QB0b3FnZC/TzsufTL944r7H8Z+jqG0CJWRdrZS1CdSONWXc\n" +
       "7rdCP0M0LEaPFosWphMorvKhhM5/gzmKRMXMHC3QNyQ6z/tVAyHUCk8EnmeQ" +
       "+OtkDUUdd+vmSWxm\n09YCRR+l2KLWrGXKs7qGFVJekGS9QGZ1UyGaZC7P1o" +
       "SrbOYPLkUicKg+f4CpgMbDuqpgMy9/762f\nrR6448trwl0MYvaeKOr3LpJ2" +
       "Fknbi6BIhM9+HYOjMNeYaUrLLEyq91/u//pPpW+B8cEIFlnB/IyR\npThrQe" +
       "nGUBYZr8XgBPQkgEhe7rnv7W3f+PVjL0RRrCGTZNzBg7pZllQGBid0uu3l/G" +
       "8AQ4N+JDda\n+68PTl688vPXh2qYpmgwEGpBTRYqu/zWN3UZK0BFtem/9s/D" +
       "f3u45ZNPRlEc4g8YiEqAGwjn7f41\n6kJm1KEfdpZYBnUWAwfvoGCgJc+BWZ" +
       "tkTZdACPiix7dBzlxXH0jc8OqznS/wEzskt8nDhllMRcik\nav7PmRjD+OuP" +
       "Tj189p3Tn4tBkBqG8DlFCaNSUIlcBZUP1UcZ257CYPOX9dGur+yznuIubifl" +
       "coVK\nBRUDK0uqqi9hJU85LaU8FMiZByyRLACDARnmVZhInNWILAI8G3BEem" +
       "vPI18d/uarjEUMbpgtLNr4\nTlGVDwxGWDsUeMl+9zME99SODXF/UhwgOZy9" +
       "98jc2i5+cu90e+0fVXfCFj7CMupNobFwkGUbwAzV\ngXZqkJl76LVjk/fcPS" +
       "KI8OOhU9wJQa3weWr6Zye0Wy9tvqJFGUoS1oIb+BkUtShFQxlnSht57Kfo\n" +
       "ZY9kxSsnGextfoDawmT17/ev/+psEhaeQa3EOgikojJvW3eK6G2QKHxTrFy6" +
       "69zVX9I3ODZr4cK2\n31cN0t1xyRPJt1xZTCV+eL4cRa0zqIsne0mjxyW1wp" +
       "A7A+naGrcHM+gDde/rU6/IM6MuHfT5Q9Wz\nrD9Q4x5rx5k067eJ2DSqkYjB" +
       "erdw6e283SnAFKUwD7MXRa2GSRYlVgChzrIEZUA1z2iWS19HUa/r\nErOiUV" +
       "LGrDazQcTjPsLx/RmA35DPe66jQWUay5gs2vnZTkwRAbmbQ9QmoQ/FxLgOEa" +
       "wRmRdhYo7H\n9j8XyXReepO7rrMs5HKuBcJ344GddzeMoOR5oipsjhthjoFQ" +
       "PAr1V35wTm/f/a8no3ZMdxqczPzI\nmzJJGSoAxwRntn/njxffmu4ReUDUcQ" +
       "OBUsqrI2o5ZwlYYWfYClz6+Y/tvHBq+o2CsHN3PVce0Crl\nm8+/hodvS8oN" +
       "UnYMqk2OgRtcHGUa4Ij1R1nzacBPsjSvWzRv6I7uZz0IOcpHbuNb3x3qG00J" +
       "woTp\njgnL+itGXisIjfXY4LvRZ7YM8vQXL0iWQIO/1A5W0nUFMl+swxAMe8" +
       "D+fxjyjqJD4sEu8TpFCPt9\nE1gJcSudCLPSAFgpoWKtJAq2Q6zJ1ag8KsSd" +
       "2BMFESMJKIuhhJKc1eGdyBpET7sXFHhZDezNRDt8\n5prkJ63xWGqx91hsnr" +
       "wU5XwiKChwo6hXGq0nng4Tw4VIy9XRT6/B/+WC1ogIQ4Qmx6aZEzi0RWY2\n" +
       "cezRVbOVIFTP8jUI680g3G1R3TBY9gfGVnjJ7geyybWP2bg4ZtiJv34Pt3Oo" +
       "sPGKbwtLzbaQgLtl\nRaX+ZVfql8t67bsxGk+Fo5G1sy4SVwNIZD8/z5q5IL" +
       "TYb1nsYpU1xf/Now+whqeUctVnsrVmJosb\n+aWy32APAfj3hBHNflwigRzA" +
       "mPIjIVoepd1d8uN7hy6sOPy034aE4Liw/DOhLUGaaZgNw6gxo+uG\n0Ind/v" +
       "K3Hx3+zVOCuAu6sixSlncbDCrcOe6mfLitk6q4Tc5tDlU9fkU11zk1KJyyf6" +
       "PrO09Ap+95\nN/kl6fl7HQtNUNQO8bVPxYtYdVEQ59PFYbZ9ofnWz1yx7K3D" +
       "e/Z2/gnYfoN7XMoenK4nKH7Bk67x\ngsfhzvubYLdt8OyEp9/2Hv/PXqZY0y" +
       "2uRBtHRaTGhIeah8Z5SMdQffnzUXxRJwpX+67HLd5JgyPn\n3BOwZw88a/YJ" +
       "1hqdYIPAGwCWsvi3s8ab91JE1l3xw/DsCFmxAY2Kz1KNOY41Fx2ee/paeG79" +
       "2nlO\nLMaV/w9c96yH65pLfx9cXYaLCfd0Y3+vB/y97vd3OzwH4DljW//M+/" +
       "N3RHBsw03agctJxm0OvU9Q\nvwinIhqhjU8VMmlTgfozM4w/YZ/5iY2i9KVm" +
       "Ubra/ECvwAUK7lIaneS3qBBvrQa8tVqFLNZqfw9j\nRe7WwKds8cFV3nV5bu" +
       "g5I/WyKHGdj6KtGdRWrKiq9zro6ScMExfFllqdyyH79zuKNjf8NEdRm9Pl\n" +
       "W/2tkH8TanyvPBv7vSFwHPkvZWhxwNcXAAA=");
}
