package schat.client.net;

import java.util.*;
import sessionj.runtime.*;
import sessionj.runtime.net.*;
import sessionj.runtime.transport.*;
import schat.common.*;
import schat.common.events.*;
import schat.client.*;

public class AcceptorOutThread
extends SJThread
{
    final private SJProtocol
      p_private_event_out_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBszi1uDgzPy9Lr6SyILVYD8SFsIK9/EtLyjMy" +
       "c1JDgPz4ZAYIYGRi\nYKgoYlDFo88nP78AoofZ5eSiGZq3tjExMPowsCTlp1" +
       "SWMGj4wLTqgzXow7XqB3sFQ6RAuq2Btmjg\nsQVJKbLjgBaxJgNdnVLIUMfA" +
       "BDRDGc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLV\nAVHjqL" +
       "o91OfFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pS" +
       "WZOfoBUBnr\nioKCioJi/IEanJqXgi0iTPHo8QWyE9NTnfNzc0vzMpMTS+Dh" +
       "tdLpMKMP97774PDizoWoA0mVMIgi\nXAmJFUhkgIKTGeJMGTS/B+QkJqd65O" +
       "ekpBbFJy9/fKrG1buzAxLleYm5QCOFfLISyxL1cxLz0vWD\nS4oy89KBXi5h" +
       "kC1Ozkgs0UsGOi8/Ty+1LDUPGCXOQCFXEBMAlpCSuaECAAA="));
    final private SJProtocol
      p_private_event_in_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9PPPKMzJz" +
       "UkOA3PhkBghgZGJg\nqChiUMWjzSc/vwCih9nl5KIZmre2MTEw+jCwJOWnVJ" +
       "YwaPjAtOqDNejDteoHewVDpEC6rSvwOw5J\nKbLjgBaxJgNdnVLIUMfABDRD" +
       "Gc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLVAVHj\nqLo91O" +
       "fFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pSWZOf" +
       "oBUBnrioKC\nigICcRGUmpyaWYY1LkzxaPMFshPTU53zc3NL8zKTE0vgQbbS" +
       "6TCjD/e+++Ag486FqANJlTCIIhwK\niRhIfIBClBniUhk07wfkJCaneuTnpK" +
       "QWxScvf3yqxtW7swMS63mJuUAjhXyyEssS9XMS89L1g0uK\nMvPSgb4uYZAt" +
       "Ts5ILNFLBjovP08vtSw1DxgrzkAhVxATAAgOt3WjAgAA"));
    final private SJProtocol
      p_ar_private_main =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
       "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
       "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
       "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
       "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
       "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQAYw0TTxh4l9aUg70O9ZYU8Wjzyc/" +
       "vwCih9nl5KIZmre2gQOSJSk/pbKQ\noY6BpQJEMhdUFBTjNyg4NS8F03KQZk" +
       "aIZhm0EAnISUxO9cjPSUktik9e/vhUjat3ZwfE8rzEXGDa\nEPLJSixL1M9J" +
       "zEvXDy4pysxLBwZECYNscXJGYoleMjCd5efppZal5gEjyhko5ApmFjGo43Gl" +
       "s1Nq\neiZGygEFkhoeXUiaVAWSV+lorKmCeY4ZHDP4UqtnHo6IAWnnBoUNiM" +
       "EAZIBoQQBxLnPaoQMAAA=="));
    private ChatClient
      client;
    private Integer
      acceptorId;
    private Integer
      requestorId;
    private AcceptorInThread
      ait;
    private List
      events =
      new LinkedList(
      );
    private boolean
      run =
      true;
    
    public AcceptorOutThread(ChatClient client,
                             Integer requestorId,
                             Integer acceptorId) {
        super();
        this.
          client =
          client;
        this.
          requestorId =
          requestorId;
        this.
          acceptorId =
          acceptorId;
    }
    
    public void
      srun(
      final SJService c_ar_private) {
        ChatClient.
          debugPrintln(
          "[AcceptorOutThread] Acceptor out thread started.");
        SJSocket s_ar_private_main =
          null;
        try {
            s_ar_private_main =
              c_ar_private.
                request(
                client.
                  getSessionParameters());
            ChatClient.
              debugPrintln(
              "[AcceptorOutThread] Acceptor out thread connected .");
            final SJService c_ar_private_in =
              (SJService)
                SJRuntime.
                  receiveChannel(
                  s_ar_private_main,
                  ("H4sIAAAAAAAAAFvzloG1uIhBvTi1uDgzPy9Lr6SyILVYD8SFsIK9nJ1S0zPz" +
                   "QoC8+GQGCGBkYmCo\nKGJQw6MLSZOqQPIqHY01VRBNGng0BUOk0O1i9GFgTc" +
                   "7IzEkpYdDwgWnXB2vSh2vXR9FuDbRJGc0m\nEJmflJWaXAKyC2LJxfXz8jlV" +
                   "f2+FuE20ID+nMj0nvwSqA6LGUXV7qM+L/fIQNdJY1PiDTY1P/mMm\nI3vJ8Q" +
                   "knM8jJHAX5xZklQPtLGCR8YJr0S0syc/QDoDLWFQUFFcX4w8Qzrxzo9VRs4a" +
                   "+KR5tPfn4B\nRA+zy8lFMzRvbQOHI0tSfkplIUMdA3MFiGQqqCggYH9QanJq" +
                   "ZhlW+03xaPMFshPTU53zc3NL8zKT\nE0vg8brS6TCjD/e++2D3cOdC1IGkSh" +
                   "hEEeEEiVNIVCK5VAYt9ANyEpNTPfJzUlKL4pOXPz5V4+rd\n2QHxaV5iLtBI" +
                   "IZ+sxLJE/ZzEvHT94JKizLx0YKCXMMgWJ2ckluglA52Xn6eXWpaaB0wUzkAh" +
                   "VxAT\nAO3e7JQWAwAA"));
            ChatClient.
              debugPrintln(
              "[AcceptorInThread] Starting acceptor in thread...");
            ait =
              (AcceptorInThread)
                new AcceptorInThread(
                  client,
                  this).
                  spawn(
                  c_ar_private_in);
            while (SJRuntime.
                     outsync(
                     s_ar_private_main,
                     run)) {
                ChatEvent e =
                  this.
                    nextEvent();
                ChatClient.
                  debugPrintln(
                  "[AcceptorOutThread] Sending event: " +
                  e);
                SJRuntime.
                  send(
                  s_ar_private_main,
                  e);
            }
        }
        catch (SJIncompatibleSessionException ise) {
            System.
              err.
              println(
              "[AcceptorOutThread] Shouldn\'t get in here: " +
              ise);
        }
        catch (SJIOException ioe) {
            client.
              reportError(
              "Private conversation error.",
              "Problem communicating with (" +
              requestorId +
              "): " +
              ioe +
              (". This could be due to a private conversation request that c" +
               "ould not be satisfied."));
            ChatClient.
              debugPrintln(
              "[AcceptorOutThread] I/O error: " +
              ioe);
        }
        catch (ClassNotFoundException cnfe) {
            System.
              err.
              println(
              "[AcceptorOutThread] Shouldn\'t get in here: " +
              cnfe);
        }
        finally {
            if (ait !=
                  null) {
                ait.
                  disconnect();
            }
            ChatClient.
              debugPrintln(
              "[AcceptorOutThread] Acceptor out thread stopped.");
            SJRuntime.
              close(
              s_ar_private_main);
        }
    }
    
    public void
      disconnect(
      ) {
        if (run) {
            ChatClient.
              debugPrintln(
              "[AcceptorOutThread] Told to disconnect...");
            this.
              run =
              false;
            synchronized (events)  {
                events.
                  notify();
            }
        }
    }
    
    private ChatEvent
      nextEvent(
      )
          throws SJIOException {
        synchronized (events)  {
            while (events.
                     isEmpty()) {
                try {
                    events.
                      wait();
                }
                catch (InterruptedException ie) {
                    throw new SJIOException(
                      ie);
                }
                if (!run) {
                    ChatClient.
                      debugPrintln(
                      "[AcceptorOutThread] Creating quit event...");
                    return new QuitEvent(
                      this.
                        getAcceptorId());
                }
            }
            return (ChatEvent)
                     events.
                       remove(
                       0);
        }
    }
    
    public void
      queueEvent(
      ChatEvent e) {
        synchronized (events)  {
            events.
              add(
              e);
            events.
              notify();
        }
    }
    
    protected Integer
      getRequestorId(
      ) {
        return requestorId;
    }
    
    protected Integer
      getAcceptorId(
      ) {
        return acceptorId;
    }
    
    public SJThread
      spawn(
      final SJService c_ar_private) {
        new Thread(
          ) {
            
            public void
              run(
              ) {
                AcceptorOutThread.this.
                  srun(
                  c_ar_private);
            }
        }.
          start();
        return this;
    }
    
    final public static String
      jlc$CompilerVersion$jl =
      "2.3.0";
    final public static long
      jlc$SourceLastModified$jl =
      1238676054851L;
    final public static String
      jlc$ClassType$jl =
      ("H4sIAAAAAAAAALUZfXAcVf3dXXKXL9pcSEubzyZpJJHmYh3rKGGEEBt67ZWk" +
       "uVAgpnPZ7L5LNt3b\n3e6+vVw6iEVnaC0zMpYWCigwwowD0xkVBvjHqYyAiu" +
       "I41rEwzhT/wFFGhBH/kI4i+nsfu7e3d7k0\nOmbm7b197/f99X5vc+49VGtb" +
       "KGFj21YNfSlBVkxss6cxv4RlYifSeycly8bKmCbZ9jRsZOS5j9WD\nP4h/dU" +
       "8YhWZQi26MaqpkTy9ahrOwOL2o2gULbTMNbWVBM4igWEbj+r6Pll8/vrc9gj" +
       "bOoI2qniYS\nUeUxQye4QGZQUw7n5rFljyoKVmZQXMdYSWNLlTT1KAAaOjC2" +
       "1QVdIo6F7SlsG1qeArbYjoktxtNd\nTKEm2dBtYjkyMSyboObUkpSXhh2ias" +
       "Mp1SYjKRTNqlhT7CPobhROodqsJi0A4OaUq8Uwozg8TtcB\nvEEFMa2sJGMX" +
       "peawqisEdQcxPI237wMAQI3lMFk0PFY1ugQLqIWLpEn6wnCaWKq+AKC1hgNc" +
       "CGpb\nlSgA1ZmSfFhawBmCtgThJvkWQNUzs1AUgjYFwRgl8FlbwGc+b01Em/" +
       "51cvLDbeBxkFnBskbljwJS\nVwBpCmexhXUZc8TLTuJ08k6nI4wQAG8KAHOY" +
       "0f4Xb0u986NuDtNeAWaCxWJG/uizHZ0XRv9QH6Fi\n1JmGrdJQKNGceXVS7I" +
       "wUTIjuzR5FuplwN1+a+smdx57B74ZRXRJFZUNzcnoS1WNdGRPzGMxTqo75\n" +
       "6kQ2a2OSRDUaW4oa7B3MkVU1TM1RC3NTIotsXjARQjEYIRhPIf63kT4Iah2V" +
       "ZWxCME44BNIGS0rC\nXiJomGCb2LO2Jc/a8qJEZmVNxTqZ1TGZrYRRoIw2LI" +
       "dCoGNHMN80CM49hqZgKyN/9+2f37V739dP\ncO/RiBMiEtTLOCU4pwRwSpRx" +
       "QqEQY3E1DVFuwlHLklZo6hTuudD58E+lb4NDwDC2ehQzvUPLNfQJ\nSJ+uWl" +
       "nGinmZhJkEYZORW4+90/bIb55+NYwiFatLylscN6ycpNEAcdOpRbAL7kBcbQ" +
       "9GdyXe75/c\n/9zFX1waKMY5QdvL0q8ck6ZPb9AFliFjBcpTkfxD/9jz1wdq" +
       "P/98GNVATkJVIhLEEqR4V5BHSRqN\nuCWJ6hJJocZsmeINBAy07FOYPpvYnA" +
       "ZdHQxIL/RJEYj99EE34/TRwiMJ3NUa0IEVvMtfi37qjR82\nvsqM4tbGjb4i" +
       "msaEZ1q8GCLTFsawfuns5ANn3jv+pQjktmnysCAoajrzmioXAOWa0uSkGig0" +
       "sv7y\n7EjzN4bsF1gU1Ku5nEOkeQ1DMZc0zVjGSoawahb3VU5WsMBYTfNQ+K" +
       "CGZjQgxM1hhvIQwRVKS2JL\n6+kHB7/1Bi0+JrPXZpAxwiSNsPerCbqmJEvG" +
       "YD7Gpu4+15vKkEjCybCALboxVGD7/SH6HPRoI0Yb\nMZt30hxpLVoNqs1hrn" +
       "/TYPrQ3rkTvcxwXBqKcB0j7KO+s/JewWNXzwDqgc+Oqrk4Tk/AYqiqd/39\n" +
       "nmd/daYpjMIzKKba46ouadQT9q08+SrU/gCJo+dve+zyL8lbLG6K0U4F6yiU" +
       "l6yDki8RP3cxH49+\n//FcGMVmUDM7vyWdHJQ0h0bVDJzA9phYTKGrSvZLT1" +
       "N+dIx42dwRzDQf22CeFUslzCk0ndcFUqse\nRjuMNpFabYHUCoVMOrmeIXSz" +
       "Z6+XCDHTUvMSbXngBGIh5TlyA0IMeFcJpw4xkPtbzukm+riBoAZJ\nVPKk4g" +
       "VGZaKdYiD3t5zomCDaaOEjDhxTV0C1C0a3oNpdmeq4oBqRVC+XelY9kZI6P5" +
       "BWZzkAo0ew\n7KnMcp9gGcV5msAu1w3+HORFY3UH9AkWfZVZTLpaWY5ul2fJ" +
       "pKXmoAHJiw7pm11P/fG5t6da+ZHD\n28i+sk7Oj8NbSRaGjSatoT3VODDoV6" +
       "7rOXf31FvzvMVqKa25u3Unt+vxN/HgTU1yhRYhNm8YGpZ0\nbhNasD6zdiGB" +
       "w48Y0FMVM3ruvjcP7L/j9mEuws6qJG4F/kqgmpxJ6jee33RRD9PjLmov+XIz" +
       "bBOC\nBlIuSWEz+spn6b1pvsU7XeZU0/XWofLEDBOoA7Te0bUvQG62mRmRqB" +
       "kWNhnozDPQA2Ap5wZQu6cQ\neJ2oOUwvTsIIzHIhdgxIYL7BgO6eoIACXdfy" +
       "IvSTPDZEnIW4zfqr4KUMw+Q4kS++9p2zg797gXty\n3lBWKN9ZwB+ogu8zkJ" +
       "8tPfBlkEdxafRV9RtH//X3HjPq+//5fFgcchCktDmoJn4a+utKKu+qgrMf\n" +
       "5nC7GTOgN9BVmd0KOY2nb345lGo8/3smf2OOw02X1O+sKU57cF2nqDhAyNAT" +
       "vC6wQ3533j3jZ7xw\n0SuEC53PubGyNRgrqi5ChULM+2LhiF3dJ0l9lVCgyJ" +
       "gbtRr+FJaxV2aC+EuAT3+1gH75tfSLmxnJ\n8lTMwZEe1GuFIROT9yCKa2nV" +
       "42iha6uIPXYzXlDLIpFGwyeqYPmQ+pvlZ3YMnDvqqpoVkliuJMSV\nhG338C" +
       "4NFbu0naJDA0E7V7sTs7J6/I4Pmu6VXjnkcrqdoHpimEMaeF7zOrAYIxcDak" +
       "NVs2c/+zJQ\nrHiR9I2D1+5o/BPcFla5CMXF4hQmjqV7Ec5uSNK6b0jdAV2D" +
       "8sTz7Qcii+rPwqw34u1U2QePUqSR\n0iaqwSoVlBmtveSWkoQxJNw+VOmW4n" +
       "NZoLF2b50irbvKKjJtJmitsfKqjNduzu8jcKWlZzh9SYsg\nOgiLeUNVmFyn" +
       "feFS6WAUXqAnmrix0lMl8InkwwMPLvU8cuwU+5rmdtrgjuG1iAXoPPmVupNb" +
       "WgoP\nsaoXtgjvs+mzwWQ/94cKJfLS+ZeFWlWy1Q9WIYXY64kSH26FkRU+zK" +
       "7Ph67913TOk9DgKqoNnb8O\n6cOcEQq6BBXKX4qSuj2qIyR1VpP0hvVLumYo" +
       "QnWf2F2gfS0sM1bnoHbocBFghw4zbaho/yvRh1p+\nO4xTQp9T/1X2+Jxazf" +
       "wvgvnhIuBgT9xy8/tpla8UBW8UrfSjQvBHKwle8fpUb0KHBe7HSnWJ11Tn\n" +
       "JbgBLGAyFbjcMIyhK/YAVaQXxhNCkSdW88CP/zdpXyfoKpB2tPR+tx5h/83/" +
       "PqaDbtIX+gt3Z+in\nTOg6rG23YLiswxmvmOsInfvXlv630F3bprSsu9mxtU" +
       "J28Jseo3KprGid/X/WM9rilH0Dpa3WlrJ/\nafAP73LvhbmBl834a+yrnvdx" +
       "PJZCdVlH0/zfEHzzqGnhrMr0iPEvClypdwlqDt6A4SoJTybnnznU\n+wQ1+a" +
       "G8zwd+oA+ooSkQffkbU+9SAf0H/MmJzPMZAAA=");
}
