package schat.client.net;

import java.util.*;
import sessionj.runtime.*;
import sessionj.runtime.net.*;
import schat.common.*;
import schat.common.events.*;
import schat.client.*;

public class ChatClientCommunicator
{
    private ChatProtocols
      dummy;
    final public static SJProtocol
      p_private_event_out_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBszi1uDgzPy9Lr6SyILVYD8SFsIK9/EtLyjMy" +
       "c1JDgPz4ZAYIYGRi\nYKgoYlDFo88nP78AoofZ5eSiGZq3tjExMPowsCTlp1" +
       "SWMGj4wLTqgzXow7XqB3sFQ6RAuq2Btmjg\nsQVJKbLjgBaxJgNdnVLIUMfA" +
       "BDRDGc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLV\nAVHjqL" +
       "o91OfFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pS" +
       "WZOfoBUBnr\nioKCioJi/IEanJqXgi0iTPHo8QWyE9NTnfNzc0vzMpMTS+Dh" +
       "tdLpMKMP97774PDizoWoA0mVMIgi\nXAmJFUhkgIKTGeJMGTS/B+QkJqd65O" +
       "ekpBbFJy9/fKrG1buzAxLleYm5QCOFfLISyxL1cxLz0vWD\nS4oy89KBXi5h" +
       "kC1Ozkgs0UsGOi8/Ty+1LDUPGCXOQCFXEBMAlpCSuaECAAA="));
    final public static SJProtocol
      p_private_event_in_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9PPPKMzJz" +
       "UkOA3PhkBghgZGJg\nqChiUMWjzSc/vwCih9nl5KIZmre2MTEw+jCwJOWnVJ" +
       "YwaPjAtOqDNejDteoHewVDpEC6rSvwOw5J\nKbLjgBaxJgNdnVLIUMfABDRD" +
       "Gc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLVAVHj\nqLo91O" +
       "fFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pSWZOf" +
       "oBUBnrioKC\nigICcRGUmpyaWYY1LkzxaPMFshPTU53zc3NL8zKTE0vgQbbS" +
       "6TCjD/e+++Ag486FqANJlTCIIhwK\niRhIfIBClBniUhk07wfkJCaneuTnpK" +
       "QWxScvf3yqxtW7swMS63mJuUAjhXyyEssS9XMS89L1g0uK\nMvPSgb4uYZAt" +
       "Ts5ILNFLBjovP08vtSw1DxgrzkAhVxATAAgOt3WjAgAA"));
    final public static SJProtocol
      p_ar_private_main =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
       "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
       "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
       "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
       "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
       "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQAYw0TTxh4l9aUg70O9ZYU8Wjzyc/" +
       "vwCih9nl5KIZmre2gQOSJSk/pbKQ\noY6BpQJEMhdUFBTjNyg4NS8F03KQZk" +
       "aIZhm0EAnISUxO9cjPSUktik9e/vhUjat3ZwfE8rzEXGDa\nEPLJSixL1M9J" +
       "zEvXDy4pysxLBwZECYNscXJGYoleMjCd5efppZal5gEjyhko5ApmFjGo43Gl" +
       "s1Nq\neiZGygEFkhoeXUiaVAWSV+lorKmCeY4ZHDP4UqtnHo6IAWnnBoUNiM" +
       "EAZIBoQQBxLnPaoQMAAA=="));
    final public static SJProtocol
      p_event_out_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVUQU8TQRidtiAUNFYBYyJEDFZBSXvSmHDQsiyydaGl23Ix" +
       "sU63Y7u4nVl3p6UY\n41n/gScPXoyGxJN60xhOesOLCRcPevDCL9CDMzvblt" +
       "JladLdmf2+9+bN972ZrT3Q79hgxkGOYxC8\nnqCbFnISfCpGWjpTpxtVw0R5" +
       "Ni/qQPxCYQCaNogH4FRCLIGJLHx99WJm90MYhFTQVyLlTQqm1RY0\n6QKSbW" +
       "hSS2sixNFzbJXpgFX2pe4Xxxbq15nq8iPwFIQZx9QBDv4kpXWkU84i4DvvXp" +
       "Jo/O97sbcx\ni5ibFZNQDyFyUvGPBfXP5/Mi55xPTsZlLer/ro9PfE/9jka4" +
       "mEGLOAZl61NwVm2BknVqmMmsF5lr\nWlbTYs24EtyMkg2xXvXrxuUA4Pw+1N" +
       "2rN6LZHw/veWWCLI+CEXUdNqCQtASd6jK05pq8ehGh6hQP\nJ3g44YX7B3a/" +
       "bJ+5vxMB4UUwZBJYXoQ6JbYCorRqI6dKzHLTunnLlXh8Y5A9Y+zP/TbWVuoS" +
       "MrPA\nEjK72hcxYYmC00KVCXElqVHbwBVWJgpGszllLZWXi1JmZU3Oaam8kl" +
       "lxgv2oIVz2q9q1AMwyG8MK\nkkitVseGDmnbam/mt0Pq8KefrtbhmsjjIQrG" +
       "Og0WhhY+9mp5xGlT8GH95fgh3gs+ONFT1rD7/SQF\nx1KSJGfz7nRE9C7IGN" +
       "I8qhg954cX5lKQnTqgeEx/Ozu99bilUewx6MzmkI6Mhs+FwuGjDM7foLVV\n" +
       "bw/jB45a1oQ6WmIWQ3ZRf/3r2xP5zvNn4obBsIY4MsatMuHoVUgTOmshwQnU" +
       "QJideIl9kt0hz5s4\nUrGCD7kCOTzUUjrJBvwdb7ciJ6dlKe/t6CIFs35isr" +
       "bRgJSZDDeQ7bge62hjLAPLsqalbsudanhs\nk35snmW7GIYLmpwrpjPKirzQ" +
       "wzLlx1JwkJ0mBkblLqK+1YKS72HwLfFq3aBd2KgrQpUXewkuHCZB\nRQ8ESf" +
       "M/RCrTk6kGAAA="));
    final private static SJProtocol
      p_event_in_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAIVUMW/TQBi9JC1tWhCFtgiJVoCqlBSqZAIhdYDUdWmC26Rx" +
       "0gWJcLkciYPjM/Yl\ndRFihn/AxMCCQJWYgA2EOsFWFqQuDDCw8Atg4M7nJE" +
       "3jupFin33fe/fue8+3/QcM2haI29i2NWLU\nE3TLxHaCP4qRmkkbmzVNxwX2" +
       "WEJA/EJhABwLxAJgCiGmwESWvrx8Prf3PgxCChgok8oWBXGlDU26\ngGQHml" +
       "Qzqpji6AUnWNy+0v3i2EKDiKmuPARPQJhxzBzg4FdSrmNEOYuA7759QaKxv+" +
       "/E3iZNom9V\ndUI9hKhJxT4Uld+fzouacz41WZe1hP5dm5r+lvoVjXAxwyax" +
       "NcrWp+Cs0gYlm1TTkzlvZsExTcdk\nXswFelG2oIFqfmZcCsAt7kPduXI9mv" +
       "v+4K7XJcjqKBhX6rAFhaIVaNdWobng8OZFhKhTfDrBpxPe\n9ODQ3uedM/d2" +
       "IyC8DEZ0AivLEFFipUGU1ixs14heccwbN12JxzeH2XWM/XnaJjtKXUKWFVjG" +
       "eo97\nER2WKTgtVOnQqCZVamlGlXWJgolcPr2RKsglKbu2IefVVCGdXTsixX" +
       "mMsNbyTfHVANgqG8Mqlkij\n0TQ0BGknbK8Xd0LK6McfrtzRhqjjUxRMdi0W" +
       "kRZJ9trJhF4OWDHbpId5zAlGuB98cKKvtWH3/UkK\njqUkSc4V3Mdx4V9QOK" +
       "RFXNX6PiHemdmgSHVBsTH0Zj6+/aitkW/SW/uIPLPNHnK4cHxIaA86ZVRs\n" +
       "VPzBEwI8deATzekQ4RWWTWyV0KufXx/Lt589FSeTARuYI8d4xqZtVIM0gZjx" +
       "xEjgFjbYSSGxV7I7\n5HXT3jZB2xLea36f7RiRlzOyVPDqYhTM+7HmLK0FKc" +
       "uY0cKW7UasuwhjGVqVVTV1S+766bFd8GPz\nEtvDMFpU5Xwpk02vyUt9LDN+" +
       "LEUbWxmiGbjSQxR1iRR5udBHc/EwGgXfpz0kA+vFdD/et+HrTU1g\nnf+6Aw" +
       "9iqQYAAA=="));
    private ChatClient
      client;
    private boolean
      connected;
    private ClientOutThread
      cot;
    private ClientInThread
      cit;
    
    public ChatClientCommunicator(ChatClient client) {
        super();
        this.
          client =
          client;
        this.
          connected =
          false;
    }
    
    public synchronized Integer
      connect(
      String host_s,
      int port_s,
      String userName)
          throws SJIncompatibleSessionException,
        SJIOException {
        if (connected) {
            System.
              err.
              println(
              ("[ChatClientCommunicator] Illegal connect request, already co" +
               "nnected: ") +
              host_s +
              ":" +
              port_s +
              ", " +
              userName);
        }
        final SJService c_cs_main =
          SJService.
            create(
            ChatProtocols.
              p_cs_chat,
            host_s,
            port_s);
        SJSocket s_cs_main =
          null;
        try {
            s_cs_main =
              c_cs_main.
                request(
                client.
                  getSessionParameters());
            ChatClient.
              debugPrintln(
              "[ChatClientCommunicator] Connected to server at " +
              host_s +
              ":" +
              port_s);
            SJRuntime.
              send(
              s_cs_main,
              userName);
            Integer userId =
              new Integer(
              SJRuntime.
                receiveInt(
                s_cs_main));
            ChatClient.
              debugPrintln(
              "[ChatClientCommunicator] Assigned user ID: " +
              userId);
            final SJService c_cs_in =
              (SJService)
                SJRuntime.
                  receiveChannel(
                  s_cs_main,
                  ("H4sIAAAAAAAAAIVUTU8TQRgeWhAKmiBYNBGihpQPJe1JY8JBy7JI60JLt+Vi" +
                   "Yp1Ox3brdmfdnZbF\nGM/6Dzx58GI0JJ7Um8Zw0hteTLh40IMXf4EenNnZlp" +
                   "YuS5NOZ+Z9n+d55/3ozh8wYFtg1sa2rRGj\nFqfbJrbj/Ch2alpawhXNyLNT" +
                   "EQHx6QsB4FhgJgDVAYqNojcLczuPBGguAKQK02GtPgUMoKqmlymY\nU1rwhA" +
                   "tKtOGJLvgiU5o+pMRXUqphRLmWENl7+4JEYn/fidiiJtG3KzqhHkL4JGMfCs" +
                   "rvTxeEz3kf\nn4zLWkT/rk1OfUv+ioR5yEMmsTXK9Ck4p7RAiQbV9ETWsyw6" +
                   "punYwTlJGVvs6dgv/7EAmEKIKTDh\n5S8vn8/vv3fz2F8i5e2H4AkIO3wNmY" +
                   "7J9OcD9UsWNFDVL4CgtlnqQN25cj2S/f7grldKyPwoGFdq\nsAlFQlahXV2D" +
                   "5mJnUKe5Oc7Ncc88MLj/eXfi3l4YhFbAsE5geQUiSqwUiNCqhe0q0cuOeeOm" +
                   "G+LJ\nrSG2jrIvb/BoO1KXkOUHlrDe1WJhHZYoGBNR6dCoJFRqaUaFFYmCM9" +
                   "lcajOZl4tSZn1TzqnJfCqz\nfkzlchhhrelbuasBsDW2hxUskXq9YWgI0vZE" +
                   "vF7a7VNGPv5wwx2pCz9uoiB60GFiGsQQeOlkgV4O\nUMw06FE15gSneD34Zr" +
                   "QntSH3foyCE0lJkrN59zjR8gdM2bs4pslYBEd0OccPi4YIancVG2V/8FkB\n" +
                   "njw0tlkdIrzKGgZbRfTq59fH8u1nT8WIGLCOOXKcF37KRlVI44hVgxhx3MQG" +
                   "+/eQ2JXsbjufGWm9\nmyeA/862s5OT07KU9/xmKFjwY81aWhNSVnijiS3brf" +
                   "uBCGMZXJNVNXlL7k4yY7vox+a1URfDSEGV\nc8V0JrUuL/ewTPuxFGxspYlm" +
                   "4HIXUcQlUuSVfA/NpaNoFHyfdpH0bxRSvXjfhG80NIF1/gOZAa3D\nsQYAAA" +
                   "=="));
            ChatClient.
              debugPrintln(
              "[ChatClientCommunicator] Starting Client in/out threads...");
            this.
              connected =
              true;
            {
                SJSocket _sjtmp_s_cs_main =
                  null;
                _sjtmp_s_cs_main =
                  s_cs_main;
                s_cs_main =
                  null;
                cot =
                  (ClientOutThread)
                    new ClientOutThread(
                      client,
                      this).
                      spawn(
                      _sjtmp_s_cs_main);
            }
            cit =
              (ClientInThread)
                new ClientInThread(
                  client,
                  this).
                  spawn(
                  c_cs_in);
            return userId;
        }
        catch (ClassNotFoundException cnfe) {
            this.
              connected =
              false;
            throw new SJIOException(
              cnfe);
        }
        finally {
            SJRuntime.
              close(
              s_cs_main);
        }
    }
    
    public void
      sendEvent(
      ChatEvent e) {
        cot.
          queueEvent(
          e);
    }
    
    public synchronized void
      disconnect(
      ) {
        if (this.
              isConnected()) {
            ChatClient.
              debugPrintln(
              "[ChatClientCommunicator] Disconnecting...");
            this.
              connected =
              false;
            cot.
              disconnect();
            cit.
              disconnect();
        }
    }
    
    public boolean
      isConnected(
      ) {
        return connected;
    }
    
    final public static String
      jlc$CompilerVersion$jl =
      "2.3.0";
    final public static long
      jlc$SourceLastModified$jl =
      1238676054856L;
    final public static String
      jlc$ClassType$jl =
      ("H4sIAAAAAAAAAK1ZfWwcRxWfu/O3j8Z2nDSN7XynjUlihzSBUFdNnOsZn3uO" +
       "L3dO2rhJz3u7c751\n9naX3Tn7HKoqaUXTDwTqR6CgkiI+BI2CCilt/0EBlB" +
       "QoH4KmUlJFtPxRVCqgiP5TIiiINzO7e7t7\ne5dEItJO5mbee/Pmvd9782Z8" +
       "+n3UaBpowMSmKWvq7ABZ0LHJWi03i0ViDmTGUoJhYimmCKY5CRNZ\ncfq/8v" +
       "4fdj44GkahKdSlasOKLJiTBUMrzRQmC7JZNtAqXVMWZhSNWBKrZNy29qP53x" +
       "wf64mgRVNo\nkaxmiEBkMaapBJfJFIoWcTGHDXNYkrA0hTpVjKUMNmRBkY8A" +
       "oabCwqY8owqkZGAzjU1NmaOEXWZJ\nxwZb0x5MoqioqSYxSiLRDJOgjuSsMC" +
       "cMloisDCZlkwwlUVNexopkfhY9gMJJ1JhXhBkgXJq0dzHI\nJA6O0HEgb5NB" +
       "TSMviNhmaTgsqxJBK/0czo7X3QUEwNpcxKSgOUs1qAIMoC6ukiKoM4MZYsjq" +
       "DJA2\naiVYhaDlNYUCUYsuiIeFGZwlaJmfLsWngKqVmYWyELTET8Ykgc+W+3" +
       "zm8tZEU/Q/j6X+uQo8DjpL\nWFSo/k3AtMLHlMZ5bGBVxJzxSmng6cSBUm8Y" +
       "ISBe4iPmNMPrX9mXfO8nKzlNTwDNBMNiVvzok719\nF4b/1BqharTomilTKH" +
       "h2zryasmaGyjqge6kjkU4O2JM/Tf/8wNFT+K9h1JJATaKmlIpqArViVYpZ\n" +
       "/WboJ2UV89GJfN7EJIEaFDbUpLHfYI68rGBqjkbo6wIpsH5ZRwg1wxeC7zzi" +
       "/26gDUE3xQoCiSky\nVklMKxZLqiwKAM0Bc5agbQSbxDxoGuJBUwSygyKjO6" +
       "hicrAmW5kuecN8KAS77fVHngIwHdUUCRtZ\n8bvv/Or++F2PPsL9SLFnKUvQ" +
       "LWy5Ab7cACw3ELwcCoXYOospYrlFhw1DWKCRVD52oe+rvxC+Dv4B\nO5nyEc" +
       "zMEJpvoC0wba2baGKVME1ATwAUZcXuo+8t/9obz78aRpHAZJN0Bkc0oygoFC" +
       "92dHVZy/ln\nAGbr/GAPWvvvj42/ePHXb22owJ6gdVXRWM1Jo2mN3w+GJmIJ" +
       "slVF/Ff+NfqPpxo//VIYNUCIQpIi\nAkALIn6Ffw1PVA3ZGYruJZJE7fmqjb" +
       "cRMNC8a8O0jbL+InBFC3wQbeh2C5efog2d7KRNF4cTuKvb\ntweW/6481LTl" +
       "0o/bX2VGsVPlIldOzWDCA6+zApFJA2MYf+uZ1FMn3j9+bwRCXdc5LAhq0ks5" +
       "RRbL\nwHKjN1bpDiSKrL+dGer44mbzZYaCVhngSIScgiG3C4qizWMpS1hy63" +
       "QlUpa/wFjRHORBSKlZBQRx\nc+ihOUBwQKYZWNb99Jf7n71Ec5HO7LXUBWD6" +
       "ezFBN3pCpRImZUawPkTbfocZMWbEjNpHg6C7YhbI\nLof5BqP9mUNj04+sYZ" +
       "bhy1GGjVzmoHuk7IhuY8NtIHNT3cAaoadbBXfy/R8eO/O7E9EwCk+hZtkc\n" +
       "kVVBoWY19/BICsjrPhFHzu47eeW35G0Gggp0qWK95eoktF9wRdWOi3OdTT94" +
       "rhhGzVOog53Ngkr2\nC0qJQmQKTlczZg0m0cc8896Tkh8LQ05o9vrDxrWsP2" +
       "gqyQ/6lJr2W3xx0gpfH3wdVpx0+OIkFNJp\nZwdjWMnaNQ6qm3VDnhNoOYMa" +
       "pVKxuGDDZ7kFH0iqmsrgA7mBaHACMQo4JNj/t3rU6IFvi6XGlmA1\ndtHmNg" +
       "gnDkwGlvoCt1oCtwYLjFkCqX9VsDSWzGpgpAy5COfpnHXgP7Hi2++++E66m6" +
       "dMXhWtrSpM\n3Dy8MmKWb9dpDlhdbwVGfX7j6tMPpN/O8Yqhy5sz4mqpuP25" +
       "N3H/rqgYcM415zRNwYLKLRMKsAz1\n+DbLMtuCLTNuWSYiasR266rqA5R1J0" +
       "oEjissSLV90QvfdmvF7cErpp0VZWfFlTVWTKjeBQ207erp\nwcZgJU6nH39z" +
       "7/g9dw9yK3+irog9YGLJlyNOJNSdZ5dcVMP0RGoyZ10RFzYJQRuStkgLFvQn" +
       "72XG\nMnyK16bMYrptiqnqcItAjOVpFqNj6yAETHadgNBbrmetOMziObBNFo" +
       "rqLJzXWCjaZuxxdmaUVCIX\nMb3zWNZgJgyxxJsFO/b7jOBoDCzg5/kClII8" +
       "Dixvhrjx1tfhS2qaznkid772zWf6L7/MUZvTpAW6\n7gHg31CH32Up97L0cB" +
       "ZBH8mWsbauAzn76y+c1FrX//ulsHVeQUDSg7ye+hkojYO2vL0Ozzj04WJS\n" +
       "KSsd/Z/ffS6UbD/7R6Z/e5HTTXrSs6RbJzO4rs+TSpmDTZZR46xLqe52cKME" +
       "4Ib2DzHQ0OY+AMxN\nfsDIqoUXSjHtAoRm1ndMQq2BB8oscsvW409jETt51c" +
       "9fAH76/6xvk+SaNtmpZwXD2WcRzm7/5uaZ\nBEPnxUbOtvmMs6wBN4bausd2" +
       "4xm5CpMUFzfX4XIxre8QT23acPqIvV/J0kS3NTFqGODoNRmgS69K\nB34LPF" +
       "TZuYE+Xj/wcwakvELQdusZabeL696NO1pTlw7fZwWuAHQELXZV1aOCWRgX9K" +
       "FKDHgKbGu6\nsfnyz84tnX49gsIjqE3RBGlEYDcT1ApXAmwW4CJY1nfuYipG" +
       "51usooY+Ai1xNGUCITEJOax4EkpE\nEXLOQdqdSif2D0/Gs7GJPfvj6czwZG" +
       "Jijw2Sq+TKhFrLYpT/YdvHj1YpGmbjj0OGH47F4qlJB5Ss\n8zkLJHVg6yar" +
       "gSUqPR0fi8cmLTpINJuCEk2Kxw8Uq3PYMFkWq+QdkNI8Hs9khj8T9yrpKhU8" +
       "0qyk\n6JHQvi8TT2fHJhJ74ndWSVkbJGWfiY0xDWpxySOoYe++xGSVhMD0ub" +
       "ckEw9vK1MiGR+pFrC6lgpJ\nnOdCyr7w/FG98LzdlZ+uknxf8XrwS7Uh00iH" +
       "v+DBxefrAIwOP+mg4v8DK9o8qzNsn6TNNzzT36LN\ndzxD36PNC56hM7Q55R" +
       "n6fpmJXM2vnaxo7HddFxGNwr5aj3qskD5+zwfRh4Xzh+zIGwNvE03frID1\n" +
       "Feea2cDENYC0zXVriHH2tFkpACOZnf23bGr/cxg11Hi66bQG05iUDNU559mb" +
       "jnDdbzorfXv169M5\n17M3UpB/GWYXQH5nrHqx9TINeW+KbYZXUWa0HqeWXw" +
       "JfCr47rIx2h6+WZ/itDgCGOahao+YC5ERD\nU+UjWAp+TIjwiLHjr4MdAPQy" +
       "PMCfjdnEiAXEBFwXZH4RvBwsLszXt8XdWlUJ00sFTdcQ4TokuJyC\nrXIzXh" +
       "axTjOezbsioIpOTDhkbO9vQE607pI2W2dlBwmV4BlsMIO968Ixyw+XafMH11" +
       "bqzf3e89K1\nFj7N8ogW5BFXEPnsE6q8u8xe/XXnLxA9JpTDlezp8kTDnCZL" +
       "jPkD/5PObNUjz6x/HxRZNyP6eMz/\nketBFm0u1Vf/qnv7kKA2STYt77FtVG" +
       "0Glat/eF1Br9bHrC0cuz5XXKumoRAcm+wFiT9ZUJJRRj5a\nW1U4cpYGP3fT" +
       "MmtZ1R+z+J9cxDUXpjec0ztfYw+4zp9FmpOoJV9SFPcLk6vfpBs4L7PtNvP3" +
       "JnYy\nhKIQzv4LPQQwtFTVUDunWkTThIvKee5xE3XBdZgR0R+LndPalS3401" +
       "kZ/Q+Tl3HdARwAAA==");
}
