package schat.common.events;

import java.util.*;

public class UserJoinedEvent extends ChatEvent {
    private String userName;
    
    public UserJoinedEvent(Integer userId, String userName) {
        super(userId);
        this.userName = userName;
    }
    
    public String getUserName() { return userName; }
    
    public String toString() {
        return "<User joined event: " + this.getUserId() + ", " +
        this.getUserName() + ">";
    }
    
    final public static String jlc$CompilerVersion$jl = "2.3.0";
    final public static long jlc$SourceLastModified$jl = 1238676054807L;
    final public static String jlc$ClassType$jl =
      ("H4sIAAAAAAAAALVXXWxURRSe3W13W7ra7lJ+pC3FApFGugUTjdIHbRoqLQvU" +
       "bktkLS7Te2d3b5m9\n93pn7nYhxIAmgjz4Av5G5dFofFCM+mLURPHfmGACvu" +
       "CLJpIoRl+UGDSembn7d3eL+mCTe3fuzJk5\nZ875vm+mr15BrcxBCUYYMyxz" +
       "IcEP2YTJtzW/QDTOEqnJKewwoo9RzNgMDGS0A38Ze1+PPbIjiAJp\nFDetUW" +
       "pgNpN3LDeXn8kbrOSgdbZFD+Woxb0VG9bYtv7a4hfHJ3tCqDONOg0zxTE3tD" +
       "HL5KTE0yha\nIIV54rBRXSd6GsVMQvQUcQxMjcNgaJngmBk5E3PXIWyaMIsW" +
       "hWGcuTZxpM9yZxJFNctk3HE1bjmM\no67kAi7iYZcbdDhpMD6SROGsQajOHk" +
       "IPo2AStWYpzoHhymR5F8NyxeFx0Q/mywwI08lijZSntBw0\nTJ2jfv+Myo43" +
       "7AQDmBopEJ63Kq5aTAwdKK5CotjMDae4Y5g5MG21XPDC0ZolFwWjNhtrB3GO" +
       "ZDha\n7bebUkNg1S7TIqZwtMJvJleCmq3x1aymWnvC0T9PTv2+DioOMetEoy" +
       "L+MExa65s0TbLEIaZG1MSr\nbuL0xD63N4gQGK/wGSub0Y1vzyYvv9evbHqa" +
       "2OyRWMxo1+7o7Ts/+n17SITRZlvMEFCo27ms6pQ3\nMlKyAd0rKyuKwUR58P" +
       "3pj/YdfYX8GERtEyisWdQtmBOonZj6mNeOQDtpmET17slmGeETqIXKrrAl\n" +
       "vyEdWYMSkY5WaNuY52W7ZCOEIvAE4OlB6k98I6j2LCPOpAXL6NuLxOQJtsDR" +
       "Fk4YZ3PM0eaYlsd8\nTrMKBcucI8KCzTVOKQk/Ny4GArDFXj/dKGBzh0V14m" +
       "S0l7777Mj2nY+fUMUTgPMi5Gi9dJVQrhLK\nVcLnCgUC0sdyAVGVwlHHwYcE" +
       "dUrHzvc9+zF+AQoCiWHGYSL3HVhsEW+YdNt1lWWsyssJaGGATUbr\nPnp5zX" +
       "Nfv3wuiEJN1SVZ6Ry3nAKmAiBlOsU9d/4RwNUGP7qb+f755K43Lnx+aVMV5x" +
       "xtaKBf40xB\nnwF/DRxLIzrIU3X5p//Y8cup1rveDKIW4CSoEseQZqD4Wr+P" +
       "OhqNlCVJ7CWURB3Zho0v45CgxZoN\ni3dUtjuhFG3wAL1QlwfEDvESgzHxii" +
       "soQbm6fXuQgnf10fCWi+90nJNJKWtjZ42IpghXTItVITLj\nEAL9l56ZOvXk" +
       "leMPhIDbtq1gwVHYduepoZVgyqp6cood6AJZP50d6XpiiL0lUdBuFAoux/OU" +
       "gJhj\nSq1Fome4VLNYjXJKwYJkRedB+EBDMxQWUumwA0VAcBNpSazuPv3U4P" +
       "MXhfjYMl8rRa5kpEH5vZx7\n+xI+EhOg/Dk4mLyRruqI0u2SHNkYEO/BynpI" +
       "rodknvsEL7qrmQKFOaj2HB1M7Z88cGJAJktFICbc\nKl5DauGtDd2lipMq6z" +
       "Zfl3Xj4qyrgtI48tuxs189GQ2iYBpFDDZumJiKnLPdimZNVN63xOF3Z1+8\n" +
       "+iX/ViKkimsRWG+pUZ324hrK3XmhGAu/dqYQRJE06pInNTb5XkxdgZ80nLVs" +
       "zOtMohvqxuvPTXVI\njFR42+vnVI1bP6OqqghtYS3abT4StcNzk/eLyr81JA" +
       "oEbNHYJif0y/dABfIR2zGKWFxuUJsLArvb\nczgkqedB42YFHlQFz1YPOFDU" +
       "vqWOZ3m1OH7/r9HH8If71SEar2fVdtMt3H7mGzJ4T1Rrcgq0c8se\noqD+tI" +
       "EADhq6LpZ2ydtMtZqh1N2Dt2zu+AEUbgnxjnmd0wSubuZMOddS1fF/VvV+X1" +
       "L88cSKPfeF\n8sYnQVllBYyGS1r9pJF6OCxz6gOVheqpU9ZeeOIeKOLNlLWm" +
       "tksIwz+qxiRHHTnCZ2uhI82H6nHS\n8HFvXagCv6u8UFf9T6GmAOLcUnL4r+" +
       "IETnT6Lh3iNFnd8D+EuulqA+cPbPrAjn0qj9HKbTQCV8Ks\nS2ktlWvaYdsh" +
       "WUMGGFHEtuXPgxwtb3ILgkNKNWSk+5Ut5iAHNbZc3BtFo9YI/g1olUbig9jl" +
       "k6Kv\n2VVrDLrkfkvobz8iIWGLDQAA");
}
