package schat.server;

import java.util.*;
import sessionj.runtime.*;
import sessionj.runtime.net.*;
import schat.common.*;
import schat.common.events.*;

public class ServerOutThread
extends Thread
{
    private ChatProtocols
      dummy;
    final private static SJProtocol
      p_private_event_out_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBszi1uDgzPy9Lr6SyILVYD8SFsIK9/EtLyjMy" +
       "c1JDgPz4ZAYIYGRi\nYKgoYlDFo88nP78AoofZ5eSiGZq3tjExMPowsCTlp1" +
       "SWMGj4wLTqgzXow7XqB3sFQ6RAuq2Btmjg\nsQVJKbLjgBaxJgNdnVLIUMfA" +
       "BDRDGc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLV\nAVHjqL" +
       "o91OfFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pS" +
       "WZOfoBUBnr\nioKCioJi/IEanJqXgi0iTPHo8QWyE9NTnfNzc0vzMpMTS+Dh" +
       "tdLpMKMP97774PDizoWoA0mVMIgi\nXAmJFUhkgIKTGeJMGTS/B+QkJqd65O" +
       "ekpBbFJy9/fKrG1buzAxLleYm5QCOFfLISyxL1cxLz0vWD\nS4oy89KBXi5h" +
       "kC1Ozkgs0UsGOi8/Ty+1LDUPGCXOQCFXEBMAlpCSuaECAAA="));
    final private static SJProtocol
      p_private_event_in_stream =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9PPPKMzJz" +
       "UkOA3PhkBghgZGJg\nqChiUMWjzSc/vwCih9nl5KIZmre2MTEw+jCwJOWnVJ" +
       "YwaPjAtOqDNejDteoHewVDpEC6rSvwOw5J\nKbLjgBaxJgNdnVLIUMfABDRD" +
       "Gc0MEJmflJWaXAIyBaL94vp5+Zyqv7dC/CZakJ9TmZ6TXwLVAVHj\nqLo91O" +
       "fFfnmIGmksavzBpsYn/zGTkb3k+ISTGeQYjoL84swSoP0lDBI+ME36pSWZOf" +
       "oBUBnrioKC\nigICcRGUmpyaWYY1LkzxaPMFshPTU53zc3NL8zKTE0vgQbbS" +
       "6TCjD/e+++Ag486FqANJlTCIIhwK\niRhIfIBClBniUhk07wfkJCaneuTnpK" +
       "QWxScvf3yqxtW7swMS63mJuUAjhXyyEssS9XMS89L1g0uK\nMvPSgb4uYZAt" +
       "Ts5ILNFLBjovP08vtSw1DxgrzkAhVxATAAgOt3WjAgAA"));
    final private static SJProtocol
      p_ar_private_main =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBozi1uDgzPy9Lr6SyILVYD8SFsIK9glKTUzPL" +
       "UkOA3PhkBghgZGJg\nqChiMMWjzRfITkxPdc7PzS3Ny0xOLAGqg5ix0ukwow" +
       "/3vvtMDIw+DNy5EHUgqRIGUZ+C/JzK9Jz8\nEn2wOfogYesK/A4MhkihOxBo" +
       "OGtyRmZOSgmDhg9MO9RYuHZ9FO0gm5TRbAKR+UlZqcklILsgllxc\nPy+fU/" +
       "X3VkgoiMLcDNUBUeOouj3U58V+eYgaaSxq/MGmxif/MZORveT4hJMZ5GSOgv" +
       "ziTFBYlTBI\nIAKjtCQzRz8AKmNdUVBQAYw0TTxh4l9aUg70O9ZYU8Wjzyc/" +
       "vwCih9nl5KIZmre2gQOSJSk/pbKQ\noY6BpQJEMhdUFBTjNyg4NS8F03KQZk" +
       "aIZhm0EAnISUxO9cjPSUktik9e/vhUjat3ZwfE8rzEXGDa\nEPLJSixL1M9J" +
       "zEvXDy4pysxLBwZECYNscXJGYoleMjCd5efppZal5gEjyhko5ApmFjGo43Gl" +
       "s1Nq\neiZGygEFkhoeXUiaVAWSV+lorKmCeY4ZHDP4UqtnHo6IAWnnBoUNiM" +
       "EAZIBoQQBxLnPaoQMAAA=="));
    final private SJProtocol
      p_ar_private =
      new SJProtocol(
      ("H4sIAAAAAAAAAFvzloG1uIhBvTi1uDgzPy9Lr6SyILVYD8SFsIK9nJ1S0zPz" +
       "QoC8+GQGCGBkYmCo\nKGJQw6MLSZOqQPIqHY01VRBNGng0BUOk0O1i9GFgTc" +
       "7IzEkpYdDwgWnXB2vSh2vXR9FuDbRJGc0m\nEJmflJWaXAKyC2LJxfXz8jlV" +
       "f2+FuE20ID+nMj0nvwSqA6LGUXV7qM+L/fIQNdJY1PiDTY1P/mMm\nI3vJ8Q" +
       "knM8jJHAX5xZklQPtLGCR8YJr0S0syc/QDoDLWFQUFFcX4wyQoNTk1sywVW/" +
       "ib4tHmC2Qn\npqc65+fmluZlJieWwMN1pdNhRh/ufffB4cqdC1EHkiphEEW4" +
       "ExKmkKAsZKhjYAI7VBOPjf6lJeXA\nSMLqUlU8+nzy8wsgephdTi6aoXlrG9" +
       "hlLEn5KZUgm5lh9hcU4zcoODUvBdNykGYuiGYZtKgLyElM\nTvXIz0lJLYpP" +
       "Xv74VI2rd2cHxPK8xFxgeAj5ZCWWJernJOal6weXFGXmpQNjrIRBtjg5I7FE" +
       "LxkY\ntvl5eqllqXnAFOUMFHIFM0E2MhCMV888HKEF0s4HcjCIwQlkgGgRAA" +
       "xgbaepAwAA"));
    private ChatServer
      server;
    private SJPort
      port_s_out;
    private ServerInThread
      sit;
    private List
      events =
      new LinkedList(
      );
    private boolean
      run =
      true;
    
    public ServerOutThread(ChatServer server,
                           ServerInThread sit,
                           SJPort port_s_out) {
        super();
        this.
          server =
          server;
        this.
          sit =
          sit;
        this.
          port_s_out =
          port_s_out;
    }
    
    public void
      run(
      ) {
        System.
          err.
          println(
          "[ServerOutThread] Server out thread started.");
        SJServerSocket ss_s =
          null;
        try {
            ss_s =
              SJServerSocketImpl.
                create(
                ChatProtocols.
                  p_s_out,
                port_s_out);
            ChatServer.
              debugPrintln(
              "[ServerOutThread] Waiting for Client to connect...");
            SJSocket s_sc_out =
              null;
            try {
                s_sc_out =
                  ss_s.
                    accept();
                ChatServer.
                  debugPrintln(
                  "[ServerOutThread] Client connected.");
                ss_s.
                  getCloser().
                  close();
                while (SJRuntime.
                         outsync(
                         s_sc_out,
                         run)) {
                    ChatEvent e =
                      this.
                        nextEvent();
                    ChatServer.
                      debugPrintln(
                      "[ServerOutThread] Sending event: " +
                      e);
                    if (e instanceof UserJoinedEvent) {
                        {
                            SJRuntime.
                              outlabel(
                              s_sc_out,
                              "USER_JOINED");
                            SJRuntime.
                              send(
                              s_sc_out,
                              (UserJoinedEvent)
                                e);
                        }
                    } else
                              if (e instanceof MessageEvent) {
                                  {
                                      SJRuntime.
                                        outlabel(
                                        s_sc_out,
                                        "MESSAGE");
                                      SJRuntime.
                                        send(
                                        s_sc_out,
                                        (MessageEvent)
                                          e);
                                  }
                              } else
                                        if (e instanceof PrivateConversationEvent) {
                                            PrivateConversationEvent pce =
                                              (PrivateConversationEvent)
                                                e;
                                            {
                                                SJRuntime.
                                                  outlabel(
                                                  s_sc_out,
                                                  "PRIVATE_CONVERSATION");
                                                SJRuntime.
                                                  send(
                                                  s_sc_out,
                                                  pce);
                                                {
                                                    String _sjbranch_0 =
                                                      SJRuntime.
                                                        inlabel(
                                                        s_sc_out);
                                                    if (_sjbranch_0.
                                                          equals(
                                                          "ACCEPT")) {
                                                        {
                                                            pce.
                                                              accept();
                                                            String hostAddress =
                                                              pce.
                                                                getHostAddress();
                                                            int port_private_conversation_in =
                                                              pce.
                                                                getPort();
                                                            final SJService c_ar_private =
                                                              SJService.
                                                                create(
                                                                p_ar_private,
                                                                hostAddress,
                                                                port_private_conversation_in);
                                                            SJRuntime.
                                                              copy(
                                                              s_sc_out,
                                                              c_ar_private,
                                                              ("H4sIAAAAAAAAAFvzloG1uIhBvTi1uDgzPy9Lr6SyILVYD8SFsIK9nJ1S0zPz" +
                                                               "QoC8+GQGCGBkYmCo\nKGJQw6MLSZOqQPIqHY01VRBNGng0BUOk0O1i9GFgTc" +
                                                               "7IzEkpYdDwgWnXB2vSh2vXR9FuDbRJGc0m\nEJmflJWaXAKyC2LJxfXz8jlV" +
                                                               "f2+FuE20ID+nMj0nvwSqA6LGUXV7qM+L/fIQNdJY1PiDTY1P/mMm\nI3vJ8Q" +
                                                               "knM8jJHAX5xZklQPtLGCR8YJr0S0syc/QDoDLWFQUFFcX4wyQoNTk1sywVW/" +
                                                               "ib4tHmC2Qn\npqc65+fmluZlJieWwMN1pdNhRh/ufffB4cqdC1EHkiphEEW4" +
                                                               "ExKmkKAsZKhjYAI7VBOPjf6lJeXA\nSMLqUlU8+nzy8wsgephdTi6aoXlrG9" +
                                                               "hlLEn5KZUgm5lh9hcU4zcoODUvBdNykGYuiGYZtKgLyElM\nTvXIz0lJLYpP" +
                                                               "Xv74VI2rd2cHxPK8xFxgeAj5ZCWWJernJOal6weXFGXmpQNjrIRBtjg5I7FE" +
                                                               "LxkY\ntvl5eqllqXnAFOUMFHIFM0E2MhCMV888HKEF0s4HcjCIwQlkgGgRAA" +
                                                               "xgbaepAwAA"));
                                                        }
                                                    } else
                                                              if (_sjbranch_0.
                                                                    equals(
                                                                    "REJECT")) {
                                                                  {
                                                                      pce.
                                                                        reject();
                                                                  }
                                                              }
                                                }
                                            }
                                        } else
                                                  if (e instanceof UserLeftEvent) {
                                                      {
                                                          SJRuntime.
                                                            outlabel(
                                                            s_sc_out,
                                                            "USER_LEFT");
                                                          SJRuntime.
                                                            send(
                                                            s_sc_out,
                                                            (UserLeftEvent)
                                                              e);
                                                      }
                                                  } else {
                                                      {
                                                          SJRuntime.
                                                            outlabel(
                                                            s_sc_out,
                                                            "QUIT");
                                                          SJRuntime.
                                                            send(
                                                            s_sc_out,
                                                            (QuitEvent)
                                                              e);
                                                      }
                                                  }
                }
            }
            finally {
                SJRuntime.
                  close(
                  s_sc_out);
            }
        }
        catch (SJIncompatibleSessionException ise) {
            System.
              err.
              println(
              "[ServerOutThread] Shouldn\'t get in here: " +
              ise);
        }
        catch (SJIOException ioe) {
            ChatServer.
              debugPrintln(
              "[ServerOutThread] I/O error: " +
              ioe);
        }
        finally {
            sit.
              disconnect();
            ChatServer.
              debugPrintln(
              "[ServerOutThread] Server out thread stopped.");
            if (ss_s !=
                  null)
                ss_s.
                  close();
        }
    }
    
    protected void
      disconnect(
      ) {
        ChatServer.
          debugPrintln(
          "[ServerOutThread] Told to disconnect...");
        if (run) {
            this.
              run =
              false;
            synchronized (events)  {
                events.
                  notify();
            }
        }
    }
    
    private ChatEvent
      nextEvent(
      )
          throws SJIOException {
        synchronized (events)  {
            while (events.
                     isEmpty()) {
                try {
                    events.
                      wait();
                }
                catch (InterruptedException ie) {
                    throw new SJIOException(
                      ie);
                }
                if (!run) {
                    ChatServer.
                      debugPrintln(
                      "[ServerOutThread] Creating quit event...");
                    return new QuitEvent(
                      ChatServer.
                        CHAT_SERVER_ID);
                }
            }
            return (ChatEvent)
                     events.
                       remove(
                       0);
        }
    }
    
    public void
      queueEvent(
      ChatEvent e) {
        synchronized (events)  {
            events.
              add(
              e);
            events.
              notify();
        }
    }
    
    final public static String
      jlc$CompilerVersion$jl =
      "2.3.0";
    final public static long
      jlc$SourceLastModified$jl =
      1238676806173L;
    final public static String
      jlc$ClassType$jl =
      ("H4sIAAAAAAAAAJVYe2wcRxmfu7PPryP2uU4a/ErixNSnJGde5WXU1nUTcu65" +
       "dn1OSIzLZb07Z6+z\nr+zMns9RVKWgklAkpKpNHwjaCIFQq0ihrVr+qQJSX7" +
       "QNQgSUVkgtfxRBJSiCfyCCgvhmZndvb2/v\n0lja8dzO933zfd/8vsfs+Q9Q" +
       "K7FRlmBCVNNYy9INCxM+mstrWKYkW5iek2yClSlNImQBFory0f+p\nh55Jf+" +
       "NAHMUWUa9hTmqqRBZWbdNZWV1YVUnFRtstU9tY0UzqSqyT8aWdH65fOj09kE" +
       "Ddi6hbNQpU\noqo8ZRoUV+giSulYX8Y2mVQUrCyitIGxUsC2KmnqCSA0DdiY" +
       "qCuGRB0bk3lMTK3MCHuJY2Gb7+m9\nzKOUbBqE2o5MTZtQ1JNfk8rSuENVbT" +
       "yvEjqRR8mSijWFHEf3ongetZY0aQUIt+Q9K8a5xPH97D2Q\nd6qgpl2SZOyx" +
       "tBxTDYWibWEO3+JddwIBsLbpmK6a/lYthgQvUK9QSZOMlfECtVVjBUhbTQd2" +
       "oai/\noVAgarck+Zi0gosUbQ3TzYkloOrgbmEsFG0Ok3FJcGb9oTMLnNZsMv" +
       "XfB+b+tR1OHHRWsKwx/ZPA\nNBximsclbGNDxoLxqpN9OHfEGYwjBMSbQ8SC" +
       "ZnL0Zwfz7/98m6AZiKCZ5Vgsyh9+bnDo8uQfOxJM\njXbLJCqDQo3l/FTn3J" +
       "WJigXo3uJLZItZb/EX868eOfU0/ksctedQUjY1RzdyqAMbypQ7b4N5XjWw\n" +
       "eDtbKhFMc6hF46+SJv8N7iipGmbuaIW5JdFVPq9YCKE2eGLw/A6Jv01sgNMG" +
       "JJexPetQCBosKVmy\nRlGGYkLJErHlJSKvSnSJcKKletoK22DTeiwGtg2G40" +
       "wDUB4wNQXbRfkn771xct+d3z4jTo0hzVWN\nokG+R1bskQ3tgWIxLvwGBkrh" +
       "tEnbljZYsFTuuzz0+GvSD+AIwBVEPYG5pbH1FjYC06eb5pKpaiTm\nYCYBUI" +
       "py36n3+7/326deiaNEZD7J+y/3m7YuaQwSXgD1utuFVwBJu8J4jtr7bw/MPH" +
       "flzXfGqsim\naFddwNVzsoAZCTvfNmWsQEKqin/03wf+/lDrF5+PoxaIQshD" +
       "VAL0QFAPh/eoCZwJLwkxWxJ51FWq\nM7yTgoPWAwazMcXn3XAU7fBAQKGMC7" +
       "1dbGCLaTb0CgzBcfWFbOAp7uo3k59868WuV7hTvGzYHUib\nBUxFbKWrEFmw" +
       "MYb37zw299DZD05/LQHRbFkCFhQlLWdZU+UKsNxYG47MAoUh66/PTvR8dy95" +
       "gaOg\nQ9V1h0rLGob0LWmauY6VIuX5Kx3IlTxFgbNSy5DqIGsWNRAk3GHFyo" +
       "DgiGSS3dr38COZ77/F0o3F\n/bUFdExwTRP89w0U3VgTH1MwFzHirQ9ExE/O" +
       "EOFTpfEiwXYMquo4a2DK6qlp0wonGo2xMeMrgbgS\niB/OEAumvqp7IREdE4" +
       "5KZQr3TB89M8I9LNRmDLvZsJcN40L6Z6LXKv52nZygE/bZ0zRo97PiWMW0\n" +
       "evKf9z3767OpOIovojaV7FcNSWNHRu4SURpRFkIiTlw8+MTVX9F3OcCqYcEU" +
       "G6zUZ7VDUiBiv3Cl\nnE7+9Ek9jtoWUQ8v7ZJBD0maw+C3CMWZTLkv8+hjNe" +
       "u1hVZUlQk/7AfDIRnYNhyQ1WwKc0bN5u2h\nGOyAZwieHjcGe0IxGItZbPJl" +
       "zrCNjyN+xLRZtlqWWDeEWhVH1zc8WPUL6MmmrpsGhybkHWpCAeMU\nUGP4/8" +
       "/XqDEAT7+rRn+0Gnew4RYIVQFqHzaNBQ66AgejBX7FFdhpAeCLpAjtDEdgY6" +
       "FM0LArdDha\n6LQrNAFF3Ad1tLQxeLa70rZHS5vxbMZlbFDiuXhTMOxEQmms" +
       "8Ii7xUj0FvOewpAESH1gzNmqDu1I\n2e2XHhz+0Z+ee2++T5Qj0VTurOvrgj" +
       "yiseTI67JYft3RbAdO/fLuHefvnX93WTRcvbX5eJ/h6Dc/\n+TbO3JaSIxqH" +
       "tmXT1LBkCJ+wHPXZa+cOD6DVID76nbfvnjn81XGhwqeairgL9ldCCeRszrj1" +
       "4uYr\nRpyVwiRZC4RjnFCKxvKeSNdn7KeYFaYLYkn0vfxQLe+0ivWxmIAALL" +
       "EUx97dxuKDX1UgLvutohuk\nRY4fhvAiNApY0hvXAMj/rje4C2O8BCjgx0zI" +
       "Cb7GwAKt2foqtJkCJC7gYsJ5o0348qZpCZ7EHa//\n8LHM718QR7psKhts36" +
       "8D/1gT/oCngtuyrkAGfRRPxs6mByjYf3PhCbNj9D/Px90CB2hlHUQz9QvQ\n" +
       "dkeZfHMTnhmYw6VnCtKjY6gyvywKGU/d/lIs33XxD1z/Ll3QLdTkbtVyWwI4" +
       "uqGaPCsSBE+3+/iU\nUS35uDkegRs2X+agYQMDzMfDgFENFy+MAgcAQUnzg8" +
       "kZDfDAmFeFZ5vxz2MZ+0knzK8DP/tvhozc\n+EhGpq2iZPt26lDYw8ad5BLW" +
       "LdGJrHg+1/xtbXRTE92nbscrah0mGS4+0YQrwDTaIz+9Z+z8Cc9e\n1dXE8T" +
       "RZb+CA++sdEK86AGxPBW0Pm32G851yN2tifpCsXieu8g7RP/J6kwl0e4hVgK" +
       "FGF3me/U8f\n/kfqW9LL93jWH6Gog5rWXg0gqfm9YQsX1wLS9jaN7Rn+OaOa" +
       "mBOFWzM37en6M1x4Gtzl0u7LeUwd\n2/Djj1/ypOu+5G0L2RrWJ10euDuxqv" +
       "4yzrs20ejVfaWpZZqobe867VpFudMGai5avfDsdqG4O+qi\nFTiyBi3/Ne8D" +
       "j7stBJsfdMFxmKKWsqkqnO1cLQzqfjziq9zldi7nXJXPRakc2ZR2WFC74OSx" +
       "0lzh\na1rzY2gLFZVAd26AOK7+dRrR4faIF1wjLjTy+y3Xr6n3NcOtBMMRRT" +
       "w3u68iY4tVF77VM+AcA5p1\nXhx4nMaqwfxR7GE4Ypf0S649l64PR67KIkNc" +
       "0/0vgvuPO9jBvrr17g/KqnkDea479MWIlZutdZ98\nxYdJeeTy0bGXrPTr/B" +
       "uI//GwLY/aS46mBS9SgXnSsnFJ5cq2iWuVxf+9Bkk2ePf27ytcz1cF0RvQ\n" +
       "snEi9uNNv6L38Lae3f2yQu0K+j/j8K0zARcAAA==");
}
